========================
Arista.Avd Release Notes
========================

.. contents:: Topics

v5.7.0
======

Release Summary
---------------

Release 5.7.0 - See documentation on avd.arista.com for details.

Minor Changes
-------------

- Bump: ANTA requirements to v1.5.0 by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5845
- Bump: Update version to 5.7.0-dev0 by @gmuloc in https://github.com/aristanetworks/avd/pull/5784
- Doc(eos_designs): Remove incorrect model for evpn_vlan_bundle by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5812
- Doc: Porting Guide cv_deploy by @JulioPDX in https://github.com/aristanetworks/avd/pull/5837
- Doc: Update cvp.avd.sh to aristanetworks.github.io/ansible-cvp by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5852
- Feat(cv_deploy): Add support for username and password authentication by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5834
- Feat(cv_deploy): Deploy manifest for CV Static Config Studio containers and configlets by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5824
- Feat(eos_cli_config_gen): Add support for router rip configuration by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5664
- Feat(eos_cli_config_gen): Added support for Connectivity Fault Management by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5717
- Feat(eos_cli_config_gen): Added support for peer-tag in/out under router bgp by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5787
- Feat(eos_cli_config_gen): Added the support for macsec provider in management api models by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5831
- Feat(eos_cli_config_gen): Enhance switchport default phone with trunk (un)tagged phone and qos_trust by @vitthalmagadum in https://github.com/aristanetworks/avd/pull/5778
- Feat(eos_cli_config_gen): Support for interface dot1x supplicant by @geetanjalimanegslab in https://github.com/aristanetworks/avd/pull/5796
- Feat(eos_designs): Add support for BGP aggregate addresses by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5749
- Feat(eos_designs): Added support for L2VLAN profiles by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5722
- Feat(eos_designs): Extend LACP fallback individual options by @colinmacgiolla in https://github.com/aristanetworks/avd/pull/5781
- Feat(eos_designs): Add support for multicast ipv4 static on p2p uplinks ethernet by @gmuloc in https://github.com/aristanetworks/avd/pull/5843
- Refactor(cvp_configlet_upload): Deprecate arista.avd.cvp_configlet_upload by @alexeygorbunov in https://github.com/aristanetworks/avd/pull/5740
- Refactor(pyavd): deploy manifest of CV static config containers and configlets by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5793
- Refactor: Include ansible tests in Ruff by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5698

v5.6.0
======

Release Summary
---------------

Release 5.6.0 - See documentation on avd.arista.com for details.

Minor Changes
-------------

- Bump: Pre-release 5.6.0-dev0 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5596
- Bump: Pre-release 5.6.0-dev1 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5654
- Cut(eos_designs): Remove max_ha_interfaces key under node_type as this is not used by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5711
- Doc(eos_designs): Improved the documentation for how ipv4_prefix_list_catalog entries are used by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5600
- Doc: Adding ANTA tests table index by @JulioPDX in https://github.com/aristanetworks/avd/pull/5661
- Doc: Fix internal incorrect links reported by muffet by @gmuloc in https://github.com/aristanetworks/avd/pull/5616
- Doc: Mkdocs cleanup v5.6 by @gmuloc in https://github.com/aristanetworks/avd/pull/5780
- Doc: Release-notes for release 5.5.1 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5594
- Doc: Update L2LS Example by @JulioPDX in https://github.com/aristanetworks/avd/pull/5682
- Doc: Update semantic versioning for anta_runner by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5708
- Doc: anta_runner by @JulioPDX in https://github.com/aristanetworks/avd/pull/5637
- Doc: move data_plane_cpu_allocation_max to node type wan configuration table by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5729
- Feat(anta_runner): Add BGP IPv6 and RFC5549 support by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5476
- Feat(anta_runner): Add anta variables support for connection settings by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5700
- Feat(anta_runner): Added VerifyMaintenance anta test case by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5537
- Feat(anta_runner): Added support for VerifyVxlanConfigSanity anta tests by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5524
- Feat(eos_cli_config_gen): Add a documentation table for radius av-pair in dot1x by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5642
- Feat(eos_cli_config_gen): Add ability to disable default hardware counters by @colinmacgiolla in https://github.com/aristanetworks/avd/pull/5633
- Feat(eos_cli_config_gen): Add sFlow sample truncate by @colinmacgiolla in https://github.com/aristanetworks/avd/pull/5723
- Feat(eos_cli_config_gen): Add secondary IP to VRRP definition by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5701
- Feat(eos_cli_config_gen): Add support for ip ospf router-id output-format hostnames by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5718
- Feat(eos_cli_config_gen): Add support for load-balance cluster by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5648
- Feat(eos_cli_config_gen): Add support for peer_authentication under vlan_interfaces by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5626
- Feat(eos_cli_config_gen): Add support for ptp hold-down timer by @colinmacgiolla in https://github.com/aristanetworks/avd/pull/5710
- Feat(eos_cli_config_gen): Add support for radius proxy by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5582
- Feat(eos_cli_config_gen): Add support for redirect actions to traffic-policies by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5656
- Feat(eos_cli_config_gen): Add support for transceiver application override under ethernet interfaces by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5601
- Feat(eos_cli_config_gen): Add the ability to exclude prefixes from field-sets by @colinmacgiolla in https://github.com/aristanetworks/avd/pull/5634
- Feat(eos_cli_config_gen): Added support for preventing propagating free running time from PTP boundary clock by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5650
- Feat(eos_cli_config_gen): Adding `counters` key for traffic-policies by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5674
- Feat(eos_cli_config_gen): Adding support for Vxlan multicast group - encap range, overlay, underlay (encap) group by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5753
- Feat(eos_cli_config_gen): Deprecate the collector key for flow_tracking.sampled/hardware and add collectors key by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5591
- Feat(eos_cli_config_gen): Global Knob for txQueue Percentage-based Allocation by @ctyrider in https://github.com/aristanetworks/avd/pull/5599
- Feat(eos_cli_config_gen): RCF Support for router general vrf leak agent by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5680
- Feat(eos_cli_config_gen): Support for Low Latency tx-queue Scheduler Profile by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5658
- Feat(eos_cli_config_gen): Update hardware counter schema by @colinmacgiolla in https://github.com/aristanetworks/avd/pull/5630
- Feat(eos_cli_config_gen): Update schema and tests for tap, tool and tap-tool config by @colinmacgiolla in https://github.com/aristanetworks/avd/pull/5629
- Feat(eos_cli_config_gen, eos_designs): Add support for ptp forward-v1 by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5752
- Feat(eos_designs): Add deprecation warning for direct usage of eos_cli_config_gen keys when using eos_designs. by @gmuloc in https://github.com/aristanetworks/avd/pull/5775
- Feat(eos_designs): Add ipv6_static_routes data model under svis in network services by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5688
- Feat(eos_designs): Add main_interface_wan_carrier support for node l3 interfaces by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5622
- Feat(eos_designs): Add platform_settings.feature_support toggles for WAN and PTP by @alexeygorbunov in https://github.com/aristanetworks/avd/pull/5552
- Feat(eos_designs): Add sflow feature support toggle for platform_settings. by @alexeygorbunov in https://github.com/aristanetworks/avd/pull/5603
- Feat(eos_designs): Add support for address_locking functionality in vlans by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5647
- Feat(eos_designs): Add support for templated description for node l3-port-channels by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5482
- Feat(eos_designs): Add support to encrypt isis cleartext keys by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5571
- Feat(eos_designs): Add support to set maximum-paths for OSPF underlay by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5731
- Feat(eos_designs): Add support to set monitor sessions for l3 interfaces by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5655
- Feat(eos_designs): Added support for cleartext_key on radius and tacacs servers of aaa_settings by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5608
- Feat(eos_designs): Added support for ipv6_static_routes under l3_interfaces and l3_portchannel_interfaces in network_services by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5690
- Feat(eos_designs): Added support for platform settings of sFlow on sub-interfaces by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5761
- Feat(eos_designs): Added support for setting mlag interface speed via default_interfaces by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5580
- Feat(eos_designs): Adding enable_password to aaa_settings by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5724
- Feat(eos_designs): Adding inband_mgmt_subnet_offset to node_type by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5721
- Feat(eos_designs): Deprecate the `collector` key for `flow_tracking_settings` and add new key `collectors` by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5660
- Feat(eos_designs): Improve error message for missing or insufficient downlink_interfaces defined in default interfaces by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5768
- Feat(eos_designs): Node ID pool-manager automatic upgrade of old files by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5730
- Feat(eos_designs): Preview: Digital Twin for ACT. Enforce eAPI access in default VRF. by @alexeygorbunov in https://github.com/aristanetworks/avd/pull/5639
- Feat(eos_designs): Preview: Digital Twin for ACT. Use standard default creds for vEOS and CloudEOS node types by @alexeygorbunov in https://github.com/aristanetworks/avd/pull/5638
- Feat(eos_designs): Preview: Digital Twin for ACT. default_interfaces of original platform. by @alexeygorbunov in https://github.com/aristanetworks/avd/pull/5727
- Feat(eos_designs): Preview: Digital Twin for ACT. internet_access flag for cloudeos and veos node type by @alexeygorbunov in https://github.com/aristanetworks/avd/pull/5569
- Feat(eos_designs): Refactor `uplink_structured_config` for node type settings and `structured_config` for p2p_links by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5696
- Feat(eos_designs): Support for AAA settings via eos_designs by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5549
- Feat(eos_designs): Support for aaa_settings.local_users and deprecating the global local_users by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5735
- Feat(eos_designs, eos_cli_config_gen): Add arp_gratuitous_accept to svi/l3_interfaces/l3_port_channels by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5695
- Feat(plugins): Add support for encryption and decryption of radius keys by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5570
- Refactor(anta_runner): Added the support of peer interface detection for LLDP and p2p reachability tests by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5687
- Refactor(anta_runner): Removed the VerifyMlagDualPrimary and VerifyMlagReloadDelay tests as since they are covered by the config sanity test by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5605
- Refactor(anta_runner): Removed the config validation tests from anta_runner role by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5604
- Refactor(dhcp_provisioner): Deprecate the arista.avd.dhcp_provisioner role by @alexeygorbunov in https://github.com/aristanetworks/avd/pull/5739
- Refactor(eos_config_deploy_cvp): Deprecate arista.avd.eos_config_deploy_cvp by @alexeygorbunov in https://github.com/aristanetworks/avd/pull/5741
- Refactor(eos_designs): Add pytest coverage for `eos_designs_facts/uplinks.py` by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5539
- Refactor(eos_designs): Deprecate support for Jinja templating using `switch.*` facts by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5689
- Refactor(eos_designs): Deprecate support for unknown variables in structured_config by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5676
- Refactor(eos_designs): Fix the duplicate tacacs server configuration by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5659
- Refactor(eos_designs): Improve pytest coverage for overlay/router_bgp.py by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5360
- Refactor(eos_designs): Improved test coverage for overlay/utils.py by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5422
- Refactor(eos_designs): Support for management_eapi vrfs by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5559
- Refactor(eos_designs): Take WAN HA out of preview for CV Pathfinder by @gmuloc in https://github.com/aristanetworks/avd/pull/5750
- Refactor(eos_designs,eos_cli_config_gen): Move is_deployed to metadata.is_deployed by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5743
- Refactor(eos_validate_state): Deprecate eos_validate_state by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5709

Bugfixes
--------

- Fix(anta_runner): Remove VerifyDNSServers test by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5686
- Fix(eos_cli_config_gen): Fix documentation generation when using vrf default for SSH by @gmuloc in https://github.com/aristanetworks/avd/pull/5592
- Fix(eos_designs): Correct device targeted in facts for uplink wrong bgp AS by @gmuloc in https://github.com/aristanetworks/avd/pull/5612
- Fix(eos_designs): Fix bad regex in cv_settings cluster names by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5703
- Fix(eos_designs): Fix deprecation warning for eos_designs molecule tests by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5667
- Fix(eos_designs): Preview: Digital Twin for ACT. Avoid rendering fabric sub-interfaces in ACT topology by @alexeygorbunov in https://github.com/aristanetworks/avd/pull/5645
- Fix(eos_designs): Relax schema for parent port-channel interfaces with subinterfaces by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5776
- Fix(eos_designs): Render ip attached-host route export only when underlay is BGP by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5694
- Fix(eos_designs): per-interface L3 MTU feature support for iBGP SVIs by @alexeygorbunov in https://github.com/aristanetworks/avd/pull/5684
- Fix: Fix schema table check typo in documentation pre-commit hook by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5748

v5.5.0
======

Release Summary
---------------

Release 5.5.0 - See documentation on avd.arista.com for details.

Minor Changes
-------------

- Bump(pyavd): Add PyYAML to PyAVD dependencies by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5447
- Bump(requirements): Bump the prod group across 2 directories with 1 update by @dependabot in https://github.com/aristanetworks/avd/pull/5545
- Bump: ANTA requirements to v1.4.0 by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5399
- Bump: Pre-release 5.5.0-dev0 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5364
- Bump: Pre-release 5.5.0-dev1 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5435
- Bump: Pre-release 5.5.0-dev2 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5454
- Bump: Pre-release 5.5.0-dev3 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5557
- Doc(eos_designs): Add `vrf_id` in l2ls-fabric example by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5370
- Doc(eos_designs): Describe `use_default_mgmt_method_vrf` under logging and dns settings by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5563
- Doc(eos_designs): Fix typo in SNMP settings documentation for source_interface by @gmuloc in https://github.com/aristanetworks/avd/pull/5577
- Doc: Align examples with common username for device connectivity by @joelbreton2 in https://github.com/aristanetworks/avd/pull/5404
- Doc: Fix quotes for new_key in yaml schema docs by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5529
- Doc: Update doc for ISIS encryption by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5553
- Doc: Update porting guide for routed ports by @gmuloc in https://github.com/aristanetworks/avd/pull/5488
- Doc: Updated eos_cli_config_gen contribution guide to use host1 as centric testing by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5483
- Feat(anta_runner): Add ANTA DNS test by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5278
- Feat(anta_runner): Add new hardware tests by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5430
- Feat(anta_runner): Added new specific AVT path and router path tests by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5437
- Feat(anta_runner): Honor validate_state for port-channel interfaces test by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5504
- Feat(cv_deploy): Allow Campus hybrid workflow (AVD and Access Interface Studio) by @alexeygorbunov in https://github.com/aristanetworks/avd/pull/5141
- Feat(cv_deploy): New decorator class to handle various gRPC errors for CVClient by @alexeygorbunov in https://github.com/aristanetworks/avd/pull/5326
- Feat(eos_cli_config_gen): Add Diffie-Hellman Group 19 as a valid value for ip security configuration by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5463
- Feat(eos_cli_config_gen): Add cli_config_gen support for E-Tree options by @colinmacgiolla in https://github.com/aristanetworks/avd/pull/5452
- Feat(eos_cli_config_gen): Add support for VRRP peer_authentication under ethernet_interfaces by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5460
- Feat(eos_cli_config_gen): Add support for pim ipv4 neighbor filter by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5433
- Feat(eos_cli_config_gen): Add support for platform fap buffering command by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5468
- Feat(eos_cli_config_gen): Add support for queue-monitor length mirror by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5451
- Feat(eos_cli_config_gen): Add support for software forwarding hardware offload MTU  under router general by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5439
- Feat(eos_cli_config_gen): Add support for static mac-address configuration by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5409
- Feat(eos_cli_config_gen): Add support for transceiver dom-thresholds by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5390
- Feat(eos_cli_config_gen): Add support to generate 'tunnel source <ip_address>' under Tunnel Interfaces by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5453
- Feat(eos_cli_config_gen): Added Support for Management Active interface HA in modular devices by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5486
- Feat(eos_cli_config_gen): Added Support for Spanning Tree Port ID Allocation by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5286
- Feat(eos_cli_config_gen): Added support for DLB on ECMP groups by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5450
- Feat(eos_cli_config_gen): Added support for Mirror on drop export to sflow collector by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5466
- Feat(eos_cli_config_gen): Added support for Sand UDP payload hashing load-balance policies by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5515
- Feat(eos_cli_config_gen): Added support for ip virtual router mac-address mlag-peer by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5405
- Feat(eos_cli_config_gen): Adding support for ingress for platform MMU profiles  by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5479
- Feat(eos_cli_config_gen): Adding support for platform trident mmu headroom-pool limit by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5459
- Feat(eos_cli_config_gen): Adding support for port-channel load-balance trident headers by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5493
- Feat(eos_cli_config_gen): Adding support for vxlan qos dscp ecn rewrite bridged enabled by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5432
- Feat(eos_cli_config_gen): Move access-group keys for management_ssh model by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5554
- Feat(eos_cli_config_gen): SVI support for IGMP Querier Virtual Address by @ctyrider in https://github.com/aristanetworks/avd/pull/5523
- Feat(eos_cli_config_gen): Support enabling PMTUD for hosts by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5462
- Feat(eos_cli_config_gen): add support for signature-verification extension by @KrasenKolev in https://github.com/aristanetworks/avd/pull/5465
- Feat(eos_cli_config_gen, eos_designs): Flooded Traffic using Multicast Underlay by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5219
- Feat(eos_designs): Add VRF level OSPF authentication knobs for network services by @gmuloc in https://github.com/aristanetworks/avd/pull/5481
- Feat(eos_designs): Add `endpoint_port_channel` access for j2 descriptions for connected_endpoints_port_channel_interfaces by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5489
- Feat(eos_designs): Add a platform setting to allow/disallow mtu on sub-interfaces by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5456
- Feat(eos_designs): Add cv_settings to replace cvp_* and terminattr_* by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3301
- Feat(eos_designs): Add dns_settings to replace name_servers by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3283
- Feat(eos_designs): Add more feature support toggles for platform_settings by @alexeygorbunov in https://github.com/aristanetworks/avd/pull/5338
- Feat(eos_designs): Add possibility to pass cleartext IPsec keys for wan_ipsec_profiles by @gmuloc in https://github.com/aristanetworks/avd/pull/5551
- Feat(eos_designs): Add pvlan support for l2vlans by @bjmeuer in https://github.com/aristanetworks/avd/pull/5535
- Feat(eos_designs): Add static_routes data model under svis in network services by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5240
- Feat(eos_designs): Add structured_config and raw_eos_cli keys to p2p service subinterfaces by @emilarista in https://github.com/aristanetworks/avd/pull/5350
- Feat(eos_designs): Add support for IPv6 only underlay and overlay by @Xatrekak in https://github.com/aristanetworks/avd/pull/4393
- Feat(eos_designs): Add support for cleartext_key for ntp_settings.authentication_keys by @gmuloc in https://github.com/aristanetworks/avd/pull/5575
- Feat(eos_designs): Add support for cleartext_password for BGP peer groups and neighbors in eos_designs by @gmuloc in https://github.com/aristanetworks/avd/pull/5541
- Feat(eos_designs): Add support to set static_routes under l3_interfaces and l3_portchannel_interfaces in network_services by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5402
- Feat(eos_designs): Added bfd timer support for a peer inside vrfs by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5423
- Feat(eos_designs): Added support for logging_settings by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5498
- Feat(eos_designs): Added support of Spanning Tree Port ID Allocation by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5444
- Feat(eos_designs): Adding custom_connected_endpoints_keys by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5255
- Feat(eos_designs): Changes to eos_designs schema to support path outlier elimination for one or more avt profiles by @ashenoy-arista in https://github.com/aristanetworks/avd/pull/5355
- Feat(eos_designs): Configure SSH settings via eos_designs by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5543
- Feat(eos_designs): Enable evpn_gateway for pathfinder deployment using next-hop-self by @ayushmittal-arista in https://github.com/aristanetworks/avd/pull/5082
- Feat(eos_designs): Move generate_cv_tags out of preview by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5421
- Feat(eos_designs): Preview: Digital Twin for ACT by @alexeygorbunov in https://github.com/aristanetworks/avd/pull/5436
- Feat(eos_designs): VRF assignment improvements for snmp_settings by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5531
- Feat(plugins): Add support for encryption and decryption of tacacs keys by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5434
- Refactor(eos_cli_config_gen, eos_designs): Renamed `ipv4/ipv6_segment_size key` to `ipv4/ipv6` under tcp_mss_ceiling by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5457
- Refactor(eos_designs): Add pytest coverage for network_services/port_channel_interfaces.py by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5443
- Refactor(eos_designs): Improve /metadata/cv_pathfinder.py and improve pytest coverage by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5310
- Refactor(eos_designs): Improve coverage for shared_utils/inband_management.py by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5330
- Refactor(eos_designs): Improve pytest coverage for base/snmp_server.py  by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5534
- Refactor(eos_designs): Improve pytest coverage for eos_designs_facts/vlans.py by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5384
- Refactor(eos_designs): Improve pytest coverage for network_services/route_maps.py by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5317
- Refactor(eos_designs): Improve pytest coverage for network_services/vlan_interfaces.py by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5520
- Refactor(eos_designs): Improve pytest coverage for network_services/vxlan_interfaces.py by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5397
- Refactor(eos_designs): Improve pytest coverage for shared_utils/node_type_keys.py by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5336
- Refactor(eos_designs): Improve pytest coverage for shared_utils/overlay.py by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5480
- Refactor(eos_designs): Improved test coverage for shared_utils/wan.py by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5385
- Refactor(eos_designs): Modify data format for node id pool manager by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5362
- Refactor(eos_designs): Relax control for MLAG subnets when using same subnet by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5375
- Refactor(eos_designs): Rename keys `destination_address_prefix` and `gateway` under ipv4/6 `static_routes` by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5327
- Refactor(eos_designs): Update error messages and improve pytest coverage for shared_utils/mlag.py by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5299
- Refactor(eos_designs): Use new eos_cli_config_gen model for SSH ACLs by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5574
- Refactor(plugins): Improve generation of schema classes by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5359
- Refactor(pyavd): Improve Python typing and type checking by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5506
- Refactor(pyavd): Improve typing and add pyright to CI by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5458

Bugfixes
--------

- Fix(anta_runner): AVD-catalog filters now default to all devices targeted by the run by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5411
- Fix(anta_runner): Add ZTP cause to VerifyReloadCause by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5408
- Fix(anta_runner): Remove VerifyBFDPeersHealth by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5400
- Fix(anta_runner): Remove input_dict from TestSpec by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5424
- Fix(anta_runner): Skip IP unnumbered interfaces in P2P reachability test by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5406
- Fix(anta_runner): Update Ansible task failed criteria and various logging issues by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5341
- Fix(dhcp_provisioner): Add ztp_bootstrap_file option when used with cv_settings by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5560
- Fix(eos_cli_config_gen)!: Fixing j2 templates for router_bgp/bgp_additional_paths and mac-address-table-static-entries by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5518
- Fix(eos_cli_config_gen): Change interface srlg data model to allow more than one srlg by @emilarista in https://github.com/aristanetworks/avd/pull/5497
- Fix(eos_designs)!: Add missing underlay OSPF authentication on MLAG peer-link by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5431
- Fix(eos_designs)!: l3_edge with rfc5549 underlay and 'ebgp: true' should not have next-hop address-family ipv6 by @nathanmusser in https://github.com/aristanetworks/avd/pull/4491
- Fix(eos_designs): Snmp-settings enable only specific traps by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5371

v5.4.0
======

Release Summary
---------------

Release 5.4.0 - See documentation on avd.arista.com for details.

Minor Changes
-------------

- Bump(requirements): Bump the prod group across 2 directories with 1 update by @dependabot in https://github.com/aristanetworks/avd/pull/5314
- Doc(eos_designs): Add table for fabric numbering by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5353
- Doc: Arista AVD re-branding by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5361
- Doc: Set platform in CV Pathfinder example by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5228
- Doc: Update AAP doc page to reflect AAP as not TAC supported by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5342
- Doc: Update the contribution guide `authoring_eos_cli_config_gen.md` by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5294
- Doc: underlay ethernet interfaces context update for custom templates by @philippebureau in https://github.com/aristanetworks/avd/pull/5291
- Doc: update contribution guide by @emmanuel-ferdman in https://github.com/aristanetworks/avd/pull/5292
- Feat(anta_runner): Add strict mode to fail the Ansible task if a test failed or errored by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5303
- Feat(cv_deploy): Add verification of the duplicated devices by @alexeygorbunov in https://github.com/aristanetworks/avd/pull/4889
- Feat(cv_deploy): Handle WorkspaceStreamResponse with ResponseStatus.UNSPECIFIED by @alexeygorbunov in https://github.com/aristanetworks/avd/pull/5333
- Feat(eos_cli_config_gen): Add support for set-nexthop-peer under BGP by @thompsno in https://github.com/aristanetworks/avd/pull/5165
- Feat(eos_cli_config_gen): Added the support for list of ip domain in ip name server groups by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5282
- Feat(eos_designs): Add CloudEOS platform type by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5259
- Feat(eos_designs): Add core/l3 edge channel id generation options by @emilarista in https://github.com/aristanetworks/avd/pull/5197
- Feat(eos_designs): Allow knob for kernel software forwarding of ecmp routes with or without agent restart. by @ashenoy-arista in https://github.com/aristanetworks/avd/pull/5270
- Feat(eos_designs): all_active_multihoming_evpn_gateway by @ernestoherrerab in https://github.com/aristanetworks/avd/pull/5056
- Refactor(eos_cli_config_gen, eos_designs): Rename keys `destination_address_prefix` and `gateway` under `static_routes` and `ipv6_static_routes` by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5283
- Refactor(eos_designs): Improve connected_endpoints/monitor_sessions by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5311
- Refactor(eos_designs): Improve network_services/router_adaptive_virtual_topology.py and improve pytest coverage by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5272
- Refactor(eos_designs): Improve pytest coverage for overlay/ip_security  by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5312
- Refactor(eos_designs): Improved pytest coverage for metadata/cv_tags.py by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5332
- Refactor: Address ansible-sanity failure from ansible devel by @gmuloc in https://github.com/aristanetworks/avd/pull/5298

Bugfixes
--------

- Fix(eos_cli_config_gen): Fix reordering of name-server group between vrf host and root in monitor connectivity by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5134
- Fix(eos_designs): Fix descriptions not taking precedence for l3_edge and core_interfaces by @gmuloc in https://github.com/aristanetworks/avd/pull/5305
- Fix(eos_designs): queue monitor length with missing notifying by @ankudinov in https://github.com/aristanetworks/avd/pull/5343

v5.3.0
======

Release Summary
---------------

Release 5.3.0 - See documentation on avd.arista.com for details.

Minor Changes
-------------

- Bump(pyavd): Add distlib to pyavd ansible-collection extra to support manifest directives by @gmuloc in https://github.com/aristanetworks/avd/pull/5108
- Bump(requirements): Bump the prod group across 2 directories with 1 update by @dependabot in https://github.com/aristanetworks/avd/pull/5008
- Bump: 5.3.0-dev0 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/4997
- Bump: Pre-release 5.3.0-dev1 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5096
- Bump: Pre-release 5.3.0-dev2 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5157
- Bump: Pre-release 5.3.0-dev3 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5205
- Bump: Pre-release 5.3.0-dev4 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5258
- Doc(eos_designs): Add documentation for `underlay_ospf_graceful_restart` by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5221
- Doc(eos_designs): Add network-services l3_port_channels to input variables by @gmuloc in https://github.com/aristanetworks/avd/pull/5276
- Doc(eos_designs): Fix typos in node type table and keys by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5216
- Doc: Add static route for site1-wan1 to SITE1.yml by @joelbreton2 in https://github.com/aristanetworks/avd/pull/5203
- Doc: Arista AVD A-Care TAC Support Overview by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5136
- Doc: Move node type keys mgmt_gateway, ipv6_mgmt_gateway, and flow_tracker_type to the common configuration table by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5242
- Doc: Release notes 5.2.3 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5163
- Doc: Release-notes for release 5.2.1 by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5024
- Doc: Release-notes for release 5.2.2 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/5043
- Doc: Update single dc l3ls example  by @joelbreton2 in https://github.com/aristanetworks/avd/pull/4829
- Feat(anta_runner): Add ANTA BGP neighbors reachability tests by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5188
- Feat(anta_runner): Add ANTA MLAG related tests by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5184
- Feat(anta_runner): Add ANTA interfaces related tests by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5172
- Feat(anta_runner): Add ANTA system tests by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5238
- Feat(anta_runner): Add various ANTA tests, including BFD, WAN by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5222
- Feat(containers): add labels to AVD container images and fork test workflows by @ankudinov in https://github.com/aristanetworks/avd/pull/5081
- Feat(eos_cli_config_gen): Add 'replay protection' support in MacSec profiles by @ctyrider in https://github.com/aristanetworks/avd/pull/5180
- Feat(eos_cli_config_gen): Add Router-TE Flexalgo Support by @emilarista in https://github.com/aristanetworks/avd/pull/5021
- Feat(eos_cli_config_gen): Add TWAMP sender profile knob under router TE by @emilarista in https://github.com/aristanetworks/avd/pull/5128
- Feat(eos_cli_config_gen): Add TWAMP-light data model and router-TE knob by @emilarista in https://github.com/aristanetworks/avd/pull/5020
- Feat(eos_cli_config_gen): Add support for Graceful Restart under VRF in BGP by @ccsnw in https://github.com/aristanetworks/avd/pull/5198
- Feat(eos_cli_config_gen): Add support for Receive Side Scaling (RSS) interface profile by @ashenoy-arista in https://github.com/aristanetworks/avd/pull/4954
- Feat(eos_cli_config_gen): Add support for agent shutdown option by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5200
- Feat(eos_cli_config_gen): Add support for authentication login command-api by @ccsnw in https://github.com/aristanetworks/avd/pull/5148
- Feat(eos_cli_config_gen): Add support for command hardware access-list update default-result permit by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5271
- Feat(eos_cli_config_gen): Add support for dot1x statistics, vlan assignment group and radius av-pair filter_id by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5147
- Feat(eos_cli_config_gen): Add support for kernel software forwarding ecmp by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5234
- Feat(eos_cli_config_gen): Add support for ntp serve all by @davidhayes9 in https://github.com/aristanetworks/avd/pull/5214
- Feat(eos_cli_config_gen): Add support for spanning_tree_bpduguard `rate-limit count` under ethernet_interfaces by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5183
- Feat(eos_cli_config_gen): Add support to set vlan and vni ranges in vxlan interface by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4749
- Feat(eos_cli_config_gen): Added support for 802.1x phone ACL bypass by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5149
- Feat(eos_cli_config_gen): Added support for ipv6 router OSPFv3 by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5144
- Feat(eos_cli_config_gen): Hardware forwarding id knob for loopbacks by @emilarista in https://github.com/aristanetworks/avd/pull/5167
- Feat(eos_cli_config_gen): Support "authorization requests" for GNMI transport GRPC by @bjmeuer in https://github.com/aristanetworks/avd/pull/5139
- Feat(eos_cli_config_gen): Support for configuring dhcp server ipv4 and ipv6 for Vlan interfaces by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5168
- Feat(eos_cli_config_gen): Support microsecond unit for qos_profiles threshold by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5176
- Feat(eos_designs): Accept auto as argument for rd_override by @rrajpuro-anet in https://github.com/aristanetworks/avd/pull/4858
- Feat(eos_designs): Add l3_port_channel support in network services by @bjmeuer in https://github.com/aristanetworks/avd/pull/5019
- Feat(eos_designs): Add metric bandwidth support for l3_interfaces by @ayushmittal-arista in https://github.com/aristanetworks/avd/pull/5017
- Feat(eos_designs): Add raw_eos_cli and structured_config to endpoint port-channel subinterfaces by @emilarista in https://github.com/aristanetworks/avd/pull/5244
- Feat(eos_designs): Add support for RSS interface profile for select platforms by @ashenoy-arista in https://github.com/aristanetworks/avd/pull/5009
- Feat(eos_designs): Add support for `structured_config` inside `<network_services_keys.name>[].vrfs[].ospf` by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5241
- Feat(eos_designs): Add support for using VRF router-id as RD admin subfield by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5061
- Feat(eos_designs): Add support to bind IPsec connection to source int… by @ashenoy-arista in https://github.com/aristanetworks/avd/pull/5190
- Feat(eos_designs): Add support to disable management api http-commands in eos_designs by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5243
- Feat(eos_designs): Added the support of notification_host_flap in mac address table by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5266
- Feat(eos_designs): Automatic assignment of Node IDs using pool manager by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3162
- Feat(eos_designs): Enable graceful-restart for underlay OSPF by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5191
- Feat(eos_designs): Hardware forwarding knob for diagnostic loopbacks by @emilarista in https://github.com/aristanetworks/avd/pull/5237
- Feat(eos_designs): Support MST PVST border under node_config by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5218
- Feat: New anta_workflow plugin using PyAVD by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/4196
- Refactor(eos_cli_config_gen): Enhance aaa to support multiple groups where available in EOS by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4666
- Refactor(eos_designs): Better handling of index error p2p_links nodes and other fields in core_interface by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5215
- Refactor(eos_designs): Clean legacy render method for structured config by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5262
- Refactor(eos_designs): Fix type issues and other small improvements by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5099
- Refactor(eos_designs): Network Services ethernet interfaces refactoring to classes by @gmuloc in https://github.com/aristanetworks/avd/pull/4976
- Refactor(eos_designs): Network Services port-channel refactoring to classes by @gmuloc in https://github.com/aristanetworks/avd/pull/4995
- Refactor(eos_designs): Refactor code for underlay/overlay/connected_endpoints/network_services utils by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5182
- Refactor(eos_designs): Refactor eos_designs structured_config code for core_interfaces_and_l3_edge ethernet/port-channel interfaces, router-bgp and utils by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5087
- Refactor(eos_designs): Refactor eos_designs structured_config code for flows init by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5123
- Refactor(eos_designs): Refactor eos_designs structured_config code for ip_extcommunity_lists by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5045
- Refactor(eos_designs): Refactor eos_designs structured_config code for ip_igmp_snooping.py by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5012
- Refactor(eos_designs): Refactor eos_designs structured_config code for ip_security(overlay) by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5046
- Refactor(eos_designs): Refactor eos_designs structured_config code for ip_virtual_router_mac_address by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4991
- Refactor(eos_designs): Refactor eos_designs structured_config code for management_security by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5038
- Refactor(eos_designs): Refactor eos_designs structured_config code for metadata by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4993
- Refactor(eos_designs): Refactor eos_designs structured_config code for mlag init by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5131
- Refactor(eos_designs): Refactor eos_designs structured_config code for models eos_cli by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5138
- Refactor(eos_designs): Refactor eos_designs structured_config code for models in base/init.py and utils.py by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/5127
- Refactor(eos_designs): Refactor eos_designs structured_config code for network_services struct_cfgs by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5175
- Refactor(eos_designs): Refactor eos_designs structured_config code for overlay/router_traffic_engineering by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4992
- Refactor(eos_designs): Refactor eos_designs structured_config code for router_adaptive_virtual_topology by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5106
- Refactor(eos_designs): Refactor eos_designs structured_config code for router_bgp(overlay) by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5117
- Refactor(eos_designs): Refactor eos_designs structured_config code for router_internet_exit by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5105
- Refactor(eos_designs): Refactor eos_designs structured_config code for router_isis by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5090
- Refactor(eos_designs): Refactor eos_designs structured_config code for router_ospf(underlay) by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5097
- Refactor(eos_designs): Refactor eos_designs structured_config code for router_path_selection by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5002
- Refactor(eos_designs): Refactor eos_designs structured_config code for spanning_tree by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5119
- Refactor(eos_designs): Refactor eos_designs structured_config code for static_routes by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4943
- Refactor(eos_designs): Refactor eos_designs structured_config code for stun(underlay) by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5103
- Refactor(eos_designs): Refactor eos_designs structured_config code for underlay/router_msdp by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4967
- Refactor(eos_designs): Refactor eos_designs structured_config code ip_access_list by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4972
- Refactor(eos_designs): Refactor network_services wan_utils and zscaler_utils by @gmuloc in https://github.com/aristanetworks/avd/pull/5211
- Refactor(eos_designs): Refactor structure_config code for management-cvx by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5121
- Refactor(eos_designs): Refactor structured_config code for application_traffic_recognition by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5111
- Refactor(eos_designs): Refactor structured_config code for cvx.py(overlay) by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5102
- Refactor(eos_designs): Refactor structured_config code for dhcp_servers.py by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/5084
- Refactor(eos_designs): Remove dependency on overlay_routing_protocol and evpn_role for WAN routers by @gmuloc in https://github.com/aristanetworks/avd/pull/4865
- Refactor(eos_designs): Structured config classes for underlay ethernet_interfaces by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5054
- Refactor(eos_designs): Structured config classes for underlay port-channels by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5055
- Refactor(eos_designs): Use schema classes for facts by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5185
- Refactor(eos_designs): structured_config for inband_management __init__ by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5135
- Refactor(eos_designs): structured_config for ipv6_static_routes by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4986
- Refactor(eos_designs): structured_config for loopback by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5018
- Refactor(eos_designs): structured_config for network_services route_maps by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5037
- Refactor(eos_designs): structured_config for network_services router_ospf by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4981
- Refactor(eos_designs): structured_config for overlay route_maps by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4994
- Refactor(eos_designs): structured_config for prefix_lists by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5109
- Refactor(eos_designs): structured_config for underlay route_maps by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5047
- Refactor(eos_designs): structured_config for underlay router_pim_sparse_mode by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5114
- Refactor(eos_designs): structured_config for underlay/mlag/inband_management Vlans  by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/5051
- Refactor: Remove shared_utils unused code post refactoring by @gmuloc in https://github.com/aristanetworks/avd/pull/5245
- Refactor: Stop check for extra requirements when running from source by @gmuloc in https://github.com/aristanetworks/avd/pull/5095

Bugfixes
--------

- Fix(anta_runner): Improve logging and exception handling by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5213
- Fix(containers): fix docker/setup-qemu-action@v3 by setting image to tonistiigi/binfmt:qemu-v7.0.0-28 by @ankudinov in https://github.com/aristanetworks/avd/pull/5032
- Fix(cv_deploy): Abandon Workspaces that failed at Build phase if their requested_state was `abandoned` by @alexeygorbunov in https://github.com/aristanetworks/avd/pull/5030
- Fix(cv_deploy): Improve handling of invalid metadata studio inputs by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5239
- Fix(eos_cli_config_gen): Ethernet interface documentation template to change double ** into single * by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/5199
- Fix(eos_cli_config_gen, eos_designs): Refactor eos_designs structured_config code for monitor_sessions and fix schema for monitor_sessions in eos_cli_config_gen by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4937
- Fix(eos_designs): Avoid returning objects in facts by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5016
- Fix(eos_designs): Avoid setting cv_tag "lan" for port-channel members by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5230
- Fix(eos_designs): Better error message when no ip address configured on a l3_interface on wan_router by @gmuloc in https://github.com/aristanetworks/avd/pull/5068
- Fix(eos_designs): Bring back connected endpoints short_esi support on EPVN-MPLS LERs by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5229
- Fix(eos_designs): Do not fail documentation task when missing structured configuration by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5072
- Fix(eos_designs): Fix performance regression in port-profile caching by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5150
- Fix(eos_designs): Invalid class returned from snmp_settings.vrfs by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5035
- Fix(eos_designs): Raise again on conflicting ethernet interfaces under point-to-point services by @gmuloc in https://github.com/aristanetworks/avd/pull/5058
- Fix(eos_designs): Revert changed behavior for management_eapi by @gmuloc in https://github.com/aristanetworks/avd/pull/5112
- Fix(eos_designs): Wrong duplicate detection between SVIs and L2VLANs by @gmuloc in https://github.com/aristanetworks/avd/pull/5025
- Fix(eos_designs): Wrong structured config for overlapping network ports by @gmuloc in https://github.com/aristanetworks/avd/pull/5033
- Fix(eos_designs): ptp_settings.domain by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/5007
- Fix: Properly load Ansible connection vars into ANTA runner by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/5195

New Modules
-----------

- arista.avd.anta_workflow - Uses ANTA from Ansible

v5.2.0
======

Release Summary
---------------

Release 5.2.0 - See documentation on avd.arista.com for details.

Minor Changes
-------------

- Bump: New minimum requirement for ansible-core 2.16 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/4871
- Bump: Pre-release 5.2.0-dev1 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/4792
- Bump: Pre-release 5.2.0-dev2 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/4839
- Doc(eos_cli_config_gen): Improve snmp server documention by @carlbuchmann in https://github.com/aristanetworks/avd/pull/4806
- Doc(eos_designs): Add missing node type L3 port-channels configuration table by @carlbuchmann in https://github.com/aristanetworks/avd/pull/4989
- Doc: Added support for skip the TOC on fabric and device documentation by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4796
- Doc: Adding contribution guide for eos_cli_config_gen by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4730
- Doc: Change location for docs/requirements.txt by @carlbuchmann in https://github.com/aristanetworks/avd/pull/4932
- Doc: Fix wrong command in cv-pathinder example by @gmuloc in https://github.com/aristanetworks/avd/pull/4837
- Doc: Move docs folder to root of repo by @carlbuchmann in https://github.com/aristanetworks/avd/pull/4923
- Feat(eos_cli_config_gen): Add ICMP echo size for Monitor Connectivity hosts by @ctyrider in https://github.com/aristanetworks/avd/pull/4853
- Feat(eos_cli_config_gen): Add comment to ethernet and port-channel interfaces by @joelbreton2 in https://github.com/aristanetworks/avd/pull/4890
- Feat(eos_cli_config_gen): Add interface TE twamp-light with fallback knobs by @emilarista in https://github.com/aristanetworks/avd/pull/4935
- Feat(eos_cli_config_gen): Add interface traffic engineering and TE admin group for ethernet/port-channel by @emilarista in https://github.com/aristanetworks/avd/pull/4754
- Feat(eos_cli_config_gen): Add is_hostname knob to router_isis by @ccsnw in https://github.com/aristanetworks/avd/pull/4755
- Feat(eos_cli_config_gen): Add match dscp and ecn support to class map type qos by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4863
- Feat(eos_cli_config_gen): Add min-links in port-channel-interfaces by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4790
- Feat(eos_cli_config_gen): Add support for 'cipher v1.0' and 'cipher v1.3' under management_security.ssl_profiles by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4782
- Feat(eos_cli_config_gen): Add support for Next Hop Self Source Interface to EVPN Peer Groups by @ccsnw in https://github.com/aristanetworks/avd/pull/4903
- Feat(eos_cli_config_gen): Add support for `connection tx-interface match source-ip` for `ip security` by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4844
- Feat(eos_cli_config_gen): Add support for configuring  `dhcp server ipv4` and `dhcp server ipv6` for Port-Channel interfaces by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4885
- Feat(eos_cli_config_gen): Add support for for NAT service_profile under L3 port_channel interface by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4934
- Feat(eos_cli_config_gen): Add support for global MPLS RSVP by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4634
- Feat(eos_cli_config_gen): Add support for ip name server groups by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4763
- Feat(eos_cli_config_gen): Add support for mpls tunnel termination settings by @ccsnw in https://github.com/aristanetworks/avd/pull/4888
- Feat(eos_cli_config_gen): Add support for unix-socket protocol by @KrasenKolev in https://github.com/aristanetworks/avd/pull/4898
- Feat(eos_cli_config_gen): Add switchport 'tap' and 'tool' mode config to the ethernet and port-channel interfaces by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4174
- Feat(eos_cli_config_gen): Add tls option for logging protocol by @emilarista in https://github.com/aristanetworks/avd/pull/4914
- Feat(eos_cli_config_gen): Added login/motd banner in device documentation by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4855
- Feat(eos_cli_config_gen): Added outlier elimination feature support for AVT profile by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4762
- Feat(eos_cli_config_gen): Added support for DHCP client accept default route feature in port-channel interfaces by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4767
- Feat(eos_cli_config_gen): Added support for IP locking enforcement disabled and address family IPv4/IPv6 by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4803
- Feat(eos_cli_config_gen): Added support for Virtual Router MAC Address Advertisement Interval by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4891
- Feat(eos_cli_config_gen): Added support for fips_restrictions under management security by @KrasenKolev in https://github.com/aristanetworks/avd/pull/4845
- Feat(eos_cli_config_gen): Added support for metric bandwitdh per interface under router path-selection by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4830
- Feat(eos_cli_config_gen): Adding support to disable make_before_break for PIM sparse-mode by @davidhayes9 in https://github.com/aristanetworks/avd/pull/4745
- Feat(eos_cli_config_gen): Additional interface TE options by @emilarista in https://github.com/aristanetworks/avd/pull/4823
- Feat(eos_designs): Add `uplink_interface_speed` option for `default_interfaces` by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4828
- Feat(eos_designs): Add missing schemas for eos_designs by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4840
- Feat(eos_designs): Add platform match criteria for network_ports by @kpbush30 in https://github.com/aristanetworks/avd/pull/4798
- Feat(eos_designs): Add support for l3_port_channel_interfaces for WAN by @ashenoy-arista in https://github.com/aristanetworks/avd/pull/4752
- Feat(eos_designs): Added rack, pod, dc, fabric information in the structured_config metadata by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4827
- Feat(eos_designs): Added support for use different router IDs per VRF defined in network services by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4775
- Feat(eos_designs): Added support to set RCF for peer group in router bgp address family IPv4/IPv6 by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4804
- Feat(eos_designs): Improve `ptp` settings for `p2p_links` by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4612
- Feat(eos_designs): Only enable PTP on certain uplinks by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4819
- Feat(eos_designs): Optional dedicated MLAG peer group for VRFs by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4881
- Feat(eos_designs): Relax mode in structured config by @gmuloc in https://github.com/aristanetworks/avd/pull/4784
- Feat(eos_designs): Support multiple IP pools and/or IP ranges for all pools by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4883
- Feat(eos_designs): sflow_polling_interval by @ernestoherrerab in https://github.com/aristanetworks/avd/pull/4820
- Refactor(eos_cli_config_gen): Improve the aaa accounting j2 template by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4636
- Refactor(eos_cli_config_gen): Optimize Jinja2 logic for DHCP servers documentation by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4913
- Refactor(eos_cli_config_gen): Update eos template to validate  `type` key defined in `aaa_server_group` model by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4748
- Refactor(eos_cli_config_gen): Updated `hash_algorithm ` and `authentication key` as required key in ntp schema by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4876
- Refactor(eos_designs): Improve structured_config object duplication checks with opt-in by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4897
- Refactor(eos_designs): Refactor eos_designs struct_config for structured_configs/base/snmp_server.py by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4951
- Refactor(eos_designs): Refactor eos_designs structured_config code for `router_pim_sparse_mode.py` by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4973
- Refactor(eos_designs): Refactor eos_designs structured_config code for dps_interfaces by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4941
- Refactor(eos_designs): Refactor eos_designs structured_config code for ip_nat by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4944
- Refactor(eos_designs): Refactor eos_designs structured_config code for monitor_connectivity by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4947
- Refactor(eos_designs): Refactor eos_designs structured_config code for patch_panel by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4949
- Refactor(eos_designs): Refactor eos_designs structured_config code for router-general by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4942
- Refactor(eos_designs): Refactor eos_designs structured_config code for router_multicast.py by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4964
- Refactor(eos_designs): Refactor eos_designs structured_config code for tunnel_interfaces by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4946
- Refactor(eos_designs): Refactor eos_designs structured_config code for underlay router_bgp by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4953
- Refactor(eos_designs): Refactor eos_designs structured_config code for virtual_source_nat_vrfs by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4974
- Refactor(eos_designs): Refactor eos_designs structured_config code for vrfs by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4952
- Refactor(eos_designs): Refactor eos_designs structured_config code router_bfd by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4968
- Refactor(eos_designs): Refactor network_service vxlan_interfaces by @gmuloc in https://github.com/aristanetworks/avd/pull/4962
- Refactor(eos_designs): Refactor structured_config code for `underlay/as.py` by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4978
- Refactor(eos_designs): Refactor structured_config for network_services router_service_insertion by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4982
- Refactor(eos_designs): Structured config output by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4700
- Refactor(eos_designs): Use python classes built from schemas for inputs by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4603
- Refactor(eos_designs): structured_config for agents by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4975
- Refactor(eos_designs): structured_config for core_interfaces_and_l3_edge/router_ospf.py by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4977
- Refactor(eos_designs): structured_config for network_services ip_security by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4966
- Refactor(eos_designs): structured_config for network_services router_bgp by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4961
- Refactor(eos_designs): structured_config for network_services vlan_interfaces by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4957
- Refactor(eos_designs): structured_config for network_services vlans by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4955
- Refactor(eos_designs): structured_config for standard_access_list under network services and underlay by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4959
- Refactor(eos_designs): structured_config for underlay mpls by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4963
- Refactor(plugins): Add support for default_value to natural_sort by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4901
- Refactor(plugins): Improve schema models by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4795
- Refactor(plugins): Optimize schema validation by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4757
- Refactor: Change mixin classes to use `Protocol` by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4938
- Refactor: Fix type check on structured_config_contributor by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4956

Bugfixes
--------

- Fix(cv_deploy): Ensure lossrate for cv_pathfinder metadata is a float by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4852
- Fix(cv_deploy): Ignore missing structured config files by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4836
- Fix(eos_cli_config_gen): Change `lldp.receive_packet_tagged_drop` from `str` to `bool` by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4878
- Fix(eos_cli_config_gen): Fix the errdisable documentation J2 expects recovery.interval to be always set by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4979
- Fix(eos_cli_config_gen): Fix the invalid comand `no neighbor PATH-SELECTION-PG-1 send` for BGP address-family path-selection by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4861
- Fix(eos_cli_config_gen): Fix the invalid configuration of vpn-route in export direction for router bgp vrf by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4765
- Fix(eos_cli_config_gen): Fix wrong variable used in `eos\stun.j2` by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4814
- Fix(eos_designs)!: Correct Loopback prefixes in PL-LOOPBACKS-EVPN-OVERLAY prefix-list by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4915
- Fix(eos_designs): Align bgp_maximum_paths range(1 to 600) between eos_designs and eos_cli_config_gen role by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4912
- Fix(eos_designs): Support of validate_lldp key in structured config by @bjmeuer in https://github.com/aristanetworks/avd/pull/4777
- Fix(eos_validate_state): Fix the DHCP not recognized error for STUN and Connectivity tests by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4764

v5.1.0
======

Release Summary
---------------

Release 5.1.0 - See documentation on avd.arista.com for details.

Minor Changes
-------------

- Bump(requirements): Update ansible-core requirement from <2.18.0,>=2.15.0 to >=2.15.0,<2.19.0 in /ansible_collections/arista/avd by @dependabot in https://github.com/aristanetworks/avd/pull/4713
- Bump: Pre-release 5.1.0-dev2 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/4705
- Doc(eos_cli_config_gen): Make the Radius Server documentation visible by @gmuloc in https://github.com/aristanetworks/avd/pull/4741
- Doc(eos_designs): Add note in network services redistribute connected regarding VRF default by @carlbuchmann in https://github.com/aristanetworks/avd/pull/4704
- Doc(eos_designs): Fix MPLS node types documentation in node_types table by @gmuloc in https://github.com/aristanetworks/avd/pull/4733
- Doc(eos_designs,eos_cli_config_gen): Fix incorrect schemas by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4691
- Doc: Fix invalid deprecation links by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4703
- Feat(eos_cli_config_gen): Add BFD Slow-Timer Knob by @ccsnw in https://github.com/aristanetworks/avd/pull/4718
- Feat(eos_cli_config_gen): Add `route_map_in/out` for `router_bgp.address_family_evpn.neighbors[]` by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4625
- Feat(eos_cli_config_gen): Add integrity key under ike policy by @sugetha24 in https://github.com/aristanetworks/avd/pull/4606
- Feat(eos_cli_config_gen): Add maximum_paths  to router_bgp.vrfs by @juanjtomasg in https://github.com/aristanetworks/avd/pull/4655
- Feat(eos_cli_config_gen): Add support for BGP default timers and send-community commands by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4607
- Feat(eos_cli_config_gen): Add support for LSP and CSNP timers under router_isis by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4619
- Feat(eos_cli_config_gen): Add support for OSPF graceful restart by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4591
- Feat(eos_cli_config_gen): Add support for `mac timestamp header` command by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4635
- Feat(eos_cli_config_gen): Add support for `monitor server radius` by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4595
- Feat(eos_cli_config_gen): Add support for additional isis authentication commands in `ethernet-interfaces` by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4326
- Feat(eos_cli_config_gen): Add support for additional modes and feature in isis authentication under `port-channel-interfaces` by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4353
- Feat(eos_cli_config_gen): Add support for deadtime configuration to radius_server by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4614
- Feat(eos_cli_config_gen): Add support for ipv4/ipv6 access group ingress default in system.control_plane by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4710
- Feat(eos_cli_config_gen): Add vrf support for vmtracer_sessions by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4601
- Feat(eos_cli_config_gen): Added dot1x radius av-pair `lldp` and `dhcp` command support by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4618
- Feat(eos_cli_config_gen): Added support for `neighbor x.x.x.x encapsulation mpls next-hop-self source-intf <source-interface>` by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4608
- Feat(eos_cli_config_gen): Adding improved model for interface link tracking groups by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4610
- Feat(eos_cli_config_gen): Expand CLI to support DualEncap MH EVPN GW requirements by @colinmacgiolla in https://github.com/aristanetworks/avd/pull/4613
- Feat(eos_cli_config_gen): Support for Interface Profiles on Port-channel interfaces by @JaakkoRautanen in https://github.com/aristanetworks/avd/pull/4661
- Feat(eos_designs): Add option to disable default 'redistribute connected' in VRF. by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4220
- Feat(eos_designs): Add support the all dot1x features under adapters/port-profiles/network-ports by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4648
- Feat(eos_designs): Add support to enable ISIS authentication at global level by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4102
- Feat(eos_designs): Add support to use router general for router id by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4687
- Feat(eos_designs): Adding port_channel_id as option for endpoint ethernet description by @bjmeuer in https://github.com/aristanetworks/avd/pull/4667
- Feat(eos_designs): Support for L3 Inband ZTP by @jrecchia1029 in https://github.com/aristanetworks/avd/pull/4304
- Feat(eos_designs,eos_cli_config_gen): Support for IPv6 on network services VRF diagnostic loopback by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4222
- Feat(eos_validate_state): Added the support of `validate_lldp` key to skip the VerifyLLDPNeighbors tests by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4684
- Feat(plugins): Set changed=true and print yellow updates when recompiling schemas/templates by @gmuloc in https://github.com/aristanetworks/avd/pull/4715
- Feat(plugins): Verify pyavd extras again in verify_requirements by @gmuloc in https://github.com/aristanetworks/avd/pull/4720
- Refactor(cv_deploy): Improve metadata for zscaler by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4631
- Refactor(eos_cli_config_gen): Adding check for hosts key in TACACS server j2 file by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4701
- Refactor(eos_designs): Use new isis_authentication data models by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4734
- Refactor(pyavd): Adding `path` attribute to the validation error for removed keys by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4688

Bugfixes
--------

- Fix(eos_cli_config_gen): Prevent empty source and dest ports list for ip access lists by @gmuloc in https://github.com/aristanetworks/avd/pull/4660
- Fix(eos_designs): Add redistribution of attached-host to BGP for inband management by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4696
- Fix(eos_designs): Always output interface access_vlan as int in structured_config by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4738
- Fix(eos_designs): Explicitly extend SVI or L2VLAN to remote EVPN domains by @carlbuchmann in https://github.com/aristanetworks/avd/pull/4736
- Fix(eos_validate_state): Fix the VerifyLLDPNeighbors test to skip in case validate_state is set to False by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4679

v5.0.0
======

Release Summary
---------------

Release 5.0.0 - See documentation on avd.arista.com for details.

Minor Changes
-------------

- Bump: Add support for Python3.13 by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4651
- Bump: Minimum Python version 3.10 by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4276
- Bump: Python library cvprac>=1.4.0 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/4369
- Bump: anta>=1.1.0 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/4586
- Bump: arista.cvp Ansible collection requirement to latest version by @carlbuchmann in https://github.com/aristanetworks/avd/pull/4643
- Bump: re-add jsonschema dependency for ansible-collection target in PyAVD by @carlbuchmann in https://github.com/aristanetworks/avd/pull/4572
- Bump: v5.0.0-dev0 by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4275
- Cut(eos_cli_config_gen): Remove automatic conversion of dict-of-dicts to lists by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4320
- Cut(eos_cli_config_gen): Remove deprecated data model radius_servers by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4295
- Cut(eos_cli_config_gen): Remove deprecated key MIB_family_name from snmp_server data model  by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4289
- Cut(eos_cli_config_gen): Remove deprecated key cvcompression from daemon_terminattr data model by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4288
- Cut(eos_cli_config_gen): Remove deprecated key entropy_source from management_security data model by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4277
- Cut(eos_cli_config_gen): Remove deprecated keys `address_family` and `isis_af_defaults` from router-isis data model by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4278
- Cut(eos_cli_config_gen): Remove deprecated keys enable_vrfs and octa  from management_api_gnmi data model by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4296
- Cut(eos_cli_config_gen): Remove deprecated keys from router_bgp data model by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4311
- Cut(eos_cli_config_gen): Remove the deprecated key local_interface from stun server data model by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4274
- Cut(eos_cli_config_gen): Remove the deprecated keys for event-handlers by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4279
- Cut(eos_cli_config_gen): Remove the deprecated keys for flow-trackings by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4294
- Cut(eos_cli_config_gen): Remove the deprecated keys for name-server by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4290
- Cut(eos_cli_config_gen): Remove the deprecated keys for port-channel-interfaces by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4297
- Cut(eos_cli_config_gen): Remove the deprecated keys for vlan_interfaces  by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4305
- Cut(eos_cli_config_gen): Removing 'null' as valid value of esp integrity and encryption from ip-security module by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4336
- Cut(eos_cli_config_gen,eos_designs): Remove deprecated jsonschema files by @gmuloc in https://github.com/aristanetworks/avd/pull/4299
- Cut(eos_designs): Remove automatic conversion of dict-of-dicts to lists by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4321
- Cut(eos_designs): Remove deprecated inband_management_subnet and inband_management_vlan keys by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4318
- Cut(eos_designs): Remove deprecated key cvp_instance_ip by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4317
- Cut(eos_designs): Remove deprecated key short_esi by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4319
- Cut(eos_designs): Remove deprecated keys from bgp_peer_groups by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4307
- Cut(eos_designs): Remove deprecated keys marked `removed: true` in version 4.0.0 by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4312
- Cut(eos_designs): Remove deprecated ptp data model by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4316
- Cut(eos_designs): Remove the deprecated ipv6_address_virtual key from SVI settings by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4314
- Cut(plugins): Remove convert_dicts filter plugin and integrations into schema tooling by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4323
- Cut: Remove Ansible tags from AVD roles by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4427
- Cut: Remove deprecated Ansible plugins by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4291
- Cut: Remove deprecated deploy_to_cv role by @gmuloc in https://github.com/aristanetworks/avd/pull/4609
- Doc(eos_cli_config_gen): Add missing tables to input-variables by @gmuloc in https://github.com/aristanetworks/avd/pull/4469
- Doc(eos_cli_config_gen): Fix new_key paths for router_bgp to raise errors in case of a key conflict by @alexeygorbunov in https://github.com/aristanetworks/avd/pull/4597
- Doc(eos_cli_config_gen): Removing deprecation info from description as it was already removed by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4426
- Doc(eos_designs): How-to guide and porting guide updates for description templates by @carlbuchmann in https://github.com/aristanetworks/avd/pull/4558
- Doc(eos_designs): Remove adapter native_vlan_tag unused default value by @gmuloc in https://github.com/aristanetworks/avd/pull/4602
- Doc(eos_designs): Update custom_structured_config doc following merge changes in 4.0.0 by @alexeygorbunov in https://github.com/aristanetworks/avd/pull/4611
- Doc(eos_designs): correct dc_name docs by @pvinci-arista in https://github.com/aristanetworks/avd/pull/4646
- Doc(eos_validate_state): Update diagram and documentation to include custom ANTA test catalogs by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/4653
- Doc(pyavd): Update pyavd docs by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4632
- Doc: Add CV Pathfinder AVD example by @gmuloc in https://github.com/aristanetworks/avd/pull/4453
- Doc: Placeholder PR for updating deprecated keys in 5.x.x porting-guide by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4285
- Feat(eos_cli_config_gen): Add permit_response_traffic nat to ip-access-lists by @gmuloc in https://github.com/aristanetworks/avd/pull/4545
- Feat(eos_cli_config_gen): Add support additional-paths to root context of BGP using new DM by @ccsnw in https://github.com/aristanetworks/avd/pull/4519
- Feat(eos_cli_config_gen): Add support for IPv4 BGP Labeled-Unicast (BGP-LU) by @colinmacgiolla in https://github.com/aristanetworks/avd/pull/4412
- Feat(eos_cli_config_gen): Add support for additional dot1x commands. by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4191
- Feat(eos_cli_config_gen): Add support for isis authentication on vlan interfaces by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4254
- Feat(eos_cli_config_gen): Add support for port-channel local interfaces for router-path-selection by @gmuloc in https://github.com/aristanetworks/avd/pull/4475
- Feat(eos_cli_config_gen): Add support for snmp-server ipmib ifspeed shape-rate by @gusmb in https://github.com/aristanetworks/avd/pull/4382
- Feat(eos_cli_config_gen): Add switchport data model by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4158
- Feat(eos_cli_config_gen): Add trident l3 routing mac per vlan option  by @ccsnw in https://github.com/aristanetworks/avd/pull/4548
- Feat(eos_cli_config_gen): Enhance encapsulation schema/template for ethernet and port-channel interfaces by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4388
- Feat(eos_cli_config_gen): Extend GRE span with payload support by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4190
- Feat(eos_cli_config_gen): Global logging keys for congestion-drops, link-status, and repeat-messages by @nathanmusser in https://github.com/aristanetworks/avd/pull/4493
- Feat(eos_cli_config_gen): Redo the model for additional-paths in BGP by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/3730
- Feat(eos_cli_config_gen): Set ssh authentication protocols and empty password by @jmussmann in https://github.com/aristanetworks/avd/pull/4436
- Feat(eos_cli_config_gen): add_hardware_port_group_knob by @ccsnw in https://github.com/aristanetworks/avd/pull/4500
- Feat(eos_designs): Add possibility to change network mask for direct WAN HA link by @gmuloc in https://github.com/aristanetworks/avd/pull/4497
- Feat(eos_designs): Add support for Port-Channel for Direct HA by @gmuloc in https://github.com/aristanetworks/avd/pull/4482
- Feat(eos_designs): Add support to enable sflow on l3 interfaces by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4444
- Feat(eos_designs): Configure l3 interfaces BGP peers even when underlay_bgp is False by @gmuloc in https://github.com/aristanetworks/avd/pull/4543
- Feat(eos_designs): Custom platform_settings and node_type_keys by @jonxstill in https://github.com/aristanetworks/avd/pull/3300
- Feat(eos_designs): Update eos_designs code to generate new interface-encapsulation model in structured_configs by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4504
- Feat(eos_designs, eos_validate_state): Updated the upper case letter Vxlan1 to vxlan1 for vxlan_interfaces structure config by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4347
- Feat(eos_validate_state): Added the validation for AVT path for static peers and role of device by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4200
- Feat(eos_validate_state): Added the validation for DPS interface reachability by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4154
- Feat(plugins): Add AVD String Formatter for later use in custom descriptions by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4432
- Feat(plugins): Add strict mode and ignore_case flags to natural_sort filter by @gmuloc in https://github.com/aristanetworks/avd/pull/4298
- Refactor(cv_deploy): Optimize push of configlets with version aware API calls by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4419
- Refactor(eos_cli_config_gen): Allow duplicate value of `address` in `router_pim_sparse_mode.rp_addresses` by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4366
- Refactor(eos_cli_config_gen): Change the 'protocol' key to 'encapsulation' in interfaces-encapsulation model by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4509
- Refactor(eos_cli_config_gen): Deprecate Upper case letter Vxlan1 to vxlan1 for vxlan_interface schema by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4250
- Refactor(eos_cli_config_gen): Deprecate `community_lists` data model by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4396
- Refactor(eos_cli_config_gen): Deprecation of `type` key from ethernet and port-channel interfaces by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4416
- Refactor(eos_cli_config_gen): Improve schema for redistributes_routes under address_family_ipv4_multicast, address_family_ipv6 and vrfs for router_bgp by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4359
- Refactor(eos_cli_config_gen): Improve schemas with `primary_key/required` by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4563
- Refactor(eos_cli_config_gen): Improved redistribute data models under router_bgp by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4550
- Refactor(eos_cli_config_gen): Rearrange `eos_cli_config_gen` output to match with EOS - Part 4 by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4487
- Refactor(eos_cli_config_gen): Rearrange eos-intended-config based on eos cli by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4411
- Refactor(eos_cli_config_gen): Rearrange eos_cli output to match with eos for `port-channel-interfaces` by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4557
- Refactor(eos_cli_config_gen): Rearrange eos_cli_config_gen commands to match with EOS sequence - Part 5 by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4549
- Refactor(eos_cli_config_gen): Rearrange generated CLI for `traffic-policies`, `system` and `static-routes` by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4590
- Refactor(eos_cli_config_gen): Rearrange generated CLI for qos queues under interfaces and qos_profiles by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4579
- Refactor(eos_cli_config_gen): Rearrange the CLI for platform by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4578
- Refactor(eos_cli_config_gen): Rearrange the eos-cli config for `vlan-interfaces` to match with EOS by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4488
- Refactor(eos_cli_config_gen): Rearrange the eos-cli config for ethernet-interfaces to match with EOS by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4569
- Refactor(eos_cli_config_gen): Rearrange the eos-cli config for router-bgp to match with EOS by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4566
- Refactor(eos_cli_config_gen): Rearrange the eos-cli config for tap-aggregation to match with EOS by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4585
- Refactor(eos_cli_config_gen): Rearrange the eos-cli output to match eos order - Part 6 by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4546
- Refactor(eos_cli_config_gen): Rearrange the eos-cli output to match eos order by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4381
- Refactor(eos_cli_config_gen): Rearrange the eos-cli output to match eos order for router-isis by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4555
- Refactor(eos_cli_config_gen): Rearrange the eos-cli output to match eos order part 2 by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4449
- Refactor(eos_cli_config_gen): Rearrange the eos-cli output to match eos order part-3 by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4462
- Refactor(eos_cli_config_gen): Rearrange the order of `management api http` in eos-intended-config based on eos cli by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4535
- Refactor(eos_cli_config_gen): Remove EOS default configuration by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4361
- Refactor(eos_cli_config_gen): Remove error handling for missing name in hardware-counters by @gmuloc in https://github.com/aristanetworks/avd/pull/4302
- Refactor(eos_cli_config_gen): Remove hack for ansible 2.12 for arp by @gmuloc in https://github.com/aristanetworks/avd/pull/4404
- Refactor(eos_cli_config_gen): Remove type column from the documentation of ethernet-interfaces and port-channel-interfaces by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4363
- Refactor(eos_designs): Add helper to retrieve ip from ip prefix by @gmuloc in https://github.com/aristanetworks/avd/pull/4306
- Refactor(eos_designs): Better error messages for missing keys by @gmuloc in https://github.com/aristanetworks/avd/pull/4541
- Refactor(eos_designs): Change default of redistribute_mlag_ibgp_peering_vrfs to false by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4499
- Refactor(eos_designs): Changed the redistribute_routes data model by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4544
- Refactor(eos_designs): Deprecate `design.type`  and combine default `node_type_keys` by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4340
- Refactor(eos_designs): Move debug vars dump to action plugin instead of it's own task by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4540
- Refactor(eos_designs): Move default platform_settings. network_services_keys and connected_endpoints_keys to schema by @gmuloc in https://github.com/aristanetworks/avd/pull/4395
- Refactor(eos_designs): Move documentation to Python by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4364
- Refactor(eos_designs): Optimize eos_designs_structured_config file write by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4283
- Refactor(eos_designs): Optimize handling of WAN internet exits by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4372
- Refactor(eos_designs): Remove "preview" from flow_tracking_settings by @gmuloc in https://github.com/aristanetworks/avd/pull/4472
- Refactor(eos_designs): Remove legacy interface_descriptions function by @gmuloc in https://github.com/aristanetworks/avd/pull/4300
- Refactor(eos_designs): Setting ospf.area default values to 0.0.0.0 by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4536
- Refactor(eos_designs): Use VRF ID instead of VRF VNI as offset for evpn underlay l3 multicast group by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4450
- Refactor(eos_designs,eos_cli_config_gen): Default validation_mode to error and remove conversion_mode by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4327
- Refactor(eos_validate_state): Keep only ANTA mode in eos_validate_state by @gmuloc in https://github.com/aristanetworks/avd/pull/4286
- Refactor(plugins): Emit errors when both deprecated and new keys are set by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4562
- Refactor(plugins): Remove jsonschema dependency by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4348

Breaking Changes / Porting Guide
--------------------------------

- Feat(eos_designs)!: Improve logic for BGP configuration of network services VRFs by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4358
- Feat(eos_designs)!: Shutdown interfaces and bgp towards undeployed peers by default by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4424
- Feat(eos_designs)!: Update eos_designs code to generate new switchport model in structured_configs by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4454
- Feat(eos_designs)!: Update the default platform settings for R3-series to have TCAM profile "vxlan-routing" by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4387
- Feat(eos_designs,eos_cli_config_gen)!: Change default encapsulation to path-selection for WAN iBGP EVPN peerings by @gmuloc in https://github.com/aristanetworks/avd/pull/4496
- Fix(eos_cli_config_gen)!: Avoid generating invalid configuration for traffic policies by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4266
- Fix(eos_cli_config_gen)!: Make `router_isis.address_family_ipv4/6.enabled` Required by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4401
- Fix(eos_cli_config_gen)!: update logic in monitor_sessions to not require both source and destination by @carlbuchmann in https://github.com/aristanetworks/avd/pull/3823
- Fix(eos_designs)!: Add missing BGP peer description for MLAG peerings in VRFs by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4394
- Fix(eos_designs)!: BGP vlan config should not have redistribute igmp when belonging to a VRF with evpn multicast by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4210
- Fix(eos_designs)!: Do not render EVPN address-family on MPLS devices unless `overlay_address_families` includes `evpn` by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4390
- Fix(eos_designs)!: Endpoints PoE and 802.1x configuration for port-channel members by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4627
- Fix(eos_designs)!: Make evpn_gateway.remote_peers override work as documented by @gmuloc in https://github.com/aristanetworks/avd/pull/4510
- Fix(eos_designs)!: VARPv6 config is not generated even when "ipv6_enable: true" is specified by @bjmeuer in https://github.com/aristanetworks/avd/pull/4208
- Refactor(eos_cli_config_gen)!: Make router_traffic_engineering.enabled required by @gmuloc in https://github.com/aristanetworks/avd/pull/4403
- Refactor(eos_cli_config_gen)!: Removing default type: switched from ethernet and port-channel interfaces by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4355
- Refactor(eos_cli_config_gen)!: Reorder hardware and hardware-counter commands by @gmuloc in https://github.com/aristanetworks/avd/pull/4580
- Refactor(eos_cli_config_gen,eos_designs)!: Update router_ospf.redistribute.bgp/connected/static with enabled keys by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4417
- Refactor(eos_designs)!: Change L2 uplink description by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4532
- Refactor(eos_designs)!: Change L3 P2P descriptions for uplinks and p2p_links by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4520
- Refactor(eos_designs)!: Change MLAG L3 VRF VLAN names and SVI descriptions by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4514
- Refactor(eos_designs)!: Change MLAG VLAN names and SVI descriptions by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4479
- Refactor(eos_designs)!: Change default BGP peer descriptions by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4517
- Refactor(eos_designs)!: Change default VRF Diagnostic Loopback descriptions by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4534
- Refactor(eos_designs)!: Change default descriptions for connected endpoints and network ports by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4457
- Refactor(eos_designs)!: Change default mlag interface descriptions by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4464
- Refactor(eos_designs)!: Change loopback0 description and terminology to router_id_loopback by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4448
- Refactor(eos_designs)!: Change merge strategy for SVI structured_config from SVI profiles by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4383
- Refactor(eos_designs)!: Change the default Loopback1 description by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4451
- Refactor(eos_designs)!: Change the default mgmt_interface_description to upper case by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4452
- Refactor(eos_designs)!: Change the default value of `isis_system_id_format` to `underlay_loopback` by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4373
- Refactor(eos_designs)!: Change the default value of `mlag_on_orphan_port_channel_downlink` to `false` by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4371
- Refactor(eos_designs)!: Combine the VLAN trunk groups used for MLAG by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4494
- Refactor(eos_designs)!: Import AvdIpAddressing class from PyAVD by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4422
- Refactor(eos_designs)!: Only render IGMP snooping querier version and address when enabled by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4478
- Refactor(eos_designs)!: Raise AVD error if sFlow is enabled but `sflow_settings.destinations` is not configured by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4402
- Refactor(eos_designs)!: Raise when a referenced profile name is not defined by @gmuloc in https://github.com/aristanetworks/avd/pull/4516
- Refactor(eos_designs)!: WAN default MTU set to 9194 for Dps and WAN HA interfaces and for LAN uplink interfaces added `p2p_uplinks_mtu` support in platform settings by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4415

Bugfixes
--------

- Fix(cv_deploy): Ensure 'AVD Configurations' container is inserted first by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4356
- Fix(cv_deploy): Fix Ansible Logging and increase API timeouts by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4357
- Fix(cv_deploy): Fix async comprehensions in get_tags by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/4332
- Fix(eos_cli_config_gen): Do not render entries with only sequence number from ip_access_list by @gmuloc in https://github.com/aristanetworks/avd/pull/4492
- Fix(eos_cli_config_gen): Fix router_isis rx_disabled and mode: shared-secret by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4267
- Fix(eos_cli_config_gen): Fix the command for next-hop mpls resolution in address-family evpn by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4490
- Fix(eos_cli_config_gen): Fix the maximum-routes, next-hop resolution v4-mapped-v6 translation commands in `router_bgp.address_family_ipv4_labeled_unicast` by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4567
- Fix(eos_cli_config_gen): Fix wrong indentation of config for redistribute routes in `router_bgp.vrfs[].address_family_ipv6` by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4552
- Fix(eos_cli_config_gen): Fixing poe link down power-off action command in j2 template by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4576
- Fix(eos_cli_config_gen): Remove primary key of system.control_plane.ipv4/6_access_group and make vrf key unique by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4465
- Fix(eos_cli_config_gen): Sort IPsec SA, IKE policies and profiles by @gmuloc in https://github.com/aristanetworks/avd/pull/4227
- Fix(eos_cli_config_gen): Use the correct VRF name for ip nat profile by @gmuloc in https://github.com/aristanetworks/avd/pull/4398
- Fix(eos_cli_config_gen,eos_designs): Dont configure access group on interface when access group is defined on session level by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4565
- Fix(eos_designs): Add redistribute connected under BGP for VRF default if no underlay by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4522
- Fix(eos_designs): Better error message when missing 'evpn_multicast' for PIM l3 interfaces by @gmuloc in https://github.com/aristanetworks/avd/pull/4391
- Fix(eos_designs): Do not filter AVT on HA device if one path-group is present on peer by @gmuloc in https://github.com/aristanetworks/avd/pull/4463
- Fix(eos_designs): Do not render vrf default under router ospf by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4334
- Fix(eos_designs): Fix context vars for custom interface description templates by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4429
- Fix(eos_designs): Fix schema validation of dynamic keys by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4474
- Fix(eos_designs): Fix the Invalid command of `vxlan vxlan vlan <vlan_id> flood vtep` by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4592
- Fix(eos_designs): Make it possible to add custom PTP profiles by @gmuloc in https://github.com/aristanetworks/avd/pull/4523
- Fix(eos_designs): Move schema for ipv4_prefix_list_catalog to pyavd for proper enforcement by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4322
- Fix(eos_designs): Provide the proper kwarg to Ansible Display.warning() in schema tools by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/4345
- Fix(eos_designs): Use CP-Profile for WAN HA when DP-Profile is not configured by @gmuloc in https://github.com/aristanetworks/avd/pull/4309
- Fix(eos_validate_state): Ensure graceful handling of command errors from ANTA by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4385
- Fix(eos_validate_state): Update documentation by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/4350
- Fix(plugins): Support zeroes in interface numbers for range_expand by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4420

New Modules
-----------

- arista.avd.eos_designs_documentation - Generate AVD Fabric Documentation

v4.10.0
=======

Release Summary
---------------

Release 4.10.0 - See documentation on avd.arista.com for details.

Minor Changes
-------------

- Bump: Update version 4.10.0-dev0 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/4184
- Doc(eos_designs): Add warning about WAN BGP peer groups password by @gmuloc in https://github.com/aristanetworks/avd/pull/4265
- Doc(eos_designs): Remove lookup plugin reference for Zscaler IE by @gmuloc in https://github.com/aristanetworks/avd/pull/4234
- Doc(eos_designs): Replace wrong key referred in documentation `mlag_l3_peer_vlan` with `mlag_peer_l3_vlan` by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4251
- Doc(eos_designs): Update documentation to customize WAN flow tracking. by @gmuloc in https://github.com/aristanetworks/avd/pull/4253
- Doc: AVD with Ansible Automation Platform Guide by @JulioPDX in https://github.com/aristanetworks/avd/pull/3910
- Doc: Deprecate the eos_designs and eos_cli_config_gen jsonschema.json… by @gmuloc in https://github.com/aristanetworks/avd/pull/4195
- Doc: Fix incorrect keys specified in default_mgmt_method by @carlbuchmann in https://github.com/aristanetworks/avd/pull/4206
- Feat(cv_deploy): Add CV Pathfinder AVT hop count to metadata studio by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4071
- Feat(cv_deploy): Add application data to CV Pathfinder metadata by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4247
- Feat(eos_cli_config_gen): Add MPLS Tunnel Support for Traceroute and PMTU Discovery by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4219
- Feat(eos_cli_config_gen): Add TLS options for radius_server by @nnbruce in https://github.com/aristanetworks/avd/pull/4194
- Feat(eos_cli_config_gen): Add dscp support for application traffic recognition IPv4 by @gmuloc in https://github.com/aristanetworks/avd/pull/4241
- Feat(eos_cli_config_gen): Add ptp profiles for ITU-T G8275 support by @colinmacgiolla in https://github.com/aristanetworks/avd/pull/4230
- Feat(eos_cli_config_gen): Add support for tunnel-interface underlay vrf by @nathanmusser in https://github.com/aristanetworks/avd/pull/4211
- Feat(eos_cli_config_gen): Add support to configure PEG DR election algorithm by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4095
- Feat(eos_cli_config_gen): Enhance DHCP server data model (lease time, reservations, eos_cli) by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4252
- Feat(eos_cli_config_gen): SyncE support by @colinmacgiolla in https://github.com/aristanetworks/avd/pull/4255
- Feat(eos_designs): Add `ptp_settings` to replace `ptp` key in eos_designs by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4155
- Feat(eos_designs): Add keys to set loopback0 and vtep_loopback directly by @gmuloc in https://github.com/aristanetworks/avd/pull/4168
- Feat(eos_designs): Add option for ip igmp snooping fast-leave by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4180
- Feat(eos_designs): Add support to add access-groups on l3-interfaces through network-services by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4163
- Feat(eos_designs): Enhance custom IP addressing and descriptions for p2p-vrfs by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4259
- Feat(eos_designs): MLAG secondary should use short-esi from MLAG primary by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4172
- Feat(eos_designs): Underlay OSPF authentication by @jonxstill in https://github.com/aristanetworks/avd/pull/4169
- Refactor(eos_cli_config_gen): Add primary key for connectivity monitor hosts by @gmuloc in https://github.com/aristanetworks/avd/pull/4264
- Refactor(eos_designs,eos_cli_config_gen): Deprecate type conversion from dict-of-dicts to list-of-dicts by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4237
- Refactor(eos_validate_state): Add warning for ansible test mode by @gmuloc in https://github.com/aristanetworks/avd/pull/4173
- Refactor(pyavd): Clean unused code requiring referencing library by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4269
- Refactor(pyavd): Suppress warnings for cryptography >=43.0.0 by @gmuloc in https://github.com/aristanetworks/avd/pull/4235

Bugfixes
--------

- Fix(eos_cli_config_gen): Add a pseudo task to handle tags on import role by @gmuloc in https://github.com/aristanetworks/avd/pull/4258
- Fix(eos_cli_config_gen): Fixing the wrong CLI generated for radius-server dynamic-authorizaton by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4224
- Fix(eos_cli_config_gen): Restoring consistent schema validation behavior by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4261
- Fix(eos_validate_state): Sanitize markdown output on markdown validation report  by @nathanmusser in https://github.com/aristanetworks/avd/pull/4212
- Fix(plugins): Fix deprecation warning after reformatting by @gmuloc in https://github.com/aristanetworks/avd/pull/4183
- Fix(plugins): Prevent deprecation warnings when deprecated filters are not used by @gmuloc in https://github.com/aristanetworks/avd/pull/4199
- Fix: Incorrect default value for 720XP for trident_forwarding_table_partition by @carlbuchmann in https://github.com/aristanetworks/avd/pull/4215
- Fix: Typo in requirements.txt for PyAVD dev0 version by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4248

v4.9.0
======

Release Summary
---------------

Release 4.9.0 - See documentation on avd.arista.com for details.

Minor Changes
-------------

- Bump(pyavd): Add support for Python 3.9 in PyAVD by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4051
- Doc(eos_cli_config_gen): Include docs for router segment-security by @jonxstill in https://github.com/aristanetworks/avd/pull/4059
- Doc: Add notes about using cv_deploy for CV Pathfinder by @gmuloc in https://github.com/aristanetworks/avd/pull/4044
- Doc: Added the table of WAN validation by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4125
- Doc: Contribution Guide Updates by @carlbuchmann in https://github.com/aristanetworks/avd/pull/3766
- Doc: Fix mkdocs broken requirement links in roles by @gmuloc in https://github.com/aristanetworks/avd/pull/4039
- Doc: Minor grammar edits. by @blitzeditor in https://github.com/aristanetworks/avd/pull/3362
- Doc: Minor updates to Development Tooling guide. by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4067
- Doc: Semantic Versioning by @carlbuchmann in https://github.com/aristanetworks/avd/pull/3417
- Doc: Update installation guide with PyAVD by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4076
- Doc: add CVaaS regional URLs to cv_deploy by @noredistribution in https://github.com/aristanetworks/avd/pull/4092
- Feat(containers): switch to pyavd and editable install for container build by @ankudinov in https://github.com/aristanetworks/avd/pull/4087
- Feat(eos_cli_config_gen): Add Patch-Panel Connector commands by @ccsnw in https://github.com/aristanetworks/avd/pull/4063
- Feat(eos_cli_config_gen): Add option for `ospf_type` when redistributing OSPF into BGP by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4029
- Feat(eos_cli_config_gen): Add support for 'no bgp redistribute-internal' by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4033
- Feat(eos_cli_config_gen): Add support for MACsec fallback to unprotected traffic by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4028
- Feat(eos_cli_config_gen): Add support for Postcard telemetry by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/3642
- Feat(eos_cli_config_gen): Add support for Router BGP missing-policy for address-family all by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4034
- Feat(eos_cli_config_gen): Add support for dot1x captive portal and supplicant commands by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4023
- Feat(eos_cli_config_gen): Add support for permit response traffic nat under ip acls by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4128
- Feat(eos_cli_config_gen): Adding option for arp cache persistent and arp persistent refresh-delay by @bjmeuer in https://github.com/aristanetworks/avd/pull/4109
- Feat(eos_cli_config_gen): Support of BGP default-originate per VRF #3941 by @mmaaloul in https://github.com/aristanetworks/avd/pull/4122
- Feat(eos_cli_config_gen): Support of static IPv6 neighbor entries by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4075
- Feat(eos_designs): Add platform settings for WAN devices by @ayushmittal-arista in https://github.com/aristanetworks/avd/pull/4027
- Feat(eos_designs): Add support for 'uplink_mtu' under node config by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4040
- Feat(eos_designs): Add support for directly connected WAN HA by @gmuloc in https://github.com/aristanetworks/avd/pull/3720
- Feat(eos_designs): Add support to enable BGP peering with wan provider by @ayushmittal-arista in https://github.com/aristanetworks/avd/pull/4079
- Feat(eos_designs): Allow 'evpn_vlan_bundle' to be set up at tenant level by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4093
- Feat(eos_designs): Allow reuse of cross-device BGP peer ip by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4050
- Feat(eos_designs): Disable per interface MTU for 7010TX by @xaviramon in https://github.com/aristanetworks/avd/pull/4053
- Feat(eos_designs): Enforce unicity of region IDs and per-region site IDs for CV Pathfinder by @gmuloc in https://github.com/aristanetworks/avd/pull/4121
- Feat(eos_validate_state): Add support for ANTA v1.0.0 by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/4123
- Feat(eos_validate_state): Added the validation for IP security connections by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/3911
- Feat(eos_validate_state): Added the validation for STUN client configurations by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/3898
- Refactor(cv_deploy): Optimize creation of configlet containers by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3950
- Refactor(eos_cli_config_gen): Addressed missed comments for patch-panel by @gmuloc in https://github.com/aristanetworks/avd/pull/4078
- Refactor(eos_cli_config_gen): Move eos_cli_config_gen to pyavd by @gmuloc in https://github.com/aristanetworks/avd/pull/4117
- Refactor(eos_designs): Move eos_designs Python modules to PyAVD by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4120
- Refactor(eos_designs): Move eos_designs_facts to PyAVD by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4110
- Refactor(eos_designs): Move eos_designs_shared_utils to PyAVD by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4126
- Refactor(plugins): Deprecate various unused Ansible plugins by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4166
- Refactor(plugins): Move internal AVD code to PyAVD by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4140
- Refactor(plugins): Move internal cv_client code to PyAVD by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4141
- Refactor(plugins): Move jinja filter code for `arista.avd.default` to PyAVD by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4047
- Refactor(plugins): Move jinja filter code for arista.avd.add_md_toc to PyAVD by @gmuloc in https://github.com/aristanetworks/avd/pull/4104
- Refactor(plugins): Move jinja filter code for arista.avd.convert_dicts to PyAVD by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4069
- Refactor(plugins): Move jinja filter code for arista.avd.encrypt and arista.avd.decrypt to PyAVD by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4135
- Refactor(plugins): Move jinja filter code for arista.avd.generate_esi to PyAVD by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4114
- Refactor(plugins): Move jinja filter code for arista.avd.generate_lacp_id to PyAVD by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4139
- Refactor(plugins): Move jinja filter code for arista.avd.generate_route_target to PyAVD by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4101
- Refactor(plugins): Move jinja filter code for arista.avd.hide_passwords to PyAVD by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4112
- Refactor(plugins): Move jinja filter code for arista.avd.is_in_filter to PyAVD by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4133
- Refactor(plugins): Move jinja filter code for arista.avd.list_compress to PyAVD by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4099
- Refactor(plugins): Move jinja filter code for arista.avd.natural_sort to PyAVD by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4068
- Refactor(plugins): Move jinja filter code for arista.avd.range_expand to PyAVD by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4138
- Refactor(plugins): Move jinja filter code for arista.avd.snmp_hash to PyAVD by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4136
- Refactor(plugins): Move jinja filter code for arista.avd.status_render to PyAVD by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4142
- Refactor(plugins): Move jinja test code for arista.avd.contains to PyAVD by @gmuloc in https://github.com/aristanetworks/avd/pull/4131
- Refactor(plugins): Move jinja test code for arista.avd.defined to PyAVD by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4143
- Refactor(plugins): Move schema code and schema fragments to PyAVD by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4130
- Refactor: Deprecate Python3.9 support by @gmuloc in https://github.com/aristanetworks/avd/pull/4177
- Refactor: Move requirements to PyAVD by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4147

Bugfixes
--------

- Fix(containers): Add "remoteUser": "avd" to devcontainer by @carlbuchmann in https://github.com/aristanetworks/avd/pull/4043
- Fix(cv_deploy): Improve SWG API handling for Zscaler internet exit by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4090
- Fix(eos_cli_config_gen): BGP models has supress-map which is not present in EOS commands. by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4054
- Fix(eos_cli_config_gen): Fix MSDP template typo for sa_filter.out_list by @gusmb in https://github.com/aristanetworks/avd/pull/4161
- Fix(eos_cli_config_gen): Fix the templates for event-handlers by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4055
- Fix(eos_designs)!: Remove eBGP LAN outbound route-map for WAN by @gmuloc in https://github.com/aristanetworks/avd/pull/4107
- Fix(eos_designs): Address ipv4_acl_in/out not working for WAN l3 subinterfaces by @gmuloc in https://github.com/aristanetworks/avd/pull/4116
- Fix(eos_designs): Inband mgmt route-map and prefix-list should not be applied without overlay_routing_protocol by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4045
- Fix(eos_designs): WAN Exclude interface IP address from direct internet-exit NAT ACL by @ayushmittal-arista in https://github.com/aristanetworks/avd/pull/4096
- Fix(eos_designs): core_interfaces generates invalid config if ASN is not defined for the p2p_links/p2p_links_profiles by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4046
- Fix(eos_validate_state): Update error message when a device does not have httpapi _sub_plugin by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4049
- Fix: Adjust inventory group names in molecule tests to follow Ansible guidelines by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/4097
- Fix: Change the required arguments for eos_cli_config_gen action plugin by @gmuloc in https://github.com/aristanetworks/avd/pull/4152

New Modules
-----------

- arista.avd.eos_cli_config_gen - Generate AVD EOS device configurations and documentations

v4.8.0
======

Release Summary
---------------

Release 4.8.0 - See documentation on avd.arista.com for details.

Minor Changes
-------------

- Bump(eos_validate_state): ANTA Update eos_validate_state code to support ANTA v0.14.0 by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/3871
- Bump(requirements): Bump black from 24.3.0 to 24.4.0 in /ansible_collections/arista/avd by @dependabot in https://github.com/aristanetworks/avd/pull/3860
- Bump(requirements): Bump black from 24.4.0 to 24.4.1 in /ansible_collections/arista/avd by @dependabot in https://github.com/aristanetworks/avd/pull/3906
- Bump(requirements): Bump black from 24.4.1 to 24.4.2 in /ansible_collections/arista/avd by @dependabot in https://github.com/aristanetworks/avd/pull/3913
- Bump(requirements): Set minimum ansible-core version to 2.15.x and maximum to 2.17.x by @carlbuchmann in https://github.com/aristanetworks/avd/pull/3927
- Bump(requirements): Support newer jsonschema versions by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3934
- Doc(eos_cli_config_gen): Add missing switchport port security table to documentation by @carlbuchmann in https://github.com/aristanetworks/avd/pull/3880
- Doc(eos_designs): Fix indentation in WAN how-to by @gmuloc in https://github.com/aristanetworks/avd/pull/4010
- Doc(eos_validate_state): Add link for OSX fork issue by @gmuloc in https://github.com/aristanetworks/avd/pull/3902
- Doc(plugins): Fix wrong module name in eos_designs_structured_config module doc by @gmuloc in https://github.com/aristanetworks/avd/pull/3795
- Doc: Fix examples for connected endpoints using deprecated data-model in input-varaibles.md by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3989
- Doc: Move documentation of mlag_ibgp_peering_vrfs to network services section. by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/3992
- Doc: Readme updates to align with the new Red Hat template by @JulioPDX in https://github.com/aristanetworks/avd/pull/4024
- Doc: Release 4.7.1 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/3846
- Doc: Update CSS to bring `code` to 100% size by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3917
- Doc: Update installation guide to avoid 'pipx' by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3863
- Doc: Updated the documentation for IPv4 ACL by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/3955
- Feat(eos_cli_config_gen):  Add policy-maps qos police. by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3620
- Feat(eos_cli_config_gen): Add DHCP server options for TFTP and DNS by @jrecchia1029 in https://github.com/aristanetworks/avd/pull/3993
- Feat(eos_cli_config_gen): Add FQDN & UFQDN support for ike profile local-id by @gmuloc in https://github.com/aristanetworks/avd/pull/3832
- Feat(eos_cli_config_gen): Add IPsec and NAT options to tunnel_interfaces. by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/3830
- Feat(eos_cli_config_gen): Add InfluxDB support by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/3705
- Feat(eos_cli_config_gen): Add Regex pattern for region/zone/site name for router_adapative_virtual_topology by @ayushmittal-arista in https://github.com/aristanetworks/avd/pull/4026
- Feat(eos_cli_config_gen): Add aaa unresponsive action under global dot1x by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3739
- Feat(eos_cli_config_gen): Add capability to disable address-only for connectivity monitors by @gmuloc in https://github.com/aristanetworks/avd/pull/3867
- Feat(eos_cli_config_gen): Add eos_cli support under router_isis. by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3745
- Feat(eos_cli_config_gen): Add event-handler trigger on-maintenance. by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3629
- Feat(eos_cli_config_gen): Add l4 to application traffic recognition by @colinmacgiolla in https://github.com/aristanetworks/avd/pull/3780
- Feat(eos_cli_config_gen): Add option for dot1x aaa accounting update interval x seconds. by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4017
- Feat(eos_cli_config_gen): Add router internet-exit. by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/3748
- Feat(eos_cli_config_gen): Add router segment security by @colinmacgiolla in https://github.com/aristanetworks/avd/pull/3782
- Feat(eos_cli_config_gen): Add router service-insertion subcommands for Internet Exit by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/3757
- Feat(eos_cli_config_gen): Add support for BGP TCP AO. by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/3853
- Feat(eos_cli_config_gen): Add support for L2 in-place adjacency replacement (IAR) by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/3990
- Feat(eos_cli_config_gen): Add support for copp policy-maps. by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/3895
- Feat(eos_cli_config_gen): Add support for isis spf-interval hold timer. by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3912
- Feat(eos_cli_config_gen): Add support for raw `eos_cli` under  `router_bgp` by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/3673
- Feat(eos_cli_config_gen): Add transceiver.frequency under ethernet_interfaces by @ccsnw in https://github.com/aristanetworks/avd/pull/4003
- Feat(eos_cli_config_gen): Adding 'ip igmp host-proxy' interface support by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/3657
- Feat(eos_cli_config_gen): Adding segment-security in hardware counters. by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4000
- Feat(eos_cli_config_gen): Enhance event-handlers model to accommodate other triggers with their specificities. by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3878
- Feat(eos_cli_config_gen): Implement managing RCF. by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/3798
- Feat(eos_cli_config_gen): Option to set RCF address-family ipv4, ipv6 and evpn by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/3814
- Feat(eos_cli_config_gen): Option to set RCF for route bgp ipv4/ipv6 mulit-cast and VRF by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/3821
- Feat(eos_cli_config_gen): Option to set RCF route bgp address-family vpn-ipv6/ipv4 and redistribute. by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/3819
- Feat(eos_cli_config_gen): Support SA lifetime for IP sec by @gmuloc in https://github.com/aristanetworks/avd/pull/3875
- Feat(eos_cli_config_gen): Support activity polling-interval for router multicast. by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3893
- Feat(eos_cli_config_gen): Support additional options for IP DHCP relay and IPv6 DHCP relay by @bjmeuer in https://github.com/aristanetworks/avd/pull/3925
- Feat(eos_cli_config_gen): Support additional options for IPv6 ND under SVIs by @bjmeuer in https://github.com/aristanetworks/avd/pull/3935
- Feat(eos_cli_config_gen): Support for MSS Clamping on ethernet interfaces. by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4018
- Feat(eos_cli_config_gen): Support for additional commands under the EVPN address family by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/3881
- Feat(eos_cli_config_gen): Support for configuring logging level facilities by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/3944
- Feat(eos_cli_config_gen): Support logging transceiver in monitor layer1 by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/3991
- Feat(eos_cli_config_gen): Support port-only option in IP NAT pools by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/3840
- Feat(eos_cli_config_gen): add hardware flow tracking standard record format support by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/3681
- Feat(eos_designs): Add knob for IS-IS system-id format by @ZoeyFahner-Arista in https://github.com/aristanetworks/avd/pull/3677
- Feat(eos_designs): Add metadata for Zscaler internet-exit by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3886
- Feat(eos_designs): Add more granular settings for flow_tracking by @ayushmittal-arista in https://github.com/aristanetworks/avd/pull/3776
- Feat(eos_designs): Add optional cv-pathfinder site for pathfinders by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3904
- Feat(eos_designs): Add pim ipv4 sparse_mode on core_interfaces/l3_edge interfaces. by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/3831
- Feat(eos_designs): Add platform specific management security entropy source settings. by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3810
- Feat(eos_designs): Add sample rate to sflow settings in eos_designs. by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3891
- Feat(eos_designs): Add structured_config support in platform_settings. by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3807
- Feat(eos_designs): Add support for Zscaler internet-exit policy by @gmuloc in https://github.com/aristanetworks/avd/pull/3833
- Feat(eos_designs): Add support for ipv4_acl_in/out on SVIs defined under network services. by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/3791
- Feat(eos_designs): Add support for local internet exit by @ayushmittal-arista in https://github.com/aristanetworks/avd/pull/3952
- Feat(eos_designs): Add support for mlag_peer_ipv6_pool by @Xatrekak in https://github.com/aristanetworks/avd/pull/3885
- Feat(eos_designs): Add support for setting mgmt_gateway under the node settings. by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3799
- Feat(eos_designs): Added for L3LS P2P addressing via Spine using "downlink_pools" data model by @hubert-arista in https://github.com/aristanetworks/avd/pull/3693
- Feat(eos_designs): Allow VLAN Aware Bundles even if common evpn_vlan_aware_bundles is false by @bjmeuer in https://github.com/aristanetworks/avd/pull/3827
- Feat(eos_designs): Extend the functionality of the is_deployed flag to shutdown BGP peerings. by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/3916
- Feat(eos_designs): IPv4/IPv6 address-family configuration for bgp_peer_groups defined under network services. by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/3887
- Feat(eos_designs, eos_cli_config_gen): Add BFD option for underlay ISIS by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3683
- Feat(eos_designs,eos_cli_config_gen): Add support for MLAG port-channels to endpoints with PTP by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/3672
- Feat(eos_validate_state): Added the validation for BGP address families(link-state, path-selection and ipv4/ipv6 sr-te) by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/3872
- Feat(plugins): Revert support braces in range_expand filter (#3244)" by @carlbuchmann in https://github.com/aristanetworks/avd/pull/4013
- Feat(plugins): Support braces in range_expand filter by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3244
- Feat(pyavd): Add optional dependency pyavd by @dlobato in https://github.com/aristanetworks/avd/pull/3852
- Fix(pyavd): Remove accidental requirement for PyYAML by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3838
- Refactor(eos_cli_config_gen): Modifying the data-model for management security entropy source by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3841
- Refactor(eos_designs): Minor code adjustments caught by latest pylint by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4021
- Refactor(eos_designs): Source more Zscaler metadata from lookup plugin by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3977
- Refactor(plugins): Move WAN internet-exit zscaler integration to eos_designs by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4002
- Refactor(plugins): Rewrite add_md_toc by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/4011
- Refactor(plugins): Update cloudvision api with latest proto files by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3995
- Refactor(plugins): Update cv_client to use SetSome for topology studio inputs by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3803
- Refactor(pyavd): Lazy imports of vendored code by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3923
- Revert: "Bump pre-commit-ci/lite-action from 1.0.0 to 1.0.2" by @gmuloc in https://github.com/aristanetworks/avd/pull/3868

Bugfixes
--------

- Fix(cv_deploy): Detect pathfinder metadata studio version and skip unsupported fields by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3986
- Fix(cv_deploy): Fix internet exit metadata by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3956
- Fix(dhcp_provisioner): Support custom `node_type_keys` as a list of dicts. by @philippebureau in https://github.com/aristanetworks/avd/pull/3813
- Fix(eos_cli_config_gen): Fix the schema and template for action in event-handler. by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/4007
- Fix(eos_cli_config_gen): Missing variable protection in Jinja Templates. by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/4005
- Fix(eos_cli_config_gen): Remove requirement for original_ip to be unique under interface IP NAT by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/3900
- Fix(eos_cli_config_gen): Render access vlan on port-channel interfaces if mode is dot1q-tunnel. by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3920
- Fix(eos_designs): Connected endpoints ESI should only be configured on EVPN VTEPs. by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/4020
- Fix(eos_designs): Fix code error for monitor_sessions for network_ports by @gmuloc in https://github.com/aristanetworks/avd/pull/3818
- Fix(eos_designs): Fix missing features from LACP fallback individual by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3862
- Fix(eos_designs): Inband ztp works with inband_mgmt_ip key by @jrecchia1029 in https://github.com/aristanetworks/avd/pull/3908
- Fix(eos_designs): Make WAN RRs route-reflector clients of each other by @gmuloc in https://github.com/aristanetworks/avd/pull/3921
- Fix(eos_designs): Remove the remaining trailing slashes in schema by @gmuloc in https://github.com/aristanetworks/avd/pull/3961
- Fix(eos_designs): Sanitize interface name in STUN profile name by @gmuloc in https://github.com/aristanetworks/avd/pull/3949
- Fix(eos_designs): WAN Internet-exit fixes for Zscaler integration by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3984
- Fix(eos_designs): Wrong IPsec profile name for Zscaler by @gmuloc in https://github.com/aristanetworks/avd/pull/3948
- Fix(eos_validate_state): ANTA Remove the use of the eos_design's "type" variable by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/3870
- Fix(plugins): Fix cv_zscaler_endpoints lookup plugin by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3946
- Fix(plugins): Handle md-toc v9 by @carlbuchmann in https://github.com/aristanetworks/avd/pull/3837
- Fix: Fixing event-handlers in eos_designs_unit_tests molecule scenario. by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3938
- Fix: Remove "not RFC1918 IPs" from examples. by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3800

v4.7.1
======

Release Summary
---------------

Release 4.7.1 - See documentation on avd.arista.com for details.

Bugfixes
--------

- Fix(dhcp_provisioner): Support custom `node_type_keys` as a list of dicts. (#3813) by @carlbuchmann in https://github.com/aristanetworks/avd/pull/3842
- Fix(plugins): Handle md-toc v9 (#3837) by @carlbuchmann in https://github.com/aristanetworks/avd/pull/3845
- Fix(pyavd): Remove accidental requirement for PyYAML (#3838) by @carlbuchmann in https://github.com/aristanetworks/avd/pull/3844

v4.7.0
======

Release Summary
---------------

Release 4.7.0 - See documentation on avd.arista.com for details.

Minor Changes
-------------

- Bump(eos_validate_state): ANTA Bump and update code for ANTA v0.13.0 by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/3726
- Bump: Update black by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3760
- Doc(cv_deploy): Add supported CloudVision versions by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3788
- Doc(eos_cli_config_gen): Add Dps1 to flow tracking output in device config by @gmuloc in https://github.com/aristanetworks/avd/pull/3786
- Doc(eos_cli_config_gen, eos_designs): Add missing schema files by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3704
- Doc: Adding eos designs diagrams for mpls and l2ls by @JulioPDX in https://github.com/aristanetworks/avd/pull/3790
- Doc: Clean documentation for WAN by @gmuloc in https://github.com/aristanetworks/avd/pull/3665
- Doc: Fix CV playbook example in intro to ansible and avd by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3778
- Doc: Fix YAML in schema docs for multiline descriptions with blank lines by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3651
- Doc: Updating diagrams for MPLS example by @JulioPDX in https://github.com/aristanetworks/avd/pull/3784
- Doc: Updating intro to avd and ansible diagrams by @JulioPDX in https://github.com/aristanetworks/avd/pull/3783
- Feat(deploy_to_cv): Add support for waiting for Change Control to be completed before returning by @sugetha24 in https://github.com/aristanetworks/avd/pull/3732
- Feat(eos_cli_config_gen): Add 1-step Boundary Clock support by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3666
- Feat(eos_cli_config_gen): Add FIPS and hostkey.client features to management_ssh by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3571
- Feat(eos_cli_config_gen): Add custom comments at the top of the rendered configuration. by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/3738
- Feat(eos_cli_config_gen): Add more 'pim ipv4' interface commands by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3663
- Feat(eos_cli_config_gen): Add neighbors key to router_bgp.address_family_evpn. by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3641
- Feat(eos_cli_config_gen): Add support for Interface Vxlan, vxlan bridging vtep-to-vtep by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/3718
- Feat(eos_cli_config_gen): Add support for setting the ASN notation by @colinmacgiolla in https://github.com/aristanetworks/avd/pull/3678
- Feat(eos_cli_config_gen): Add support for switchport port-security. by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3561
- Feat(eos_cli_config_gen): Extend match lists to support IPv4 and IPv6 by @colinmacgiolla in https://github.com/aristanetworks/avd/pull/3770
- Feat(eos_cli_config_gen): Support for EVPN Multihoming IP Mass-withdrawal by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/3656
- Feat(eos_cli_config_gen): add sFlow sample output subinterface support by @philippebureau in https://github.com/aristanetworks/avd/pull/3458
- Feat(eos_designs):  Replace wan_role checks with helper cached_property utils by @ayushmittal-arista in https://github.com/aristanetworks/avd/pull/3639
- Feat(eos_designs): Add 'dhcp_ip_address' under 'l3_interfaces' node settings by @gmuloc in https://github.com/aristanetworks/avd/pull/3686
- Feat(eos_designs): Add 'maximum_routes_warning_only' to the 'bgp_peers' in network_services data model by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3645
- Feat(eos_designs): Add 1-step Boundary Clock support by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3668
- Feat(eos_designs): Add Vxlan1 VRF VNI for WAN VRFs on Pathfinders by @gmuloc in https://github.com/aristanetworks/avd/pull/3746
- Feat(eos_designs): Add ability to override wan control plane policy by @ayushmittal-arista in https://github.com/aristanetworks/avd/pull/3690
- Feat(eos_designs): Add default_preference and excluded for wan_path_groups by @ayushmittal-arista in https://github.com/aristanetworks/avd/pull/3648
- Feat(eos_designs): Add eBGP LAN HA support for CV Pathfinder by @gmuloc in https://github.com/aristanetworks/avd/pull/3494
- Feat(eos_designs): Add filter.allow_vrfs and filter.deny_vrfs by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3653
- Feat(eos_designs): Add flowtracking on WAN Router LAN uplinks by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3679
- Feat(eos_designs): Add sflow_settings by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3078
- Feat(eos_designs): Add support for hop count lowest in load-balancing policies by @gmuloc in https://github.com/aristanetworks/avd/pull/3646
- Feat(eos_designs): Add support for ipv4_acls with field replacement by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3750
- Feat(eos_designs): Add system mac address to structured config under 'metadata'. by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3658
- Feat(eos_designs): Add wan_carrier and circuit_id to l3 interface description by @ayushmittal-arista in https://github.com/aristanetworks/avd/pull/3649
- Feat(eos_designs): Add wan_vni for WAN VRF by @gmuloc in https://github.com/aristanetworks/avd/pull/3600
- Feat(eos_designs): Allow custom name for LAN_HA path-group by @ayushmittal-arista in https://github.com/aristanetworks/avd/pull/3723
- Feat(eos_designs): Allow custom name for pathfinder Flow tracker tracker and exporter settings by @ayushmittal-arista in https://github.com/aristanetworks/avd/pull/3721
- Feat(eos_designs): Allow overlapping VLAN IDs under network services by @carlbuchmann in https://github.com/aristanetworks/avd/pull/3722
- Feat(eos_designs): Allow to control DPS timers at the wan_path_group level by @ayushmittal-arista in https://github.com/aristanetworks/avd/pull/3625
- Feat(eos_designs): Allow to disable IPsec on dynamic peers for a path-group avd by @ayushmittal-arista in https://github.com/aristanetworks/avd/pull/3695
- Feat(eos_designs): Configure BFD timers higher than DPS timeouts for WAN BGP neighbors by @amitsagar-arsita in https://github.com/aristanetworks/avd/pull/3586
- Feat(eos_designs): Dot1x unauthorized access|native vlan membership egress to ethernet interfaces via port_profile by @laxmikantchintakindi in https://github.com/aristanetworks/avd/pull/3779
- Feat(eos_designs): Enable KERNELFIB_PROGRAM_ALL_ECMP for all wan routers by @ayushmittal-arista in https://github.com/aristanetworks/avd/pull/3689
- Feat(eos_designs): GTSM configuration to limit the TTL permitted for bgp peering to 1 for WAN by @amitsagar-arsita in https://github.com/aristanetworks/avd/pull/3607
- Feat(eos_designs): IPv6 inband management settings by @emilarista in https://github.com/aristanetworks/avd/pull/3382
- Feat(eos_designs): Implement WAN/LAN redistribution for eBGP LAN by @gmuloc in https://github.com/aristanetworks/avd/pull/3602
- Feat(eos_designs): L2 inband ztp functionality by @jrecchia1029 in https://github.com/aristanetworks/avd/pull/3660
- Feat(eos_designs): Make DPS1 interface MTU 9k by @ayushmittal-arista in https://github.com/aristanetworks/avd/pull/3619
- Feat(eos_designs): Option to define evpn_vlan_bundle for SVIs by @bjmeuer in https://github.com/aristanetworks/avd/pull/3623
- Feat(eos_designs): STUN SSL profile support by @amitsagar-arsita in https://github.com/aristanetworks/avd/pull/3636
- Feat(eos_designs): Update platform.py with 7358X4 by @colinmacgiolla in https://github.com/aristanetworks/avd/pull/3667
- Feat(eos_designs): Uplink type 'lan' for WAN routers by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3593
- Feat(eos_designs): public_ip input field support for devices behind NAT by @amitsagar-arsita in https://github.com/aristanetworks/avd/pull/3652
- Feat(eos_validate_state): ANTA Provide custom ANTA catalog files to validate state by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/3655
- Feat(eos_validate_state): Added support to validate DPS interface state by @MaheshGSLAB in https://github.com/aristanetworks/avd/pull/3692
- Feat(plugins): Add "unique_keys" in avdschema. by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3725
- Feat(plugins): Add ISIS support to encrypt and decrypt filters by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3662
- Fix(deploy_to_cv): Do not add Pathfinders to Routers section of metadata studio by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3680
- Refactor(deploy_to_cv): Dynamic timeouts and library support for username/password by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3762
- Refactor(deploy_to_cv): Ignore missing metadata by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3703
- Refactor(deploy_to_cv): Remove metadata studio version detection by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3781
- Refactor(deploy_to_cv): Set default values for constraints in metadata studio by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3773
- Refactor(deploy_to_cv): Update "role" field for "transit region" in metadata studio by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3744
- Refactor(eos_designs): Better security for IPsec configuration for WAN by @gmuloc in https://github.com/aristanetworks/avd/pull/3543
- Refactor(eos_designs): CV Pathfinder metadata updates by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3697
- Refactor(eos_designs): Force WAN HA to be either enabled or disabled by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3772
- Refactor(eos_designs): Grouping name generation of  WAN profiles and policies by @gmuloc in https://github.com/aristanetworks/avd/pull/3638
- Refactor(eos_designs): Make DHCP default route generated by default by @gmuloc in https://github.com/aristanetworks/avd/pull/3724
- Refactor(eos_designs): Make Flow tracking enabled on Dps1 interface only by @gmuloc in https://github.com/aristanetworks/avd/pull/3767
- Refactor(eos_designs): Make id mandatory for AVTs when mode is cv-pathfinder by @gmuloc in https://github.com/aristanetworks/avd/pull/3707
- Refactor(eos_designs): Mark flow_tracking_settings as PREVIEW for 4.7.0 by @gmuloc in https://github.com/aristanetworks/avd/pull/3789
- Refactor(eos_designs): Optional CV Pathfinder region for pathfinders by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3774
- Refactor(eos_designs): Prevent empty path-groups for auto generated WAN policies by @gmuloc in https://github.com/aristanetworks/avd/pull/3710
- Refactor(eos_designs): Remove switch-focused config from WAN Routers by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3644
- Refactor(eos_designs): Remove wan_transit and rename wan_edge to wan_router by @gmuloc in https://github.com/aristanetworks/avd/pull/3654
- Refactor(eos_designs): Rename WAN CONTROL-PLANE objects by @gmuloc in https://github.com/aristanetworks/avd/pull/3676
- Refactor(eos_designs): Set `default_underlay_routing_protocol: none` for wan_rr and wan_router by @gmuloc in https://github.com/aristanetworks/avd/pull/3775
- Refactor(eos_designs): Set cv-pathfinder interface tags for subinterfaces by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3684
- Refactor(eos_designs): Simplify WAN policies by @gmuloc in https://github.com/aristanetworks/avd/pull/3719
- Refactor(eos_designs): WAN Preview - Prefix default zone name with region name by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3688
- Refactor(eos_validate_state): ANTA Refactor AvdTestBase by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/3701
- Refactor(plugins): Add option to allow duplicate primary keys in schema by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3747
- Refactor(plugins): Improve mergeonschema including more descriptive errors by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3734
- Refactor(pyavd): Add ability to detect running from source by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3632
- Refactor: Fix typo to render flow-tracking for LAN subif in WAN case by @gmuloc in https://github.com/aristanetworks/avd/pull/3729
- Refactor: Rename deploy_to_cv role and module and release as cv_deploy by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3785

Bugfixes
--------

- Fix(eos_cli_config_gen): Comply with EOS tacacs servers configuration order by @carlbuchmann in https://github.com/aristanetworks/avd/pull/3711
- Fix(eos_cli_config_gen): Updating the valid values for PTP mode. by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3685
- Fix(eos_designs): Do not generate DP IPsec profile when HA ipsec is disabled by @gmuloc in https://github.com/aristanetworks/avd/pull/3733
- Fix(eos_designs): Make metadata cloudvision tags name case sensitive by @carlbuchmann in https://github.com/aristanetworks/avd/pull/3771
- Fix(eos_designs): Use WAN VNI for cv-pathfinder metadata by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3728
- Fix(eos_designs): evpn_multicast error handling by @carlbuchmann in https://github.com/aristanetworks/avd/pull/3731
- Fix(eos_validate_state): ANTA Fix the report to have consistent test descriptions, categories and input details by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/3743
- Fix(plugins): Add support for python3.9 for get_all_with_path by @sugetha24 in https://github.com/aristanetworks/avd/pull/3763
- Fix(plugins): YAML Dumper/Loader not working without libyaml by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3706

New Modules
-----------

- arista.avd.cv_workflow - Deploy various objects to CloudVision

v4.6.0
======

Release Summary
---------------

Release 4.6.0 - See documentation on avd.arista.com for details.

Minor Changes
-------------

- Doc(eos_cli_config_gen): Add documentation table for Application traffic recognition by @gmuloc in https://github.com/aristanetworks/avd/pull/3449
- Doc(eos_cli_config_gen, eos_designs): Consistent descriptions for BGP AS schema fields re asdot notation by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3618
- Doc: CSS updates and mike pinning by @JulioPDX in https://github.com/aristanetworks/avd/pull/3441
- Doc: Capitalize the header for Management Interface description IPv6 in doc template by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/3515
- Doc: Capitalize the header for Management Interface description in doc template by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/3488
- Doc: Terminology update and minor grammar corrections by @carlbuchmann in https://github.com/aristanetworks/avd/pull/3482
- Doc: adding more info to TerminAttr cvsourceintf by @noredistribution in https://github.com/aristanetworks/avd/pull/3580
- Doc: fix formatting for service account authentication note by @noredistribution in https://github.com/aristanetworks/avd/pull/3520
- Doc: fix mlag ibgp peering formula rendering by @noredistribution in https://github.com/aristanetworks/avd/pull/3455
- Doc: rename repo ansible-avd -> avd by @carlbuchmann in https://github.com/aristanetworks/avd/pull/3513
- Feat(deploy_to_cv): Auto onboard to I&T Studio by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3626
- Feat(eos_cli_config_gen): Add TTL max hops in router bgp by @harshitk-arista in https://github.com/aristanetworks/avd/pull/3425
- Feat(eos_cli_config_gen): Add advertise_map and supress_map keys to BGP template by @gusmb in https://github.com/aristanetworks/avd/pull/3360
- Feat(eos_cli_config_gen): Add dot1x protocol bpdu bypass by @kmueller68 in https://github.com/aristanetworks/avd/pull/3622
- Feat(eos_cli_config_gen): Add encapsulation to flow tracking by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/3503
- Feat(eos_cli_config_gen): Add ipv6_attached_host_route_export for SVIs by @emilarista in https://github.com/aristanetworks/avd/pull/3564
- Feat(eos_cli_config_gen): Add path-groups keepalive interval for router path-selection by @amitsagar-arsita in https://github.com/aristanetworks/avd/pull/3501
- Feat(eos_cli_config_gen): Add pim ipv4 border router  by @philippebureau in https://github.com/aristanetworks/avd/pull/3613
- Feat(eos_cli_config_gen): Add session stats option to router bfd by @Vibhu-gslab in https://github.com/aristanetworks/avd/pull/3502
- Feat(eos_cli_config_gen): Add set_overload_bit and authentication to router_isis by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3578
- Feat(eos_cli_config_gen): Add support for MPLS resolution RIBs by @chetryan in https://github.com/aristanetworks/avd/pull/3592
- Feat(eos_cli_config_gen): Add support for flow parallelization encapsulation udp by @ayushmittal-arista in https://github.com/aristanetworks/avd/pull/3603
- Feat(eos_cli_config_gen): Add support for logging event storm-control and link-status in interfaces by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3589
- Feat(eos_cli_config_gen): Add support for monitor layer1 by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3540
- Feat(eos_cli_config_gen): Add tx-latency to queue monitor by @chetryan in https://github.com/aristanetworks/avd/pull/3364
- Feat(eos_cli_config_gen): Add vxlan_interface.Vxlan1.multicast_headend_replication by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3490
- Feat(eos_cli_config_gen): DHCP Server data model by @emilarista in https://github.com/aristanetworks/avd/pull/3269
- Feat(eos_cli_config_gen): Extend router_isis data-model by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3539
- Feat(eos_cli_config_gen): Set BFD neighbor and per-link in port-channel interfaces by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3509
- Feat(eos_cli_config_gen): Support disabling hardware encryption for ip security by @gmuloc in https://github.com/aristanetworks/avd/pull/3550
- Feat(eos_cli_config_gen): Support for setting BFD timers for BGP neighbors and peer-groups by @amitsagar-arsita in https://github.com/aristanetworks/avd/pull/3432
- Feat(eos_cli_config_gen): Support for setting default QSFP transceiver mode by @mmaaloul in https://github.com/aristanetworks/avd/pull/3271
- Feat(eos_cli_config_gen): Support for tcp mss ceiling in router path selection by @amitsagar-arsita in https://github.com/aristanetworks/avd/pull/3489
- Feat(eos_cli_config_gen): add ip verify unicast source to ethernet-, vlan- and port-channel interfaces by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3492
- Feat(eos_cli_config_gen): add router IGMP host proxy configuration support by @philippebureau in https://github.com/aristanetworks/avd/pull/3565
- Feat(eos_cli_config_gen): add sFlow sample input subinterface support by @AlexGayed in https://github.com/aristanetworks/avd/pull/3457
- Feat(eos_cli_config_gen, eos_designs): Add support for secondary ssh_key to local_users by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3514
- Feat(eos_designs): Add WAN design new top level schema keys by @gmuloc in https://github.com/aristanetworks/avd/pull/3388
- Feat(eos_designs): Add WAN interface configuration under `l3_edge.l3_interfaces` by @gmuloc in https://github.com/aristanetworks/avd/pull/3440
- Feat(eos_designs): Add l3_edge.l3_interfaces support by @gmuloc in https://github.com/aristanetworks/avd/pull/3426
- Feat(eos_designs): Add other CCS (Campus) platforms for PoE support by @jonxstill in https://github.com/aristanetworks/avd/pull/3374
- Feat(eos_designs): Add router traffic-engineering for CV Pathfinder by @gmuloc in https://github.com/aristanetworks/avd/pull/3551
- Feat(eos_designs): Add support for channel_id in l3_edge by @chetryan in https://github.com/aristanetworks/avd/pull/3585
- Feat(eos_designs): Add support for subinterfaces in nodes.l3_interfaces by @gmuloc in https://github.com/aristanetworks/avd/pull/3562
- Feat(eos_designs): Add support for virtual topologies constraints by @gmuloc in https://github.com/aristanetworks/avd/pull/3535
- Feat(eos_designs): Add the possibility to set CPU max allocation by @gmuloc in https://github.com/aristanetworks/avd/pull/3548
- Feat(eos_designs): Custom prefix length for P2P uplinks and MLAG by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3268
- Feat(eos_designs): Implement AVT policies / VRF by @gmuloc in https://github.com/aristanetworks/avd/pull/3446
- Feat(eos_designs): Inject default VRF policy with a match-all statement when missing by @gmuloc in https://github.com/aristanetworks/avd/pull/3560
- Feat(eos_designs): Interface "LACP Fallback Individual" Support by @bjmeuer in https://github.com/aristanetworks/avd/pull/3510
- Feat(eos_designs): Loopbacks data model under tenant vrfs by @emilarista in https://github.com/aristanetworks/avd/pull/3486
- Feat(eos_designs): Make maximum-path 16 default for WAN routers by @gmuloc in https://github.com/aristanetworks/avd/pull/3549
- Feat(eos_designs): Preview - Generate CV Tags and metadata for WAN by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3487
- Feat(eos_designs): Preview - Generate CV tags by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3472
- Feat(eos_designs): Set spanning-tree priority per VLAN by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3273
- Feat(eos_designs): Set static-routes on node-type l3_interfaces by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3599
- Feat(eos_designs): Single uplink to mlag pair, mlag_on_orphan_port_channel_downlink by @jrecchia1029 in https://github.com/aristanetworks/avd/pull/3495
- Feat(eos_designs): Support routing protocol option on l3_edge p2p_links by @kornoa in https://github.com/aristanetworks/avd/pull/3516
- Feat(eos_designs): Uplink p2p vrfs by @gmuloc in https://github.com/aristanetworks/avd/pull/3467
- Feat(eos_designs): WAN Preview - Generate cv_pathfinder metadata for AVTs by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3552
- Feat(eos_validate_state): ANTA Add a knob to exclude interfaces from being validated by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/3576
- Feat(eos_validate_state): ANTA Bump to ANTA 0.12.0 and update code by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/3575
- Feat(plugins): Preview - New arista.avd.deploy_to_cv role by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3466
- Feat: Additional fixes for Github Codespaces support by @ankudinov in https://github.com/aristanetworks/avd/pull/3519
- Feat: Avd install for codespaces by @ankudinov in https://github.com/aristanetworks/avd/pull/3476

Bugfixes
--------

- Fix(eos_cli_config_gen): Fix invalid valid value for ip_security.sa_policies.esp.encryption by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3499
- Fix(eos_cli_config_gen): Fix tables in documentation by @emilarista in https://github.com/aristanetworks/avd/pull/3525
- Fix(eos_cli_config_gen): Print config for service_routing_protocols_model ribd by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3508
- Fix(eos_cli_config_gen): Reordering router adaptive-virtual-topology / router path-selection by @gmuloc in https://github.com/aristanetworks/avd/pull/3505
- Fix(eos_cli_config_gen): Various fixes for router path-selection & application-traffic-recognition by @gmuloc in https://github.com/aristanetworks/avd/pull/3504
- Fix(eos_cli_config_gen): sa_filter.out_list generating incorrect value in router-msdp template by @CyrielRct in https://github.com/aristanetworks/avd/pull/3614
- Fix(eos_designs): Avoid in-place updates of network services impacting PyAVD by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3544
- Fix(eos_designs): Do not KeyError when no path-group is in common with pathfinder by @gmuloc in https://github.com/aristanetworks/avd/pull/3512
- Fix(eos_designs): Empty description under network-ports by @gmuloc in https://github.com/aristanetworks/avd/pull/3445
- Fix(eos_designs): Ensure VLAN VNIs are not rendered without network_services.l2 by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3588
- Fix(eos_designs): Faulty MLAG config generated when missing platform info by @emilarista in https://github.com/aristanetworks/avd/pull/3583
- Fix(eos_designs): Fix incorrect syntax in EVPN multicast PIM error messages by @jonxstill in https://github.com/aristanetworks/avd/pull/3456
- Fix(eos_designs): Remove WAN RR BGP peering when no common path-group by @gmuloc in https://github.com/aristanetworks/avd/pull/3594
- Fix(eos_designs): WAN Preview - Update configs to align to best practices by @ClausHolbechArista in https://github.com/aristanetworks/avd/pull/3556
- Fix(eos_designs): management interface for 750 platforms by @matthewgottlieb in https://github.com/aristanetworks/avd/pull/3558
- Fix(eos_validate_state): ANTA Decrease default logging level for tests by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/3477
- Fix(eos_validate_state): ANTA Fix AvdTestBase structured_config objects by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/3447
- Fix(eos_validate_state): ANTA Fix AvdTestInbandReachability to support the new inband management data model by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/3581
- Fix(eos_validate_state): ANTA Fix bug when skipping specific tests of AvdTestBGP by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/3498
- Fix(eos_validate_state): ANTA Handle Pydantic + Python 3.9.7 bug gracefully by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/3601
- Fix(eos_validate_state): ANTA Refactor BGP test to now also support direct neighbors and IPv6 AFI by @carl-baillargeon in https://github.com/aristanetworks/avd/pull/3572
- Fix(plugins): Remove wrong 3.9 deprecation warning by @gmuloc in https://github.com/aristanetworks/avd/pull/3484
- Fix: Fixing eos_designs_unit_tests molecule scenario for node_type.l3interfaces.ip_address by @Shivani-gslab in https://github.com/aristanetworks/avd/pull/3577
- Fix: Invalid check for ansible in devcontainer by @ankudinov in https://github.com/aristanetworks/avd/pull/3608
- Fix: Minor container fixes by @ankudinov in https://github.com/aristanetworks/avd/pull/3474
- Fix: Remove devcontainer mounts to address error 16 with molecule by @ankudinov in https://github.com/aristanetworks/avd/pull/3541

New Modules
-----------

- arista.avd.deploy_to_cv - Deploy various objects to CloudVision

v4.5.0
======

Release Summary
---------------

Release 4.5.0 - See documentation on avd.arista.com for details.

Minor Changes
-------------

- Bump - Update Ansible and Python requirements (https://github.com/aristanetworks/ansible-avd/pull/3295)
- Bump - ansible collection dependencies (https://github.com/aristanetworks/ansible-avd/pull/3410)
- Doc - Fix doc generation (https://github.com/aristanetworks/ansible-avd/pull/3405)
- Doc - Fix missing flow_tracking table (https://github.com/aristanetworks/ansible-avd/pull/3307)
- Doc - Fix missing tables in eos_cli_config_gen (https://github.com/aristanetworks/ansible-avd/pull/3308)
- Doc - Improve role defaults documentation (https://github.com/aristanetworks/ansible-avd/pull/3320)
- Doc - Improve schema generated docs (https://github.com/aristanetworks/ansible-avd/pull/3321)
- Doc - Improve search (https://github.com/aristanetworks/ansible-avd/pull/3340)
- Doc - add CVaaS Regional URLs (https://github.com/aristanetworks/ansible-avd/pull/3243)
- Doc(eos_cli_config_gen) - Changed syslog hostname description (https://github.com/aristanetworks/ansible-avd/pull/3353)
- Doc(eos_cli_config_gen) - Fix table for router AVT (https://github.com/aristanetworks/ansible-avd/pull/3341)
- Doc(eos_designs) - svi_profiles do not support tags (https://github.com/aristanetworks/ansible-avd/pull/3319)
- Feat(eos_cli_config_gen) - Add ARP static entries (https://github.com/aristanetworks/ansible-avd/pull/3288)
- Feat(eos_cli_config_gen) - Add CRL support for management security (https://github.com/aristanetworks/ansible-avd/pull/3420)
- Feat(eos_cli_config_gen) - Add WRED support (https://github.com/aristanetworks/ansible-avd/pull/3192)
- Feat(eos_cli_config_gen) - Add additional-path for evpn address-family peer-groups (https://github.com/aristanetworks/ansible-avd/pull/3278)
- Feat(eos_cli_config_gen) - Add enabled flag to router traffic-engineering (https://github.com/aristanetworks/ansible-avd/pull/3280)
- Feat(eos_cli_config_gen) - Add ethernet interface dhcp server config (https://github.com/aristanetworks/ansible-avd/pull/3231)
- Feat(eos_cli_config_gen) - Add hardware_offload feature to flow_tracking.sampled (https://github.com/aristanetworks/ansible-avd/pull/3318)
- Feat(eos_cli_config_gen) - Add knob to define port in GNMI transport grpc (https://github.com/aristanetworks/ansible-avd/pull/3245)
- Feat(eos_cli_config_gen) - Add mtu to Dps interfaces (https://github.com/aristanetworks/ansible-avd/pull/3274)
- Feat(eos_cli_config_gen) - Add options to stun client and server (https://github.com/aristanetworks/ansible-avd/pull/3383)
- Feat(eos_cli_config_gen) - Add other valid_values for event-handler trigger 'on-boot' (https://github.com/aristanetworks/ansible-avd/pull/3264)
- Feat(eos_cli_config_gen) - Add profile and policy in adaptive-virtual-topology (https://github.com/aristanetworks/ansible-avd/pull/3351)
- Feat(eos_cli_config_gen) - Add router path-selection feature (https://github.com/aristanetworks/ansible-avd/pull/3203)
- Feat(eos_cli_config_gen) - Add support for logging format rfc5424 (https://github.com/aristanetworks/ansible-avd/pull/3386)
- Feat(eos_cli_config_gen) - Add support for qos map exp (https://github.com/aristanetworks/ansible-avd/pull/3204)
- Feat(eos_cli_config_gen) - Adding application traffic recognition model (https://github.com/aristanetworks/ansible-avd/pull/3350)
- Feat(eos_cli_config_gen) - Adding options for path-selection lb policies (https://github.com/aristanetworks/ansible-avd/pull/3334)
- Feat(eos_cli_config_gen) - Deprecate daemon_terminattr.cvcompression (https://github.com/aristanetworks/ansible-avd/pull/3275)
- Feat(eos_cli_config_gen) - Extend CLI model for ip_security (https://github.com/aristanetworks/ansible-avd/pull/3312)
- Feat(eos_cli_config_gen) - Extend sbfd for initiator measurement round-trip (https://github.com/aristanetworks/ansible-avd/pull/3347)
- Feat(eos_cli_config_gen) - Implement NAT profiles + ethernet interfaces CLI (https://github.com/aristanetworks/ansible-avd/pull/3294)
- Feat(eos_cli_config_gen) - Implement VRRP for ethernet interfaces (https://github.com/aristanetworks/ansible-avd/pull/3276)
- Feat(eos_cli_config_gen) - Implement management-ssh client-alive (https://github.com/aristanetworks/ansible-avd/pull/3265)
- Feat(eos_cli_config_gen) - Implement platform sfe cpu allocation maximum (https://github.com/aristanetworks/ansible-avd/pull/3287)
- Feat(eos_cli_config_gen) - Implement speed for management interfaces (https://github.com/aristanetworks/ansible-avd/pull/3284)
- Feat(eos_cli_config_gen) - Improve generated documentation (https://github.com/aristanetworks/ansible-avd/pull/3377)
- Feat(eos_cli_config_gen) - LLDP for Management interfaces (https://github.com/aristanetworks/ansible-avd/pull/3277)
- Feat(eos_cli_config_gen) - Support Sand MDB Profiles (https://github.com/aristanetworks/ansible-avd/pull/3372)
- Feat(eos_cli_config_gen) - Support for "agents" config (https://github.com/aristanetworks/ansible-avd/pull/3282)
- Feat(eos_cli_config_gen) - Support of next_hop_unchanged under EVPN address family (https://github.com/aristanetworks/ansible-avd/pull/3232)
- Feat(eos_cli_config_gen) - implement global ip dhcp snooping (https://github.com/aristanetworks/ansible-avd/pull/3323)
- Feat(eos_cli_config_gen) - router adaptive-virtual-topology (https://github.com/aristanetworks/ansible-avd/pull/3237)
- Feat(eos_cli_config_gen) - support for mlag peer-link requests disabled under dhcp_relay (https://github.com/aristanetworks/ansible-avd/pull/3262)
- Feat(eos_cli_config_gen,eos_designs) - Add support for 'l2 mru' (https://github.com/aristanetworks/ansible-avd/pull/3164)
- Feat(eos_designs) - Add RD and RT override for VRFs (https://github.com/aristanetworks/ansible-avd/pull/3419)
- Feat(eos_designs) - Add `default_mgmt_method` to be used later in new management settings. (https://github.com/aristanetworks/ansible-avd/pull/3328)
- Feat(eos_designs) - Add ntp_settings (https://github.com/aristanetworks/ansible-avd/pull/3293)
- Feat(eos_designs) - Add uplink_type at nodes level (https://github.com/aristanetworks/ansible-avd/pull/3385)
- Feat(eos_designs) - Added the is_deployed knob to the structured_config (https://github.com/aristanetworks/ansible-avd/pull/3241)
- Feat(eos_designs) - Improve custom python class API for interface descriptions (https://github.com/aristanetworks/ansible-avd/pull/3311)
- Feat(eos_designs) - Phone VLAN support for endpoints (https://github.com/aristanetworks/ansible-avd/pull/3317)
- Feat(eos_designs) - Port-channel ID knob for uplinks with type "port-channel" (https://github.com/aristanetworks/ansible-avd/pull/3176)
- Feat(eos_designs) - Support PTP on MLAG peer-link (https://github.com/aristanetworks/ansible-avd/pull/3040)
- Feat(eos_designs) - Support for PIM RP access_list_name under VRFs and Tenants (https://github.com/aristanetworks/ansible-avd/pull/3201)
- Feat(eos_designs) - Support for underlay uplink_switch_interface_speed (https://github.com/aristanetworks/ansible-avd/pull/3256)
- Feat(eos_designs,eos_cli_config_gen) - Add metadata.platform to structured configuration (https://github.com/aristanetworks/ansible-avd/pull/3421)
- Feat(eos_validate_state) - ANTA Add eAPI HTTPS SSL profile test (https://github.com/aristanetworks/ansible-avd/pull/3357)
- Feat(eos_validate_state) - ANTA New action plugin to generate the reports (https://github.com/aristanetworks/ansible-avd/pull/3352)
- Refactor(eos_designs) - Add testcases for ipaddressing and move it to plugin utils (https://github.com/aristanetworks/ansible-avd/pull/2410)
- Refactor(eos_designs) - Optimize conversion of structured config outputs (https://github.com/aristanetworks/ansible-avd/pull/3240)
- Refactor(eos_designs) - Remove EVPN limitation for underlay_filter_peer_as (https://github.com/aristanetworks/ansible-avd/pull/3207)
- Refactor(eos_designs) - Reorder BGP address family rendering for overlay module (https://github.com/aristanetworks/ansible-avd/pull/3393)

Bugfixes
--------

- Fix(cvp_configlet_upload) - Use correct var for tasks manipulation (https://github.com/aristanetworks/ansible-avd/pull/3337)
- Fix(eos_cli_config_gen) - Add device documentation for phone VLAN features (https://github.com/aristanetworks/ansible-avd/pull/3329)
- Fix(eos_cli_config_gen) - Add line delimiter at beginning of ip access-list cli (https://github.com/aristanetworks/ansible-avd/pull/3403)
- Fix(eos_cli_config_gen) - Correct syntax for "redistribute bgp" in router bgp (https://github.com/aristanetworks/ansible-avd/pull/3369)
- Fix(eos_cli_config_gen) - Fix radius attribute 32 format option. (https://github.com/aristanetworks/ansible-avd/pull/3413)
- Fix(eos_cli_config_gen) - Hide ip-security shared-key from device documentation (https://github.com/aristanetworks/ansible-avd/pull/3411)
- Fix(eos_cli_config_gen) - MAC Security key fallback configured even if set to false (https://github.com/aristanetworks/ansible-avd/pull/3437)
- Fix(eos_cli_config_gen) - Merge flow_tracking tables (https://github.com/aristanetworks/ansible-avd/pull/3396)
- Fix(eos_cli_config_gen) - Missing password key in router_bgp.neighbors.items (https://github.com/aristanetworks/ansible-avd/pull/3326)
- Fix(eos_cli_config_gen) - Render switchport mode for all modes for Port-channels (https://github.com/aristanetworks/ansible-avd/pull/3429)
- Fix(eos_cli_config_gen) - STUN server supports multiple local interfaces (https://github.com/aristanetworks/ansible-avd/pull/3266)
- Fix(eos_cli_config_gen) - Wrong CLI template for some ip_security options (https://github.com/aristanetworks/ansible-avd/pull/3263)
- Fix(eos_cli_config_gen) - correct logging event storm-control unter interface ethernet (https://github.com/aristanetworks/ansible-avd/pull/3303)
- Fix(eos_cli_config_gen) - l2_mtu under port_channel_interfaces (https://github.com/aristanetworks/ansible-avd/pull/3291)
- Fix(eos_cli_config_gen, eos_designs) - BGP VRF Prefix-lists not allowed outside of AF (https://github.com/aristanetworks/ansible-avd/pull/3358)
- Fix(eos_cli_config_gen,eos_designs) - Accept numeric ACL names (https://github.com/aristanetworks/ansible-avd/pull/3363)
- Fix(eos_config_deploy_cvp) - share tags from parent to dependent tasks. (https://github.com/aristanetworks/ansible-avd/pull/3333)
- Fix(eos_designs) - Handling empty vars in network services (https://github.com/aristanetworks/ansible-avd/pull/3314)
- Fix(eos_designs) - Include ISIS interfaces in fabric docs if any device uses ISIS (https://github.com/aristanetworks/ansible-avd/pull/3345)
- Fix(eos_designs) - Incorect type for bpg remote_as (https://github.com/aristanetworks/ansible-avd/pull/3313)
- Fix(eos_designs) - Inherited structured_config on multiple SVIs. (https://github.com/aristanetworks/ansible-avd/pull/3298)
- Fix(eos_validate_state) - ANTA Add a check to AvdTestLLDPTopology for shutdown interfaces (https://github.com/aristanetworks/ansible-avd/pull/3234)
- Fix(eos_validate_state) - ANTA Add conditions to skip tests if a device is not deployed (https://github.com/aristanetworks/ansible-avd/pull/3272)
- Fix(eos_validate_state) - ANTA Adding support for FQDN Ansible hosts and fix errors when shutdown and description keys are missing (https://github.com/aristanetworks/ansible-avd/pull/3407)

New Modules
-----------

- arista.avd.eos_validate_state_reports - Generates validation reports for the eos_validate_state role

v4.4.0
======

Release Summary
---------------

Release 4.4.0 - See documentation on avd.arista.com for details.

Minor Changes
-------------

- Doc - Add updated requirements for jsonschema in 4.2.0 by @gmuloc in (https://github.com/aristanetworks/ansible-avd/pull/3157)
- Doc - Add updated requirements to release-notes for 3.8.x train by @gmuloc in (https://github.com/aristanetworks/ansible-avd/pull/3155)
- Doc - Automatic generation of docs for collection plugins by @ClausHolbechArista in (https://github.com/aristanetworks/ansible-avd/pull/3061)
- Doc - Custom templates docs by @andsouth44 in (https://github.com/aristanetworks/ansible-avd/pull/3150)
- Doc - Reorder schema tables with dynamic keys first by @ClausHolbechArista in (https://github.com/aristanetworks/ansible-avd/pull/3216)
- Doc - Update AVD project maintainers by @carlbuchmann in (https://github.com/aristanetworks/ansible-avd/pull/3196)
- Doc(eos_cli_config_gen) - Fix spacing in router-bgp documentation template by @gmuloc in (https://github.com/aristanetworks/ansible-avd/pull/3197)
- Doc(eos_designs) - Clarify evpn_multicast required for evpn_l2/l3_multicast by @jonxstill in (https://github.com/aristanetworks/ansible-avd/pull/3156)
- Feat - Support inline comments in requirements.txt by @gmuloc in (https://github.com/aristanetworks/ansible-avd/pull/3125)
- Feat(eos_cli_config_gen) - Add 'router service-insertion' CLI by @gmuloc in (https://github.com/aristanetworks/ansible-avd/pull/3220)
- Feat(eos_cli_config_gen) - Add Dps1 interface by @gmuloc in (https://github.com/aristanetworks/ansible-avd/pull/3198)
- Feat(eos_cli_config_gen) - Add ECN Support by @chetryan in (https://github.com/aristanetworks/ansible-avd/pull/2770)
- Feat(eos_cli_config_gen) - Add IPv4 and IPv6 SR-TE address families by @gmuloc in (https://github.com/aristanetworks/ansible-avd/pull/3217)
- Feat(eos_cli_config_gen) - Add ip security by @gmuloc in (https://github.com/aristanetworks/ansible-avd/pull/3194)
- Feat(eos_cli_config_gen) - Add support for BGP link-state address-family by @gmuloc in (https://github.com/aristanetworks/ansible-avd/pull/3211)
- Feat(eos_cli_config_gen) - Add support for flow tracking hardware by @gmuloc in (https://github.com/aristanetworks/ansible-avd/pull/3199)
- Feat(eos_cli_config_gen) - Ethernet interfaces ip address dhcp support by @carlbuchmann in (https://github.com/aristanetworks/ansible-avd/pull/3229)
- Feat(eos_cli_config_gen) - Implement next-hop resolution disabled for evpn address-family by @gmuloc in (https://github.com/aristanetworks/ansible-avd/pull/3218)
- Feat(eos_cli_config_gen) - Support STUN by @burnyd in (https://github.com/aristanetworks/ansible-avd/pull/3147)
- Feat(eos_cli_config_gen) - Support of a global tacacs timeout by @mmaaloul in (https://github.com/aristanetworks/ansible-avd/pull/3173)
- Feat(eos_cli_config_gen) - Support of route-target route-map for BGP VRFs by @mmaaloul in (https://github.com/aristanetworks/ansible-avd/pull/3222)
- Feat(eos_cli_config_gen) - Support path-selection bgp address-family by @burnyd in (https://github.com/aristanetworks/ansible-avd/pull/3151)
- Feat(eos_cli_config_gen) - add system l1 support by @carlbuchmann in (https://github.com/aristanetworks/ansible-avd/pull/3221)
- Feat(eos_config_deploy_cvp) - Add support for device_inventory_mode by @ClausHolbechArista in (https://github.com/aristanetworks/ansible-avd/pull/2561)
- Feat(eos_designs) - Add default_interface_mtu and feature_support.per_interface_mtu by @ClausHolbechArista in (https://github.com/aristanetworks/ansible-avd/pull/3128)
- Feat(eos_designs) - Build AVD topology from CloudVision I&T Studio data by @ClausHolbechArista in (https://github.com/aristanetworks/ansible-avd/pull/3223)
- Feat(eos_designs) - EVPN vlan-aware-bundle option for l2vlan  by @bjmeuer in (https://github.com/aristanetworks/ansible-avd/pull/3075)
- Feat(eos_designs) - Enhance SNMP support by @ClausHolbechArista in (https://github.com/aristanetworks/ansible-avd/pull/3083)
- Feat(eos_designs) - Support multiple descriptions in connected_endpoint adapters by @pvinci-arista in (https://github.com/aristanetworks/ansible-avd/pull/2966)
- Feat(eos_designs) - VTEP override option on node-definitions by @emilarista in (https://github.com/aristanetworks/ansible-avd/pull/3133)
- Feat(eos_validate_state) - Add ANTA integration to eos_validate_state role by @gmuloc in (https://github.com/aristanetworks/ansible-avd/pull/3171)
- Feat(plugins) - Add deprecation for ansible-core<2.14 and python 3.8 by @gmuloc in (https://github.com/aristanetworks/ansible-avd/pull/3187)

Bugfixes
--------

- Fix - ip reachability test with l3dge endpoint not managed by AVD by @spangoli-arista in (https://github.com/aristanetworks/ansible-avd/pull/3140)
- Fix(eos_cli_config_gen) - Correct max TTL values for ip_access_lists and ptp by @ClausHolbechArista in (https://github.com/aristanetworks/ansible-avd/pull/3225)
- Fix(eos_cli_config_gen) - Correct schema for class-maps vlans and cos options by @ClausHolbechArista in (https://github.com/aristanetworks/ansible-avd/pull/3215)
- Fix(eos_cli_config_gen) - Remove requirement for MACSec license and FIPS by @xaviramon in (https://github.com/aristanetworks/ansible-avd/pull/3239)
- Fix(eos_cli_config_gen) - ip http client source interfaces cli not generated by @carlbuchmann in (https://github.com/aristanetworks/ansible-avd/pull/3180)
- Fix(eos_cli_config_gen) - under maximum_paths, ecmp field is not required by @mmaaloul in (https://github.com/aristanetworks/ansible-avd/pull/3111)
- Fix(eos_config_deploy_cvp) - Avoid duplicate AVD configlet by @ClausHolbechArista in (https://github.com/aristanetworks/ansible-avd/pull/3124)
- Fix(eos_designs) - Configuration of PTP for port-channel uplinks by @ClausHolbechArista in (https://github.com/aristanetworks/ansible-avd/pull/3112)
- Fix(eos_designs) - Configure evpn_ebgp_gateway_multihop for ipvpn_gateway EBGP peers by @ClausHolbechArista in (https://github.com/aristanetworks/ansible-avd/pull/3205)
- Fix(eos_designs) - Improve evpn_multicast error handling by @jonxstill in (https://github.com/aristanetworks/ansible-avd/pull/3195)
- Fix(eos_designs) - change speed group value from int to str by @philippebureau in (https://github.com/aristanetworks/ansible-avd/pull/3235)
- Fix(eos_designs) - removed min and max value from vrf_id by @karnag3 in (https://github.com/aristanetworks/ansible-avd/pull/3130)
- Fix(eos_validate_state) - ANTA VerifyRoutingProtocolModel now only run if there is BGP configuration by @carl-baillargeon in (https://github.com/aristanetworks/ansible-avd/pull/3212)
- Fix(plugins) - Raise AnsibleFilterError when range is invalid by @gmuloc in (https://github.com/aristanetworks/ansible-avd/pull/3163)

New Modules
-----------

- arista.avd.eos_validate_state_runner - Leverage ANTA for eos_validate_state role

v4.3.0
======

Release Summary
---------------

Release 4.2.0 - See documentation on avd.arista.com for details.

Minor Changes
-------------

- Bump - Add support for Ansible 2.15.x (https://github.com/aristanetworks/ansible-avd/pull/3070)
- Doc - Add license header to YAML source files. (https://github.com/aristanetworks/ansible-avd/pull/3099)
- Doc - Insert license header in all source files (https://github.com/aristanetworks/ansible-avd/pull/3092)
- Doc - Minor typo fixes on internal notes documentation (https://github.com/aristanetworks/ansible-avd/pull/3093)
- Doc - avd to cvaas (https://github.com/aristanetworks/ansible-avd/pull/3089)
- Feat(eos_cli_config_gen) - Add Trident MMU queue (https://github.com/aristanetworks/ansible-avd/pull/2835)
- Feat(eos_cli_config_gen) - Add priority flow control to qos profile (https://github.com/aristanetworks/ansible-avd/pull/2796)
- Feat(eos_cli_config_gen) - Add support for "include leaked" under BGP redistribution (https://github.com/aristanetworks/ansible-avd/pull/3071)
- Feat(eos_cli_config_gen) - Add support for ftp/tftp/telnet client source interfaces (https://github.com/aristanetworks/ansible-avd/pull/3080)
- Feat(eos_cli_config_gen) - Allow TCAM profile local file configuration (https://github.com/aristanetworks/ansible-avd/pull/2833)
- Feat(eos_cli_config_gen) - Support accounting logging (https://github.com/aristanetworks/ansible-avd/pull/3091)
- Feat(eos_cli_config_gen) - add dot1x unauthorized access/native vlan membership egress to ethernet interfaces (https://github.com/aristanetworks/ansible-avd/pull/3073)
- Feat(eos_designs) - Add control for redistribution of MLAG peering subnet (https://github.com/aristanetworks/ansible-avd/pull/3069)
- Feat(eos_designs) - Add support for setting source-interfaces for management protocols (https://github.com/aristanetworks/ansible-avd/pull/3072)
- Feat(eos_designs) - Validation of structured_config (https://github.com/aristanetworks/ansible-avd/pull/3077)
- Refactor(eos_designs) - Deprecate cvp_instance_ip in favor of cvp_instance_ips (https://github.com/aristanetworks/ansible-avd/pull/3028)
- Refactor(eos_designs) - Optimize connected endpoints temp data storage (https://github.com/aristanetworks/ansible-avd/pull/3094)

Bugfixes
--------

- Fix(eos_designs) - Don't require "mlag_peer_l3_ipv4_pool" with full rfc5549 (https://github.com/aristanetworks/ansible-avd/pull/3106)
- Fix(eos_designs) - Ensure consistent ordering of underlay route-maps (https://github.com/aristanetworks/ansible-avd/pull/3105)
- Fix(eos_designs) - Fix schema for BGP peers to allow shutdown key (https://github.com/aristanetworks/ansible-avd/pull/3100)

v4.2.0
======

Release Summary
---------------

Release 4.2.0 - See documentation on avd.arista.com for details.

Minor Changes
-------------

- Bump - Pre-release v4.2.0-dev1 (https://github.com/aristanetworks/ansible-avd/pull/3032)
- Bump - Pre-release v4.2.0-dev2 (https://github.com/aristanetworks/ansible-avd/pull/3060)
- Doc(eos_designs, eos_cli_config_gen) - Various doc improvements (https://github.com/aristanetworks/ansible-avd/pull/3001)
- Feat(dhcp_provisioner) - Adding support for automatic dict_to_list conversion in ztp_configuration template (https://github.com/aristanetworks/ansible-avd/pull/3012)
- Feat(eos_cli_config_gen) - Add global logging event storm-control (https://github.com/aristanetworks/ansible-avd/pull/2994)
- Feat(eos_cli_config_gen) - Add support for eos_cli under router_ospf process ids (https://github.com/aristanetworks/ansible-avd/pull/3035)
- Feat(eos_cli_config_gen) - ECN Propagation (https://github.com/aristanetworks/ansible-avd/pull/2841)
- Feat(eos_cli_config_gen) - Flow tracking table size (https://github.com/aristanetworks/ansible-avd/pull/2838)
- Feat(eos_cli_config_gen) - Generate sFlow egress commands (https://github.com/aristanetworks/ansible-avd/pull/2767)
- Feat(eos_cli_config_gen) - add support for password complexity policies (https://github.com/aristanetworks/ansible-avd/pull/2991)
- Feat(eos_designs) - Adding structured_config to l3_edge P2P_links (https://github.com/aristanetworks/ansible-avd/pull/3017)
- Feat(eos_designs) - Fabric IP Addressing MLAG same_subnet addressing algorithm (https://github.com/aristanetworks/ansible-avd/pull/2987)
- Feat(eos_designs) - Sflow configuration at fabric level (https://github.com/aristanetworks/ansible-avd/pull/2775)
- Feat(eos_designs,eos_cli_config_gen) - Add hostname to structured configuration (https://github.com/aristanetworks/ansible-avd/pull/3016)
- Feat(plugins) - Make setting of switch fact optional for yaml_templates_to_facts (https://github.com/aristanetworks/ansible-avd/pull/3022)
- Refactor - Adjust pyavd API and requirements (https://github.com/aristanetworks/ansible-avd/pull/3018)
- Refactor(eos_designs) - Combine core_interfaces and l3_edge python_modules (https://github.com/aristanetworks/ansible-avd/pull/3003)
- Refactor(eos_designs) - Deprecating port_channel.short_esi under connected_endpoints (https://github.com/aristanetworks/ansible-avd/pull/3027)
- Refactor(eos_designs) - Using common method for raising duplicate detection error in python_modules (https://github.com/aristanetworks/ansible-avd/pull/3033)

Bugfixes
--------

- Fix(eos_cli_config_gen) - Fix router_isis.instance schema (https://github.com/aristanetworks/ansible-avd/pull/3050)
- Fix(eos_cli_config_gen) - Fixing management_api_http.protocol_https_certificate error (https://github.com/aristanetworks/ansible-avd/pull/3023)
- Fix(eos_cli_config_gen) - Force domain_identifier to be a string (https://github.com/aristanetworks/ansible-avd/pull/2997)
- Fix(eos_cli_config_gen) - Relax schema for empty prefix-lists (https://github.com/aristanetworks/ansible-avd/pull/3008)
- Fix(eos_cli_config_gen) - Support vars on play via `vars` or `vars_files` (https://github.com/aristanetworks/ansible-avd/pull/2999)
- Fix(eos_config_deploy_cvp) - device_filter is not behaving correctly if input is a string (https://github.com/aristanetworks/ansible-avd/pull/3046)
- Fix(eos_designs) - Duplicate neighbor_interfaces in rfc5549 design when multiple uplinks to the same Spine (https://github.com/aristanetworks/ansible-avd/pull/3054)
- Fix(eos_designs) - Incorrect type for ospf.area in network services keys (https://github.com/aristanetworks/ansible-avd/pull/2998)

v4.1.0
======

Release Summary
---------------

Release 4.1.0 - See documentation on avd.arista.com for details.

Minor Changes
-------------

- Feat(eos_cli_config_gen) - Add OSPF default_information_originate options (https://github.com/aristanetworks/ansible-avd/pull/2896)
- Feat(eos_cli_config_gen) - Add comments to queue (https://github.com/aristanetworks/ansible-avd/pull/2864)
- Feat(eos_cli_config_gen) - Add trust and chain certificate (https://github.com/aristanetworks/ansible-avd/pull/2804)
- Feat(eos_designs) - Add support for POE settings under connected endpoints by @jrecchia1029 in (https://github.com/aristanetworks/ansible-avd/pull/2975)
- Feat(eos_designs) - Compact MLAG allocations (https://github.com/aristanetworks/ansible-avd/pull/2946)
- Feat(eos_designs) - Enhance RD/RT assignments options (https://github.com/aristanetworks/ansible-avd/pull/2893)
- Feat(eos_designs) - Make BFD configurable under bgp_peer_groups (https://github.com/aristanetworks/ansible-avd/pull/2890)
- Feat(eos_designs) - Support for underlay_multicast RPs and Anycast-RP (https://github.com/aristanetworks/ansible-avd/pull/2846)
- Feat(eos_designs) - Support setting "ptp.auto_clock_identity to false" as group/hostvar (https://github.com/aristanetworks/ansible-avd/pull/2815)

Bugfixes
--------

- Fix(cvp_configlet_upload) - Add requirements checks (https://github.com/aristanetworks/ansible-avd/pull/2990)
- Fix(eos_designs) - Schema validation for connected endpoints not executed (https://github.com/aristanetworks/ansible-avd/pull/2984)
- Fix(eos_designs) - Sort internal objects for consistent output (https://github.com/aristanetworks/ansible-avd/pull/2988)

v4.0.0
======

Release Summary
---------------

Release 4.0.0 - See documentation on avd.sh for details.

Minor Changes
-------------

- Bump - Cap ansible-lint to <6.14 (https://github.com/aristanetworks/ansible-avd/pull/2595)
- Bump - Collection requirements and cvprac (https://github.com/aristanetworks/ansible-avd/pull/2956)
- Bump - Pre-release 4.0.0-rc2 (https://github.com/aristanetworks/ansible-avd/pull/2905)
- Bump - Pre-release 4.0.0-rc3 (https://github.com/aristanetworks/ansible-avd/pull/2965)
- Bump - Pre-release v4.0.0-dev1 (https://github.com/aristanetworks/ansible-avd/pull/2471)
- Bump - Pre-release v4.0.0-dev10 (https://github.com/aristanetworks/ansible-avd/pull/2721)
- Bump - Pre-release v4.0.0-dev11 (https://github.com/aristanetworks/ansible-avd/pull/2769)
- Bump - Pre-release v4.0.0-dev12 (https://github.com/aristanetworks/ansible-avd/pull/2830)
- Bump - Pre-release v4.0.0-dev2 (https://github.com/aristanetworks/ansible-avd/pull/2487)
- Bump - Pre-release v4.0.0-dev3 (https://github.com/aristanetworks/ansible-avd/pull/2524)
- Bump - Pre-release v4.0.0-dev4 (https://github.com/aristanetworks/ansible-avd/pull/2546)
- Bump - Pre-release v4.0.0-dev5 (https://github.com/aristanetworks/ansible-avd/pull/2574)
- Bump - Pre-release v4.0.0-dev6 (https://github.com/aristanetworks/ansible-avd/pull/2602)
- Bump - Pre-release v4.0.0-dev7 (https://github.com/aristanetworks/ansible-avd/pull/2637)
- Bump - Pre-release v4.0.0-dev8 (https://github.com/aristanetworks/ansible-avd/pull/2662)
- Bump - Pre-release v4.0.0-dev9 (https://github.com/aristanetworks/ansible-avd/pull/2681)
- Bump - Pre-release v4.0.0-rc1 (https://github.com/aristanetworks/ansible-avd/pull/2872)
- Bump - Release notes for v3.8.1 (https://github.com/aristanetworks/ansible-avd/pull/2462)
- Bump - Update ansible-core requirement to ">=2.12.6, <2.15, !=2.13.0" (https://github.com/aristanetworks/ansible-avd/pull/2400)
- Bump - Update galaxy.yml to 4.0.0-dev0 (https://github.com/aristanetworks/ansible-avd/pull/2361)
- Bump(requirements - Remove direct dependency of `ansible.netcommon` collection (https://github.com/aristanetworks/ansible-avd/pull/2801)
- Bump(requirements) - ansible.utils to ">=2.9.0" (https://github.com/aristanetworks/ansible-avd/pull/2740)
- Cut - Remove globally defined defaults for underlay_routing_protocol and overlay_routing_protocol variables (https://github.com/aristanetworks/ansible-avd/pull/2691)
- Cut - Remove upgrade tools for 2.x to 3.0 upgrade (https://github.com/aristanetworks/ansible-avd/pull/2368)
- Cut(eos_designs) - Remove unused overlay jinja2 templates (https://github.com/aristanetworks/ansible-avd/pull/2363)
- Doc - Add a warning to upgrade the python reqs when upgrading AVD (https://github.com/aristanetworks/ansible-avd/pull/2498)
- Doc - Add details on data model changes to RN and porting-guide (https://github.com/aristanetworks/ansible-avd/pull/2977)
- Doc - Add release notes for 3.8.0 (https://github.com/aristanetworks/ansible-avd/pull/2378)
- Doc - Adding mike version provider to requirements and mkdocs (https://github.com/aristanetworks/ansible-avd/pull/2971)
- Doc - Changelog for release v3.8.0 (https://github.com/aristanetworks/ansible-avd/pull/2414)
- Doc - Fix typo in batch_template documentation (https://github.com/aristanetworks/ansible-avd/pull/2668)
- Doc - Fix typo in custom structured configuration documentation example (https://github.com/aristanetworks/ansible-avd/pull/2807)
- Doc - Fix typo in plugins README.md -arista (https://github.com/aristanetworks/ansible-avd/pull/2495)
- Doc - Gather role documentation in a single file per role (https://github.com/aristanetworks/ansible-avd/pull/2873)
- Doc - Grammar corrections on contribution guides (https://github.com/aristanetworks/ansible-avd/pull/2973)
- Doc - Minor updates to campus readme (https://github.com/aristanetworks/ansible-avd/pull/2943)
- Doc - Navigation fix and bump mkdocs-material version (https://github.com/aristanetworks/ansible-avd/pull/2536)
- Doc - Pinned mkdocs-material version and updated make (https://github.com/aristanetworks/ansible-avd/pull/2788)
- Doc - Porting guide updates (https://github.com/aristanetworks/ansible-avd/pull/2945)
- Doc - Release notes v3.8.5 (https://github.com/aristanetworks/ansible-avd/pull/2736)
- Doc - Release notes v3.8.6 (https://github.com/aristanetworks/ansible-avd/pull/2827)
- Doc - Update Dual DC L3LS example (https://github.com/aristanetworks/ansible-avd/pull/2904)
- Doc - Update Single DC L3LS example (https://github.com/aristanetworks/ansible-avd/pull/2803)
- Doc - Update campus-fabric example data model to AVD-4.0.0 -chourasiya (https://github.com/aristanetworks/ansible-avd/pull/2913)
- Doc - Update l2ls example data model to 4.0.0 (https://github.com/aristanetworks/ansible-avd/pull/2908)
- Doc - Update l3ls dual dc example data model to 4.0.0 -gslab (https://github.com/aristanetworks/ansible-avd/pull/2919)
- Doc - Update single-dc-l3ls example data model to 4.0.0 -gslab (https://github.com/aristanetworks/ansible-avd/pull/2914)
- Doc - Updated l2ls example readme with new data models (https://github.com/aristanetworks/ansible-avd/pull/2944)
- Doc - Updating the landing page, move the collection below AVD umbrella (https://github.com/aristanetworks/ansible-avd/pull/2587)
- Doc - Various documentation fixes (https://github.com/aristanetworks/ansible-avd/pull/2877)
- Doc - release notes 3.8.2 (https://github.com/aristanetworks/ansible-avd/pull/2542)
- Doc - release notes 3.8.3 (https://github.com/aristanetworks/ansible-avd/pull/2588)
- Doc - release notes v3.8.4 (https://github.com/aristanetworks/ansible-avd/pull/2649)
- Doc(eos_cli_config_gen) - Deprecate old keys under gNMI (https://github.com/aristanetworks/ansible-avd/pull/2876)
- Doc(eos_cli_config_gen) - Update site navigation with new schemas (https://github.com/aristanetworks/ansible-avd/pull/2427)
- Doc(eos_designs) - Add connected_endpoints fabric documentation (https://github.com/aristanetworks/ansible-avd/pull/2458)
- Doc(eos_designs) - Dual DC example (https://github.com/aristanetworks/ansible-avd/pull/2326)
- Doc(eos_designs) - ISIS-LDP IPVPN Topology Example (https://github.com/aristanetworks/ansible-avd/pull/2759)
- Doc(eos_designs) - Size recommendations for mlag_peer ip pools (https://github.com/aristanetworks/ansible-avd/pull/2599)
- Doc(eos_designs) - Update documentation layout (https://github.com/aristanetworks/ansible-avd/pull/2960)
- Doc(eos_designs,eos_cli_config_gen) - Add missing deprecation warnings (https://github.com/aristanetworks/ansible-avd/pull/2957)
- Doc(plugins) - Fix plugin name in BGP example (https://github.com/aristanetworks/ansible-avd/pull/2601)
- Doc(plugins) - Fix quotes in BGP password example (https://github.com/aristanetworks/ansible-avd/pull/2597)
- Feat(eos_cli_config_gen) - Add 'route_reflector_client' key to BGP neighbor in VRF (https://github.com/aristanetworks/ansible-avd/pull/2551)
- Feat(eos_cli_config_gen) - Add Sflow config for ethernet and port_channel interfaces (https://github.com/aristanetworks/ansible-avd/pull/1805)
- Feat(eos_cli_config_gen) - Add aaa authorization policy and dynamic (https://github.com/aristanetworks/ansible-avd/pull/2440)
- Feat(eos_cli_config_gen) - Add address locking options on ethernet interfaces (https://github.com/aristanetworks/ansible-avd/pull/2564)
- Feat(eos_cli_config_gen) - Add arp learning bridged (https://github.com/aristanetworks/ansible-avd/pull/2383)
- Feat(eos_cli_config_gen) - Add capability to hide passwords and keys in generated doc and conf (https://github.com/aristanetworks/ansible-avd/pull/2806)
- Feat(eos_cli_config_gen) - Add eos_cli key to management_interfaces (https://github.com/aristanetworks/ansible-avd/pull/2379)
- Feat(eos_cli_config_gen) - Add ethernet_interfaces logging event options (https://github.com/aristanetworks/ansible-avd/pull/2783)
- Feat(eos_cli_config_gen) - Add global IP NAT support (https://github.com/aristanetworks/ansible-avd/pull/2747)
- Feat(eos_cli_config_gen) - Add interface IP NAT support (https://github.com/aristanetworks/ansible-avd/pull/2750)
- Feat(eos_cli_config_gen) - Add ipv6 dhcp relay to vlan/ethernet-interfaces (https://github.com/aristanetworks/ansible-avd/pull/2585)
- Feat(eos_cli_config_gen) - Add port-channel esi and rt deprecation warnings (https://github.com/aristanetworks/ansible-avd/pull/2443)
- Feat(eos_cli_config_gen) - Add service-policy qos (https://github.com/aristanetworks/ansible-avd/pull/2793)
- Feat(eos_cli_config_gen) - Add support for "ip_igmp_version" under "vlan_interfaces" (https://github.com/aristanetworks/ansible-avd/pull/2792)
- Feat(eos_cli_config_gen) - Add support for BGP session tracking (https://github.com/aristanetworks/ansible-avd/pull/2659)
- Feat(eos_cli_config_gen) - Add support for CVX as VXLAN controller (https://github.com/aristanetworks/ansible-avd/pull/2657)
- Feat(eos_cli_config_gen) - Add support for PoE configurations 1029 (https://github.com/aristanetworks/ansible-avd/pull/2690)
- Feat(eos_cli_config_gen) - Add support for as-path options for BGP neighbors (https://github.com/aristanetworks/ansible-avd/pull/2591)
- Feat(eos_cli_config_gen) - Add support for bgp default ipv4-unicast under router bgp (https://github.com/aristanetworks/ansible-avd/pull/2789)
- Feat(eos_cli_config_gen) - Add support for grpc-tunnel (https://github.com/aristanetworks/ansible-avd/pull/2696)
- Feat(eos_cli_config_gen) - Add support for load-interval on Ethernet Interfaces -Arista (https://github.com/aristanetworks/ansible-avd/pull/2428)
- Feat(eos_cli_config_gen) - Add support for passive BGP neighbor (https://github.com/aristanetworks/ansible-avd/pull/2568)
- Feat(eos_cli_config_gen) - Add support for shell for local users (https://github.com/aristanetworks/ansible-avd/pull/2581)
- Feat(eos_cli_config_gen) - Allow configuration of IGMP snooping features even if globally disabled (https://github.com/aristanetworks/ansible-avd/pull/2686)
- Feat(eos_cli_config_gen) - BGP RR preserve-attributes (https://github.com/aristanetworks/ansible-avd/pull/2879)
- Feat(eos_cli_config_gen) - CVX Client non-default VRF support (https://github.com/aristanetworks/ansible-avd/pull/2545)
- Feat(eos_cli_config_gen) - Default queue-monitor thresholds (https://github.com/aristanetworks/ansible-avd/pull/2794)
- Feat(eos_cli_config_gen) - Deprecation of 'vlan_interfaces.ipv6_address_virtual' (singular) (https://github.com/aristanetworks/ansible-avd/pull/2613)
- Feat(eos_cli_config_gen) - Enable redistribution of leaked (static, connected, bgp) routes into OSPF -baillargeon (https://github.com/aristanetworks/ansible-avd/pull/2639)
- Feat(eos_cli_config_gen) - Extend aaa_accounting with options for dot1x (https://github.com/aristanetworks/ansible-avd/pull/2450)
- Feat(eos_cli_config_gen) - Global IP Locking Configuration Options (https://github.com/aristanetworks/ansible-avd/pull/2560)
- Feat(eos_cli_config_gen) - L2 Protocol Forwarding (https://github.com/aristanetworks/ansible-avd/pull/2676)
- Feat(eos_cli_config_gen) - New improved ip_name_servers and deprecate name_server (https://github.com/aristanetworks/ansible-avd/pull/2738)
- Feat(eos_cli_config_gen) - Support ND parameters inside router_l2_vpn the same as ARP (https://github.com/aristanetworks/ansible-avd/pull/2538)
- Feat(eos_cli_config_gen) - Support encapsulation for EVPN peer groups (https://github.com/aristanetworks/ansible-avd/pull/2540)
- Feat(eos_cli_config_gen) - Trim documentation output to only show configured sections (https://github.com/aristanetworks/ansible-avd/pull/2357)
- Feat(eos_cli_config_gen) - add certs method to cvauth in TerminAttr (https://github.com/aristanetworks/ansible-avd/pull/2699)
- Feat(eos_cli_config_gen) - add cvsourceintf flag to TerminAttr (https://github.com/aristanetworks/ansible-avd/pull/2620)
- Feat(eos_cli_config_gen) - add event-handler trigger "on-startup-config" (https://github.com/aristanetworks/ansible-avd/pull/2486)
- Feat(eos_cli_config_gen) - add options tagged and untagged phone to switchport phone trunk for ethernet interfaces 68 (https://github.com/aristanetworks/ansible-avd/pull/2832)
- Feat(eos_cli_config_gen) - extend dot1x with radius av-pair and mac based authentication. (https://github.com/aristanetworks/ansible-avd/pull/2446)
- Feat(eos_cli_config_gen) - extend ethernet_interface with dot1x eapol authentication_failure_falback (https://github.com/aristanetworks/ansible-avd/pull/2482)
- Feat(eos_cli_config_gen) - extend radius_servers with attribute 32 include in access and dynamic-authorization (https://github.com/aristanetworks/ansible-avd/pull/2523)
- Feat(eos_config_deploy_cvp) - Option for deploying using serial number as identifier (https://github.com/aristanetworks/ansible-avd/pull/2718)
- Feat(eos_designs) - Add Ipv6 management variables (https://github.com/aristanetworks/ansible-avd/pull/2335)
- Feat(eos_designs) - Add `is_deployed` & `mgmt_interface_description` to schema (https://github.com/aristanetworks/ansible-avd/pull/2858)
- Feat(eos_designs) - Add hardware_counters schema (https://github.com/aristanetworks/ansible-avd/pull/2856)
- Feat(eos_designs) - Add per MACVRF EVPN domain scope 85 (https://github.com/aristanetworks/ansible-avd/pull/2347)
- Feat(eos_designs) - Add schema for ptp_profiles (https://github.com/aristanetworks/ansible-avd/pull/2847)
- Feat(eos_designs) - Add schema for queue_monitor_length (https://github.com/aristanetworks/ansible-avd/pull/2897)
- Feat(eos_designs) - Add schema validation to eos_designs action plugins (https://github.com/aristanetworks/ansible-avd/pull/2350)
- Feat(eos_designs) - Add support for TerminAttr token-secure auth for on-premise CV (https://github.com/aristanetworks/ansible-avd/pull/2685)
- Feat(eos_designs) - Add support for overlay_routing_protocol CVX (https://github.com/aristanetworks/ansible-avd/pull/2600)
- Feat(eos_designs) - Add support for serial_number (https://github.com/aristanetworks/ansible-avd/pull/2645)
- Feat(eos_designs) - Add support for setting "mlag_domain_id" (https://github.com/aristanetworks/ansible-avd/pull/2791)
- Feat(eos_designs) - Adding schemas for eos_designs missing keys -gslab (https://github.com/aristanetworks/ansible-avd/pull/2862)
- Feat(eos_designs) - Allow LACP timers configuration under connected_endpoints (https://github.com/aristanetworks/ansible-avd/pull/2809)
- Feat(eos_designs) - Allow disabling filtering on redist connected in underlay bgp (https://github.com/aristanetworks/ansible-avd/pull/2586)
- Feat(eos_designs) - Allow to redistribute connected routes under OSPF (https://github.com/aristanetworks/ansible-avd/pull/2762)
- Feat(eos_designs) - Fabric variable to set bgp distance (https://github.com/aristanetworks/ansible-avd/pull/2869)
- Feat(eos_designs) - Improve CVX Overlay support (https://github.com/aristanetworks/ansible-avd/pull/2656)
- Feat(eos_designs) - Only require 'virtual_router_mac_address' when using VARP or anycast IP on SVIs (https://github.com/aristanetworks/ansible-avd/pull/2485)
- Feat(eos_designs) - Schema for CVP (https://github.com/aristanetworks/ansible-avd/pull/2509)
- Feat(eos_designs) - Schema for connected endpoints (https://github.com/aristanetworks/ansible-avd/pull/2505)
- Feat(eos_designs) - Schema for custom structured configuration (https://github.com/aristanetworks/ansible-avd/pull/2508)
- Feat(eos_designs) - Schema for default interfaces (https://github.com/aristanetworks/ansible-avd/pull/2512)
- Feat(eos_designs) - Schema for evpn (https://github.com/aristanetworks/ansible-avd/pull/2514)
- Feat(eos_designs) - Schema for isis (https://github.com/aristanetworks/ansible-avd/pull/2515)
- Feat(eos_designs) - Schema for l3_edge and core_interfaces (https://github.com/aristanetworks/ansible-avd/pull/2516)
- Feat(eos_designs) - Schema for management (https://github.com/aristanetworks/ansible-avd/pull/2513)
- Feat(eos_designs) - Schema for network services (https://github.com/aristanetworks/ansible-avd/pull/2506)
- Feat(eos_designs) - Schema for node_type (https://github.com/aristanetworks/ansible-avd/pull/2517)
- Feat(eos_designs) - Schema for overlay (https://github.com/aristanetworks/ansible-avd/pull/2518)
- Feat(eos_designs) - Schema for platforms (https://github.com/aristanetworks/ansible-avd/pull/2519)
- Feat(eos_designs) - Schema for routing (https://github.com/aristanetworks/ansible-avd/pull/2507)
- Feat(eos_designs) - Schema for topology (https://github.com/aristanetworks/ansible-avd/pull/2510)
- Feat(eos_designs) - Schema for underlay (https://github.com/aristanetworks/ansible-avd/pull/2520)
- Feat(eos_designs) - Support for custom masks in core_interfaces ip pools (https://github.com/aristanetworks/ansible-avd/pull/2469)
- Feat(eos_designs) - Support for custom masks in l3_edge ip pools (https://github.com/aristanetworks/ansible-avd/pull/2466)
- Feat(eos_designs) - Uplink native vlan for l2 switches (https://github.com/aristanetworks/ansible-avd/pull/2522)
- Feat(eos_designs) - User defined description on management interface (https://github.com/aristanetworks/ansible-avd/pull/2500)
- Feat(eos_designs) - User defined descriptions on l3_edge and core_interfaces (https://github.com/aristanetworks/ansible-avd/pull/2499)
- Feat(eos_designs) - update PTP syntax "enable" -> "enabled" (https://github.com/aristanetworks/ansible-avd/pull/2776)
- Feat(eos_designs) - use proper structured config knobs for bgp maximum paths (https://github.com/aristanetworks/ansible-avd/pull/2868)
- Feat(plugins) - Add OSPF pasword type 7 to encrypt/decrypt filters (https://github.com/aristanetworks/ansible-avd/pull/2626)
- Feat(plugins) - Add arista.avd.batch_template action plugin (https://github.com/aristanetworks/ansible-avd/pull/2593)
- Feat(plugins) - Add arista.avd.global_vars plugin (https://github.com/aristanetworks/ansible-avd/pull/2751)
- Feat(plugins) - Add schema driven deprecation warnings (https://github.com/aristanetworks/ansible-avd/pull/2369)
- Feat(plugins) - Add sections in schema-based docs (https://github.com/aristanetworks/ansible-avd/pull/2969)
- Feat(plugins) - Automatic requirements check (https://github.com/aristanetworks/ansible-avd/pull/2015)
- Feat(plugins) - Make 'dest' optional on 'validate_and_template' (https://github.com/aristanetworks/ansible-avd/pull/2423)
- Feat(plugins) - Schema support for 'convert_to_lower_case' (https://github.com/aristanetworks/ansible-avd/pull/2688)
- Feat(plugins) - Support for importlib.metadata multi dist detection (https://github.com/aristanetworks/ansible-avd/pull/2614)
- Feat(plugins) - Update schema validation to ignore any key starting with underscore (https://github.com/aristanetworks/ansible-avd/pull/2689)
- Refactor - Change $def to $defs (https://github.com/aristanetworks/ansible-avd/pull/2734)
- Refactor - Input data conversion to support conversion messages (https://github.com/aristanetworks/ansible-avd/pull/2349)
- Refactor(eos_cli_config_gen - Add guards for missing name for hardware_counters legacy syntax (https://github.com/aristanetworks/ansible-avd/pull/2741)
- Refactor(eos_cli_config_gen - Deprecate uppercase `MIB_family_name` in favor of `mib_family_name` (https://github.com/aristanetworks/ansible-avd/pull/2772)
- Refactor(eos_cli_config_gen, eos_designs - Improve BGP VRF Address Families Model (https://github.com/aristanetworks/ansible-avd/pull/2808)
- Refactor(eos_cli_config_gen,eos_designs) - Deprecate isis_af_defaults and address_family knobs (https://github.com/aristanetworks/ansible-avd/pull/2630)
- Refactor(eos_cli_config_gen,eos_designs) - Remove multiple H1 headings (https://github.com/aristanetworks/ansible-avd/pull/2632)
- Refactor(eos_designs) - Add "shared_utils" and optimize code (https://github.com/aristanetworks/ansible-avd/pull/2708)
- Refactor(eos_designs) - Auto-convert eos_designs output according to schema (https://github.com/aristanetworks/ansible-avd/pull/2381)
- Refactor(eos_designs) - Change default native vlan name (https://github.com/aristanetworks/ansible-avd/pull/2563)
- Refactor(eos_designs) - Change description for port-channel members to be the physical peer interface instead of port-channel -chourasiya (https://github.com/aristanetworks/ansible-avd/pull/2949)
- Refactor(eos_designs) - Improve code reuse in parsing of connected endpoints (https://github.com/aristanetworks/ansible-avd/pull/2633)
- Refactor(eos_designs) - Move default variables to python instead of role defaults. (https://github.com/aristanetworks/ansible-avd/pull/2760)
- Refactor(eos_designs) - New plugin eos_designs_structured_config instead of yaml_templates_to_facts (https://github.com/aristanetworks/ansible-avd/pull/2857)
- Refactor(eos_designs) - Optimize and fix switch facts (https://github.com/aristanetworks/ansible-avd/pull/2678)
- Refactor(eos_designs) - Relax requirement for 'id' if not used (https://github.com/aristanetworks/ansible-avd/pull/2661)
- Refactor(eos_designs) - Remove template data from avd_switch_facts (https://github.com/aristanetworks/ansible-avd/pull/2687)
- Refactor(eos_designs) - Remove vxlan_vlan_aware_bundles in favor of evpn_vlan_aware_bundles -chourasiya (https://github.com/aristanetworks/ansible-avd/pull/2865)
- Refactor(eos_designs) - Return list-based data models from eos_designs python modules - MLAG -chourasiya (https://github.com/aristanetworks/ansible-avd/pull/2831)
- Refactor(eos_designs) - Use natural_sort instead of sorted everywhere (https://github.com/aristanetworks/ansible-avd/pull/2384)
- Refactor(eos_designs) - Use python for all default interface descriptions (https://github.com/aristanetworks/ansible-avd/pull/2490)
- Refactor(eos_designs) - base python_module as per eos_cli_config_gen 34 (https://github.com/aristanetworks/ansible-avd/pull/2624)
- Refactor(eos_designs) - ethernet_interfaces python module as per eos_cli_config_gen -gslab (https://github.com/aristanetworks/ansible-avd/pull/2627)
- Refactor(eos_designs) - loopback_interfaces python_module as per eos_ci_config_gen -chourasiya (https://github.com/aristanetworks/ansible-avd/pull/2598)
- Refactor(eos_designs) - network_services/ip_igmp_snooping python_module as per eos_cli_config_gen -chourasiya (https://github.com/aristanetworks/ansible-avd/pull/2554)
- Refactor(eos_designs) - port_channel_interfaces python_module as per eos_cli_config_gen -chourasiya (https://github.com/aristanetworks/ansible-avd/pull/2609)
- Refactor(eos_designs) - prefix_lists python_module as per eos_cli_config_gen -gslab (https://github.com/aristanetworks/ansible-avd/pull/2555)
- Refactor(eos_designs) - route_maps, vrfs, ip_ext_community_lists and struct_cfgs python_module as per eos_cli_config_gen -chourasiya (https://github.com/aristanetworks/ansible-avd/pull/2567)
- Refactor(eos_designs) - router_bgp python_module as per eos_cli_config_gen -chourasiya (https://github.com/aristanetworks/ansible-avd/pull/2625)
- Refactor(eos_designs) - router_ospf python_module as per eos_cli_config_gen -gslab (https://github.com/aristanetworks/ansible-avd/pull/2559)
- Refactor(eos_designs) - schema auto documentation template (https://github.com/aristanetworks/ansible-avd/pull/2571)
- Refactor(eos_designs) - vlan_interfaces python_module as per eos_cli_config_gen -chourasiya (https://github.com/aristanetworks/ansible-avd/pull/2592)
- Refactor(eos_designs) - vlans, virtual_source_nat_vrfs python_modules as per eos_cli_config_gen 34 (https://github.com/aristanetworks/ansible-avd/pull/2577)
- Refactor(eos_designs) - vxlan_interface, management_interfaces python_modules as per eos_cli_config_gen -gslab (https://github.com/aristanetworks/ansible-avd/pull/2584)
- Refactor(eos_designs, eos_cli_config_gen - BGP VRF peer group options, global context ipv6 multicast and flowspec (https://github.com/aristanetworks/ansible-avd/pull/2976)
- Refactor(plugins) - Add ability raise on missing dependencies in validator (https://github.com/aristanetworks/ansible-avd/pull/2501)
- Refactor(plugins) - Improvements of schema tools preparing for eos_designs schemas (https://github.com/aristanetworks/ansible-avd/pull/2437)
- Refactor(plugins) - Optimize convert_dicts (https://github.com/aristanetworks/ansible-avd/pull/2810)
- Refactor(plugins) - Optimize loading of schemas (https://github.com/aristanetworks/ansible-avd/pull/2575)
- Refactor(plugins) - Optimize schema tooling (https://github.com/aristanetworks/ansible-avd/pull/2672)
- Revert(eos_designs - Revert enabling of graceful-restart by default (https://github.com/aristanetworks/ansible-avd/pull/2958)
- Revert(eos_validate_state) - Revert removal of error=ignore on lookups (https://github.com/aristanetworks/ansible-avd/pull/2468)

Breaking Changes / Porting Guide
--------------------------------

- Bump(cvp_configlet_upload,eos_config_deploy_cvp)! - Update the default `cv_collection` from `v1` to `v3` (https://github.com/aristanetworks/ansible-avd/pull/2882)
- Feat(eos_cli_config_gen)! - Change Hardware Counter model (https://github.com/aristanetworks/ansible-avd/pull/2695)
- Feat(eos_config_deploy_cvp)! - Support for dynamic inventories (https://github.com/aristanetworks/ansible-avd/pull/2395)
- Feat(eos_designs)! - Change p2p_uplinks_mtu default value from 9000 to 9214 (https://github.com/aristanetworks/ansible-avd/pull/2844)
- Feat(eos_designs)! - Enhance inband management configuration options -arista (https://github.com/aristanetworks/ansible-avd/pull/2712)
- Feat(eos_designs)! - Platform and Fabric variables to adjust update wait-for-convergence and update wait-install (https://github.com/aristanetworks/ansible-avd/pull/2855)
- Feat(eos_designs)! - Remove default value from mlag_peer_link_allowed_vlans (https://github.com/aristanetworks/ansible-avd/pull/2845)
- Feat(eos_designs)! - fabric variable for bgp default ipv4 unicast (https://github.com/aristanetworks/ansible-avd/pull/2799)
- Feat(eos_designs, eos_cli_config_gen)! - Remove default "switchport" and remove logic from eos_cli_config_gen (https://github.com/aristanetworks/ansible-avd/pull/2430)
- Feat(eos_designs,eos_cli_config_gen)! - bgp graceful-restart (https://github.com/aristanetworks/ansible-avd/pull/2842)
- Fix! - Change uppercase CVP role vars to lower case (https://github.com/aristanetworks/ansible-avd/pull/2504)
- Fix(eos_designs)! - Prevent configuration of IP routing on l2leaf (https://github.com/aristanetworks/ansible-avd/pull/2684)
- Fix(eos_designs)! - Remove BGP rendering on irrelevant nodes (https://github.com/aristanetworks/ansible-avd/pull/2774)
- Refactor(eos_cli_config_gen)! - Require `enabled true` under `vlan_interfaces.[].ip_attached_host_route_export` (https://github.com/aristanetworks/ansible-avd/pull/2773)
- Refactor(eos_cli_config_gen)! - Require queue_monitor_length.enabled to be set -chourasiya (https://github.com/aristanetworks/ansible-avd/pull/2429)

Bugfixes
--------

- Fix - Description key not considered with connected endpoints -arista (https://github.com/aristanetworks/ansible-avd/pull/2745)
- Fix - Formatting to pass latest galaxy-importer and ansible-lint rules (https://github.com/aristanetworks/ansible-avd/pull/2445)
- Fix - Logging buffered default level not required (https://github.com/aristanetworks/ansible-avd/pull/2364)
- Fix - add guard to dot1x mac_based_authentication -arista (https://github.com/aristanetworks/ansible-avd/pull/2764)
- Fix(eos_cli_config_gen) -  Workaround for router-general EOS CLI issue (https://github.com/aristanetworks/ansible-avd/pull/2408)
- Fix(eos_cli_config_gen) - Add convert_types to router ospf area id schema (https://github.com/aristanetworks/ansible-avd/pull/2391)
- Fix(eos_cli_config_gen) - Add variable protection for router_bgp.as in doc template (https://github.com/aristanetworks/ansible-avd/pull/2503)
- Fix(eos_cli_config_gen) - Checks for missing "vlans" key on access port-channel (https://github.com/aristanetworks/ansible-avd/pull/2701)
- Fix(eos_cli_config_gen) - Correct schema min values for terminal length/width (https://github.com/aristanetworks/ansible-avd/pull/2481)
- Fix(eos_cli_config_gen) - Ensure unique VRF names in schemas (https://github.com/aristanetworks/ansible-avd/pull/2878)
- Fix(eos_cli_config_gen) - Fix documentation template for flow tracking (https://github.com/aristanetworks/ansible-avd/pull/2636)
- Fix(eos_cli_config_gen) - Fix the router_multicast vrfs indentation (https://github.com/aristanetworks/ansible-avd/pull/2476)
- Fix(eos_cli_config_gen) - Fix typo in router-bgp.j2 (https://github.com/aristanetworks/ansible-avd/pull/2753)
- Fix(eos_cli_config_gen) - Relax schema for maintenance unit profile (https://github.com/aristanetworks/ansible-avd/pull/2492)
- Fix(eos_cli_config_gen) - Render LLDP commands on ethernet_interfaces also for port-channel members (https://github.com/aristanetworks/ansible-avd/pull/2386)
- Fix(eos_cli_config_gen) - Update Schema for OSPF maximum paths from 32 to 128 -Arista (https://github.com/aristanetworks/ansible-avd/pull/2424)
- Fix(eos_cli_config_gen) - Update radius-server and radius-servers to match EOS behavior (https://github.com/aristanetworks/ansible-avd/pull/2615)
- Fix(eos_cli_config_gen) - Update schema for logging (https://github.com/aristanetworks/ansible-avd/pull/2553)
- Fix(eos_cli_config_gen) - Update schema for storm_control levels to support int or float (https://github.com/aristanetworks/ansible-avd/pull/2562)
- Fix(eos_cli_config_gen) - min value on local_users privilege (https://github.com/aristanetworks/ansible-avd/pull/2617)
- Fix(eos_cli_config_gen,eos_designs) - Update schemas missing `items` and remove unused keys (https://github.com/aristanetworks/ansible-avd/pull/2892)
- Fix(eos_designs) - Add back dir creation wrongly removed by PR 2015 (https://github.com/aristanetworks/ansible-avd/pull/2622)
- Fix(eos_designs) - Add mlag_ibgp_origin_incomplete in eos_designs schema (https://github.com/aristanetworks/ansible-avd/pull/2716)
- Fix(eos_designs) - Add support for her and cvx in default_overlay_routing_protocol (https://github.com/aristanetworks/ansible-avd/pull/2717)
- Fix(eos_designs) - Avoid configuring trunk-group twice on mlag peer-link if using the same name (https://github.com/aristanetworks/ansible-avd/pull/2658)
- Fix(eos_designs) - Change IP addressing templates from ansible netcommon to ansible.utils (https://github.com/aristanetworks/ansible-avd/pull/2677)
- Fix(eos_designs) - Change authentication method and token path for on-prem token auth (https://github.com/aristanetworks/ansible-avd/pull/2800)
- Fix(eos_designs) - Configure "ip routing ipv6 interface vrf X" for RFC5549 (https://github.com/aristanetworks/ansible-avd/pull/2660)
- Fix(eos_designs) - Configure "ipv6 enable" on SVIs with Anycast IPv6 (https://github.com/aristanetworks/ansible-avd/pull/2784)
- Fix(eos_designs) - Configure ptp to use the system mac (https://github.com/aristanetworks/ansible-avd/pull/2647)
- Fix(eos_designs) - Correct range_expand behaviour with .0 4byte ASNs (https://github.com/aristanetworks/ansible-avd/pull/2529)
- Fix(eos_designs) - Correct schema descriptions for raw_eos_cli and structured_config under network services (https://github.com/aristanetworks/ansible-avd/pull/2898)
- Fix(eos_designs) - Detect duplicate VLAN, VRF, VNI within network_services (https://github.com/aristanetworks/ansible-avd/pull/2411)
- Fix(eos_designs) - Duplicate port-channels in structured-config for network-ports (https://github.com/aristanetworks/ansible-avd/pull/2651)
- Fix(eos_designs) - Duplicate route-maps generated when using underlay_filter_peer_as true (https://github.com/aristanetworks/ansible-avd/pull/2612)
- Fix(eos_designs) - Ensure deterministic behavior when defining the same VRF in multiple Tenants (https://github.com/aristanetworks/ansible-avd/pull/2900)
- Fix(eos_designs) - Ensure proper formatting of raised errors (https://github.com/aristanetworks/ansible-avd/pull/2578)
- Fix(eos_designs) - Fix and test custom python modules for ip addressing and interface descriptions (https://github.com/aristanetworks/ansible-avd/pull/2664)
- Fix(eos_designs) - Fix error with dotted hostname, l2leaf and mlag (https://github.com/aristanetworks/ansible-avd/pull/2502)
- Fix(eos_designs) - Fix issue with hardware_counters python code (https://github.com/aristanetworks/ansible-avd/pull/2447)
- Fix(eos_designs) - Fix schema for storm_control and endpoint_ports under adapters (https://github.com/aristanetworks/ansible-avd/pull/2967)
- Fix(eos_designs) - Fix wrong error message for duplicates network_ports (https://github.com/aristanetworks/ansible-avd/pull/2756)
- Fix(eos_designs) - Handle overlapping VLAN names for l2vlans and vlan-aware-bundles (https://github.com/aristanetworks/ansible-avd/pull/2388)
- Fix(eos_designs) - Handle overlapping vlan numbers with filter.only_in_use and trunkgroups (https://github.com/aristanetworks/ansible-avd/pull/2628)
- Fix(eos_designs) - Ignore "overlay_routing_protocol_address_family ipv6" on l2leaf (https://github.com/aristanetworks/ansible-avd/pull/2955)
- Fix(eos_designs) - Improve error message for missing device facts (https://github.com/aristanetworks/ansible-avd/pull/2813)
- Fix(eos_designs) - Invalid defaults for ipvpn_gateway domain IDs (https://github.com/aristanetworks/ansible-avd/pull/2739)
- Fix(eos_designs) - Raise correct error message for duplicate port-channels (https://github.com/aristanetworks/ansible-avd/pull/2674)
- Fix(eos_designs) - Re-add the possibility to overwrite network_ports (https://github.com/aristanetworks/ansible-avd/pull/2766)
- Fix(eos_designs) - Remove EVPN related config if VRF 'default' is not EVPN enabled (https://github.com/aristanetworks/ansible-avd/pull/2888)
- Fix(eos_designs) - Renders lacp fallback when port-channel mode is passive (https://github.com/aristanetworks/ansible-avd/pull/2448)
- Fix(eos_designs) - Replace sorted with natural_sort in overlay/utils.py (https://github.com/aristanetworks/ansible-avd/pull/2374)
- Fix(eos_designs) - Schema validation in eos_designs_facts (https://github.com/aristanetworks/ansible-avd/pull/2948)
- Fix(eos_designs) - Support 4.0 data models in Connected Endpoints docs (https://github.com/aristanetworks/ansible-avd/pull/2915)
- Fix(eos_designs) - bgp_mesh_pes (https://github.com/aristanetworks/ansible-avd/pull/2899)
- Fix(eos_designs) - connected endpoints interface mode valid values (https://github.com/aristanetworks/ansible-avd/pull/2758)
- Fix(eos_designs) - eBGP rfc5549 creates invalid configuration for MLAG scenarios (https://github.com/aristanetworks/ansible-avd/pull/2950)
- Fix(eos_designs) - network services vlan interfaces ospf authentication message-digest (https://github.com/aristanetworks/ansible-avd/pull/2727)
- Fix(eos_designs) - overlay_rd_type with inline jinja generates incorrect config (https://github.com/aristanetworks/ansible-avd/pull/2393)
- Fix(eos_designs) - remove speed from port-channel interfaces (https://github.com/aristanetworks/ansible-avd/pull/2463)
- Fix(eos_designs) - vtep_vvtep_ip doesn't generate any config (https://github.com/aristanetworks/ansible-avd/pull/2442)
- Fix(eos_designs,eos_cli_config_gen) - Update schema keys for VRFs to accept numeric VRF names (https://github.com/aristanetworks/ansible-avd/pull/2979)
- Fix(eos_snapshot) - Conditional in tasks are not honored and support for limit (https://github.com/aristanetworks/ansible-avd/pull/2457)
- Fix(eos_snapshot) - Only collect cli-text commands when "text" or "markdown" are selected (https://github.com/aristanetworks/ansible-avd/pull/2439)
- Fix(eos_snapshot) - eos snapshot produces incorrect json and yaml output (https://github.com/aristanetworks/ansible-avd/pull/2426)
- Fix(plugins) - Ensure proper headings in schema generated docs (https://github.com/aristanetworks/ansible-avd/pull/2771)
- Fix(plugins) - Fix bgp_utils for ansible-test sanity and update requirements (https://github.com/aristanetworks/ansible-avd/pull/2401)
- Fix(plugins) - Fix minor schema tooling issues (https://github.com/aristanetworks/ansible-avd/pull/2870)
- Fix(plugins) - Handle git not found for verify_requirements (https://github.com/aristanetworks/ansible-avd/pull/2667)
- Fix(plugins) - Inheritance of schema documentation options (https://github.com/aristanetworks/ansible-avd/pull/2861)
- Fix(plugins) - update verify_requirements to use a color that is supported for logging (https://github.com/aristanetworks/ansible-avd/pull/2638)

New Plugins
-----------

Filter
~~~~~~

- arista.avd.hide_passwords - Replace a value by "<removed>"

Vars
~~~~

- arista.avd.global_vars - Variable plugins to allow loading global_vars with less precedence than group_vars or host_vars

New Modules
-----------

- arista.avd.batch_template - Render Jinja2 template on multiple items and write result to individual files.
- arista.avd.eos_designs_structured_config - Generate AVD EOS Designs structured configuration
- arista.avd.set_vars - Set vars as ansible_facts.
- arista.avd.verify_requirements - Verify Python requirements when running AVD

v3.8.0
======

Release Summary
---------------

Release 3.8.0 - See documentation on avd.sh for details.

Minor Changes
-------------

- Bump - Update galaxy.yml to 3.8.0-rc1 (https://github.com/aristanetworks/ansible-avd/pull/2360)
- Cut(eos_designs) - Remove unused overlay jinja2 templates (#2363) (https://github.com/aristanetworks/ansible-avd/pull/2371)
- Doc - Add Guillaume Mulocher to Maintainers (https://github.com/aristanetworks/ansible-avd/pull/2100)
- Doc - Campus Example (https://github.com/aristanetworks/ansible-avd/pull/2191)
- Doc - Exclude test files from site build, enable twitter, update links (https://github.com/aristanetworks/ansible-avd/pull/2238)
- Doc - L2LS Example (https://github.com/aristanetworks/ansible-avd/pull/1992)
- Doc - L3LS Example and Mkdoc Updates (https://github.com/aristanetworks/ansible-avd/pull/2055)
- Doc - Refactor landing page and installation guide (https://github.com/aristanetworks/ansible-avd/pull/2306)
- Doc - Remove display_name from schema generated docs (https://github.com/aristanetworks/ansible-avd/pull/2248)
- Doc - Role diagram support for light and dark modes (https://github.com/aristanetworks/ansible-avd/pull/2272)
- Doc(eos_cli_config_gen) - Add LACP to key_to_display_name plugin (https://github.com/aristanetworks/ansible-avd/pull/2293)
- Doc(eos_cli_config_gen) - Fix documentation for cvx.peer_hosts (https://github.com/aristanetworks/ansible-avd/pull/2358)
- Doc(eos_designs) - Addition of L2LS documentation (https://github.com/aristanetworks/ansible-avd/pull/2305)
- Feat - Add peer hosts to CVX (https://github.com/aristanetworks/ansible-avd/pull/2281)
- Feat - Schemas for input validation and documentation (https://github.com/aristanetworks/ansible-avd/pull/1888)
- Feat( eos_designs, eos_cli_config_gen) - Add "disabled" option to "local_users" (https://github.com/aristanetworks/ansible-avd/pull/2257)
- Feat(eos_cli_config_gen) -  Add macsec commands (https://github.com/aristanetworks/ansible-avd/pull/2286)
- Feat(eos_cli_config_gen) - Add "bfd" key to router_pim_sparse_mode (https://github.com/aristanetworks/ansible-avd/pull/2262)
- Feat(eos_cli_config_gen) - Add Router MSDP Data Model (https://github.com/aristanetworks/ansible-avd/pull/2278)
- Feat(eos_cli_config_gen) - Add flow tracking sampled support (https://github.com/aristanetworks/ansible-avd/pull/2270)
- Feat(eos_cli_config_gen) - Add graceful-restart support for router_bgp (https://github.com/aristanetworks/ansible-avd/pull/2296)
- Feat(eos_cli_config_gen) - Add key_type for ntp.authentication_keys (https://github.com/aristanetworks/ansible-avd/pull/2258)
- Feat(eos_cli_config_gen) - Add schema for aaa accounting (https://github.com/aristanetworks/ansible-avd/pull/2170)
- Feat(eos_cli_config_gen) - Add schema for aaa_authentication (https://github.com/aristanetworks/ansible-avd/pull/2121)
- Feat(eos_cli_config_gen) - Add schema for aaa_authorization (https://github.com/aristanetworks/ansible-avd/pull/2149)
- Feat(eos_cli_config_gen) - Add schema for aaa_root (https://github.com/aristanetworks/ansible-avd/pull/2148)
- Feat(eos_cli_config_gen) - Add schema for aaa_server_groups (https://github.com/aristanetworks/ansible-avd/pull/2168)
- Feat(eos_cli_config_gen) - Add schema for access_lists (https://github.com/aristanetworks/ansible-avd/pull/1995)
- Feat(eos_cli_config_gen) - Add schema for aliases (https://github.com/aristanetworks/ansible-avd/pull/2119)
- Feat(eos_cli_config_gen) - Add schema for arp (https://github.com/aristanetworks/ansible-avd/pull/2160)
- Feat(eos_cli_config_gen) - Add schema for as_path (https://github.com/aristanetworks/ansible-avd/pull/2125)
- Feat(eos_cli_config_gen) - Add schema for banners (https://github.com/aristanetworks/ansible-avd/pull/2117)
- Feat(eos_cli_config_gen) - Add schema for bgp_groups (https://github.com/aristanetworks/ansible-avd/pull/2079)
- Feat(eos_cli_config_gen) - Add schema for boot (https://github.com/aristanetworks/ansible-avd/pull/2189)
- Feat(eos_cli_config_gen) - Add schema for class_maps (https://github.com/aristanetworks/ansible-avd/pull/2065)
- Feat(eos_cli_config_gen) - Add schema for clock (https://github.com/aristanetworks/ansible-avd/pull/2133)
- Feat(eos_cli_config_gen) - Add schema for community_lists (https://github.com/aristanetworks/ansible-avd/pull/2018)
- Feat(eos_cli_config_gen) - Add schema for custom_templates (https://github.com/aristanetworks/ansible-avd/pull/2154)
- Feat(eos_cli_config_gen) - Add schema for cvx (https://github.com/aristanetworks/ansible-avd/pull/2186)
- Feat(eos_cli_config_gen) - Add schema for daemon terminattr (https://github.com/aristanetworks/ansible-avd/pull/2081)
- Feat(eos_cli_config_gen) - Add schema for daemons (https://github.com/aristanetworks/ansible-avd/pull/2027)
- Feat(eos_cli_config_gen) - Add schema for dhcp_relay (https://github.com/aristanetworks/ansible-avd/pull/2122)
- Feat(eos_cli_config_gen) - Add schema for dns_domain (https://github.com/aristanetworks/ansible-avd/pull/2132)
- Feat(eos_cli_config_gen) - Add schema for domain_list (https://github.com/aristanetworks/ansible-avd/pull/2179)
- Feat(eos_cli_config_gen) - Add schema for dot1x (https://github.com/aristanetworks/ansible-avd/pull/2197)
- Feat(eos_cli_config_gen) - Add schema for dynamic_prefix_lists (https://github.com/aristanetworks/ansible-avd/pull/2195)
- Feat(eos_cli_config_gen) - Add schema for enable_password (https://github.com/aristanetworks/ansible-avd/pull/2172)
- Feat(eos_cli_config_gen) - Add schema for eos_cli (https://github.com/aristanetworks/ansible-avd/pull/2123)
- Feat(eos_cli_config_gen) - Add schema for errdisable (https://github.com/aristanetworks/ansible-avd/pull/2124)
- Feat(eos_cli_config_gen) - Add schema for ethernet-interfaces (https://github.com/aristanetworks/ansible-avd/pull/2107)
- Feat(eos_cli_config_gen) - Add schema for event_handlers (https://github.com/aristanetworks/ansible-avd/pull/2037)
- Feat(eos_cli_config_gen) - Add schema for event_monitor (https://github.com/aristanetworks/ansible-avd/pull/2166)
- Feat(eos_cli_config_gen) - Add schema for generate_default_config (https://github.com/aristanetworks/ansible-avd/pull/2127)
- Feat(eos_cli_config_gen) - Add schema for generate_device_documentation (https://github.com/aristanetworks/ansible-avd/pull/2126)
- Feat(eos_cli_config_gen) - Add schema for hardware (https://github.com/aristanetworks/ansible-avd/pull/2187)
- Feat(eos_cli_config_gen) - Add schema for hardware_counters (https://github.com/aristanetworks/ansible-avd/pull/2054)
- Feat(eos_cli_config_gen) - Add schema for interface_defaults (https://github.com/aristanetworks/ansible-avd/pull/2130)
- Feat(eos_cli_config_gen) - Add schema for interface_groups (https://github.com/aristanetworks/ansible-avd/pull/2053)
- Feat(eos_cli_config_gen) - Add schema for interface_profiles (https://github.com/aristanetworks/ansible-avd/pull/2050)
- Feat(eos_cli_config_gen) - Add schema for ip_access_lists (https://github.com/aristanetworks/ansible-avd/pull/2116)
- Feat(eos_cli_config_gen) - Add schema for ip_access_lists_max_entries (https://github.com/aristanetworks/ansible-avd/pull/2300)
- Feat(eos_cli_config_gen) - Add schema for ip_community_lists (https://github.com/aristanetworks/ansible-avd/pull/2019)
- Feat(eos_cli_config_gen) - Add schema for ip_dhcp_relay (https://github.com/aristanetworks/ansible-avd/pull/2138)
- Feat(eos_cli_config_gen) - Add schema for ip_domain_lookup (https://github.com/aristanetworks/ansible-avd/pull/2029)
- Feat(eos_cli_config_gen) - Add schema for ip_extended_community_lists (https://github.com/aristanetworks/ansible-avd/pull/2024)
- Feat(eos_cli_config_gen) - Add schema for ip_extended_community_lists_regexp (https://github.com/aristanetworks/ansible-avd/pull/2044)
- Feat(eos_cli_config_gen) - Add schema for ip_hardware (https://github.com/aristanetworks/ansible-avd/pull/2200)
- Feat(eos_cli_config_gen) - Add schema for ip_http_client_source_interfaces (https://github.com/aristanetworks/ansible-avd/pull/2147)
- Feat(eos_cli_config_gen) - Add schema for ip_icmp_redirect (https://github.com/aristanetworks/ansible-avd/pull/2139)
- Feat(eos_cli_config_gen) - Add schema for ip_igmp_snooping (https://github.com/aristanetworks/ansible-avd/pull/2049)
- Feat(eos_cli_config_gen) - Add schema for ip_radius_source_interfaces (https://github.com/aristanetworks/ansible-avd/pull/2111)
- Feat(eos_cli_config_gen) - Add schema for ip_routing (https://github.com/aristanetworks/ansible-avd/pull/2164)
- Feat(eos_cli_config_gen) - Add schema for ip_routing_ipv6_interfaces (https://github.com/aristanetworks/ansible-avd/pull/2171)
- Feat(eos_cli_config_gen) - Add schema for ip_ssh_client_source_interfaces (https://github.com/aristanetworks/ansible-avd/pull/2150)
- Feat(eos_cli_config_gen) - Add schema for ip_tacacs_source_interfaces (https://github.com/aristanetworks/ansible-avd/pull/2112)
- Feat(eos_cli_config_gen) - Add schema for ip_virtual_router_mac_address (https://github.com/aristanetworks/ansible-avd/pull/2161)
- Feat(eos_cli_config_gen) - Add schema for ipv6_access_lists (https://github.com/aristanetworks/ansible-avd/pull/2026)
- Feat(eos_cli_config_gen) - Add schema for ipv6_hardware (https://github.com/aristanetworks/ansible-avd/pull/2203)
- Feat(eos_cli_config_gen) - Add schema for ipv6_icmp_redirect (https://github.com/aristanetworks/ansible-avd/pull/2140)
- Feat(eos_cli_config_gen) - Add schema for ipv6_prefix_lists (https://github.com/aristanetworks/ansible-avd/pull/2045)
- Feat(eos_cli_config_gen) - Add schema for ipv6_standard_access_lists (https://github.com/aristanetworks/ansible-avd/pull/1998)
- Feat(eos_cli_config_gen) - Add schema for ipv6_static_routes (https://github.com/aristanetworks/ansible-avd/pull/2182)
- Feat(eos_cli_config_gen) - Add schema for ipv6_unicast_routing (https://github.com/aristanetworks/ansible-avd/pull/2165)
- Feat(eos_cli_config_gen) - Add schema for lacp (https://github.com/aristanetworks/ansible-avd/pull/2136)
- Feat(eos_cli_config_gen) - Add schema for link_tracking_groups (https://github.com/aristanetworks/ansible-avd/pull/2135)
- Feat(eos_cli_config_gen) - Add schema for lldp (https://github.com/aristanetworks/ansible-avd/pull/2134)
- Feat(eos_cli_config_gen) - Add schema for load_interval (https://github.com/aristanetworks/ansible-avd/pull/2176)
- Feat(eos_cli_config_gen) - Add schema for local_users (https://github.com/aristanetworks/ansible-avd/pull/2020)
- Feat(eos_cli_config_gen) - Add schema for logging (https://github.com/aristanetworks/ansible-avd/pull/2085)
- Feat(eos_cli_config_gen) - Add schema for loopback_interfaces (https://github.com/aristanetworks/ansible-avd/pull/2086)
- Feat(eos_cli_config_gen) - Add schema for mac_access_lists (https://github.com/aristanetworks/ansible-avd/pull/2118)
- Feat(eos_cli_config_gen) - Add schema for mac_address_table (https://github.com/aristanetworks/ansible-avd/pull/2156)
- Feat(eos_cli_config_gen) - Add schema for mac_security (https://github.com/aristanetworks/ansible-avd/pull/2058)
- Feat(eos_cli_config_gen) - Add schema for maintenance (https://github.com/aristanetworks/ansible-avd/pull/2028)
- Feat(eos_cli_config_gen) - Add schema for management-api-http (https://github.com/aristanetworks/ansible-avd/pull/2062)
- Feat(eos_cli_config_gen) - Add schema for management-ssh (https://github.com/aristanetworks/ansible-avd/pull/2060)
- Feat(eos_cli_config_gen) - Add schema for management_api_gnmi (https://github.com/aristanetworks/ansible-avd/pull/2303)
- Feat(eos_cli_config_gen) - Add schema for management_api_models (https://github.com/aristanetworks/ansible-avd/pull/2205)
- Feat(eos_cli_config_gen) - Add schema for management_console (https://github.com/aristanetworks/ansible-avd/pull/2146)
- Feat(eos_cli_config_gen) - Add schema for management_cvx (https://github.com/aristanetworks/ansible-avd/pull/2202)
- Feat(eos_cli_config_gen) - Add schema for management_defaults (https://github.com/aristanetworks/ansible-avd/pull/2198)
- Feat(eos_cli_config_gen) - Add schema for management_interfaces (https://github.com/aristanetworks/ansible-avd/pull/2059)
- Feat(eos_cli_config_gen) - Add schema for management_security (https://github.com/aristanetworks/ansible-avd/pull/2145)
- Feat(eos_cli_config_gen) - Add schema for management_tech_support (https://github.com/aristanetworks/ansible-avd/pull/2201)
- Feat(eos_cli_config_gen) - Add schema for match_list_input (https://github.com/aristanetworks/ansible-avd/pull/2023)
- Feat(eos_cli_config_gen) - Add schema for mcs_client (https://github.com/aristanetworks/ansible-avd/pull/2204)
- Feat(eos_cli_config_gen) - Add schema for mlag_configuration (https://github.com/aristanetworks/ansible-avd/pull/2173)
- Feat(eos_cli_config_gen) - Add schema for monitor_connectivity (https://github.com/aristanetworks/ansible-avd/pull/2174)
- Feat(eos_cli_config_gen) - Add schema for monitor_sessions (https://github.com/aristanetworks/ansible-avd/pull/2188)
- Feat(eos_cli_config_gen) - Add schema for mpls (https://github.com/aristanetworks/ansible-avd/pull/2162)
- Feat(eos_cli_config_gen) - Add schema for name_server (https://github.com/aristanetworks/ansible-avd/pull/2178)
- Feat(eos_cli_config_gen) - Add schema for ntp (https://github.com/aristanetworks/ansible-avd/pull/2151)
- Feat(eos_cli_config_gen) - Add schema for patch_panel (https://github.com/aristanetworks/ansible-avd/pull/2144)
- Feat(eos_cli_config_gen) - Add schema for peer-filters (https://github.com/aristanetworks/ansible-avd/pull/2047)
- Feat(eos_cli_config_gen) - Add schema for platform (https://github.com/aristanetworks/ansible-avd/pull/2128)
- Feat(eos_cli_config_gen) - Add schema for policy_maps (https://github.com/aristanetworks/ansible-avd/pull/2066)
- Feat(eos_cli_config_gen) - Add schema for port_channel_interfaces (https://github.com/aristanetworks/ansible-avd/pull/2137)
- Feat(eos_cli_config_gen) - Add schema for prefix_lists (https://github.com/aristanetworks/ansible-avd/pull/2042)
- Feat(eos_cli_config_gen) - Add schema for prompt (https://github.com/aristanetworks/ansible-avd/pull/2153)
- Feat(eos_cli_config_gen) - Add schema for ptp (https://github.com/aristanetworks/ansible-avd/pull/2287)
- Feat(eos_cli_config_gen) - Add schema for qos (https://github.com/aristanetworks/ansible-avd/pull/2155)
- Feat(eos_cli_config_gen) - Add schema for qos_profiles (https://github.com/aristanetworks/ansible-avd/pull/2084)
- Feat(eos_cli_config_gen) - Add schema for queue_monitor_length (https://github.com/aristanetworks/ansible-avd/pull/2158)
- Feat(eos_cli_config_gen) - Add schema for queue_monitor_streaming (https://github.com/aristanetworks/ansible-avd/pull/2159)
- Feat(eos_cli_config_gen) - Add schema for radius_servers (https://github.com/aristanetworks/ansible-avd/pull/2114)
- Feat(eos_cli_config_gen) - Add schema for redundancy (https://github.com/aristanetworks/ansible-avd/pull/2129)
- Feat(eos_cli_config_gen) - Add schema for roles (https://github.com/aristanetworks/ansible-avd/pull/2113)
- Feat(eos_cli_config_gen) - Add schema for route_maps (https://github.com/aristanetworks/ansible-avd/pull/2048)
- Feat(eos_cli_config_gen) - Add schema for router multicast (https://github.com/aristanetworks/ansible-avd/pull/2167)
- Feat(eos_cli_config_gen) - Add schema for router-bgp (https://github.com/aristanetworks/ansible-avd/pull/2105)
- Feat(eos_cli_config_gen) - Add schema for router-pim-sparse-mode (https://github.com/aristanetworks/ansible-avd/pull/2061)
- Feat(eos_cli_config_gen) - Add schema for router_bfd (https://github.com/aristanetworks/ansible-avd/pull/2120)
- Feat(eos_cli_config_gen) - Add schema for router_general (https://github.com/aristanetworks/ansible-avd/pull/2067)
- Feat(eos_cli_config_gen) - Add schema for router_igmp (https://github.com/aristanetworks/ansible-avd/pull/2068)
- Feat(eos_cli_config_gen) - Add schema for router_isis (https://github.com/aristanetworks/ansible-avd/pull/2181)
- Feat(eos_cli_config_gen) - Add schema for router_l2_vpn (https://github.com/aristanetworks/ansible-avd/pull/2194)
- Feat(eos_cli_config_gen) - Add schema for router_ospf (https://github.com/aristanetworks/ansible-avd/pull/2077)
- Feat(eos_cli_config_gen) - Add schema for router_traffic_engineering (https://github.com/aristanetworks/ansible-avd/pull/2192)
- Feat(eos_cli_config_gen) - Add schema for service_routing_configuration_bgp (https://github.com/aristanetworks/ansible-avd/pull/2184)
- Feat(eos_cli_config_gen) - Add schema for service_routing_protocols_model (https://github.com/aristanetworks/ansible-avd/pull/2185)
- Feat(eos_cli_config_gen) - Add schema for service_unsupported_transceiver (https://github.com/aristanetworks/ansible-avd/pull/2301)
- Feat(eos_cli_config_gen) - Add schema for sflow (https://github.com/aristanetworks/ansible-avd/pull/2036)
- Feat(eos_cli_config_gen) - Add schema for sflow (https://github.com/aristanetworks/ansible-avd/pull/2056)
- Feat(eos_cli_config_gen) - Add schema for snmp_server (https://github.com/aristanetworks/ansible-avd/pull/2094)
- Feat(eos_cli_config_gen) - Add schema for spanning_tree (https://github.com/aristanetworks/ansible-avd/pull/2082)
- Feat(eos_cli_config_gen) - Add schema for standard_access_lists (https://github.com/aristanetworks/ansible-avd/pull/2022)
- Feat(eos_cli_config_gen) - Add schema for static_routes (https://github.com/aristanetworks/ansible-avd/pull/2183)
- Feat(eos_cli_config_gen) - Add schema for switchport_default (https://github.com/aristanetworks/ansible-avd/pull/2196)
- Feat(eos_cli_config_gen) - Add schema for system (https://github.com/aristanetworks/ansible-avd/pull/2143)
- Feat(eos_cli_config_gen) - Add schema for tacacs_servers (https://github.com/aristanetworks/ansible-avd/pull/2115)
- Feat(eos_cli_config_gen) - Add schema for tap_aggregation (https://github.com/aristanetworks/ansible-avd/pull/2190)
- Feat(eos_cli_config_gen) - Add schema for tcam_profile (https://github.com/aristanetworks/ansible-avd/pull/2057)
- Feat(eos_cli_config_gen) - Add schema for terminal (https://github.com/aristanetworks/ansible-avd/pull/2157)
- Feat(eos_cli_config_gen) - Add schema for trackers (https://github.com/aristanetworks/ansible-avd/pull/2199)
- Feat(eos_cli_config_gen) - Add schema for traffic-policies (https://github.com/aristanetworks/ansible-avd/pull/2083)
- Feat(eos_cli_config_gen) - Add schema for virtual_source_nat_vrfs (https://github.com/aristanetworks/ansible-avd/pull/2089)
- Feat(eos_cli_config_gen) - Add schema for vlan_interfaces (https://github.com/aristanetworks/ansible-avd/pull/2106)
- Feat(eos_cli_config_gen) - Add schema for vlan_internal_order (https://github.com/aristanetworks/ansible-avd/pull/2041)
- Feat(eos_cli_config_gen) - Add schema for vlans (https://github.com/aristanetworks/ansible-avd/pull/2095)
- Feat(eos_cli_config_gen) - Add schema for vmtracer_sessions (https://github.com/aristanetworks/ansible-avd/pull/2046)
- Feat(eos_cli_config_gen) - Add schema for vrfs (https://github.com/aristanetworks/ansible-avd/pull/2088)
- Feat(eos_cli_config_gen) - Add schema for vxlan-interfaces (https://github.com/aristanetworks/ansible-avd/pull/2097)
- Feat(eos_cli_config_gen) - Add shutdown knob to MCS client commands (https://github.com/aristanetworks/ansible-avd/pull/2009)
- Feat(eos_cli_config_gen) - Add support for EVPN multicast ipv4 AF transit (https://github.com/aristanetworks/ansible-avd/pull/2277)
- Feat(eos_cli_config_gen) - Add support for mtu under management interface (https://github.com/aristanetworks/ansible-avd/pull/2080)
- Feat(eos_cli_config_gen) - Add support for sub-route-map and continue in route-maps (https://github.com/aristanetworks/ansible-avd/pull/1850)
- Feat(eos_cli_config_gen) - Add tunnel interface functionality (https://github.com/aristanetworks/ansible-avd/pull/2260)
- Feat(eos_cli_config_gen) - Add various config options for Sflow (https://github.com/aristanetworks/ansible-avd/pull/2249)
- Feat(eos_cli_config_gen) - Fix macsec template (https://github.com/aristanetworks/ansible-avd/pull/2297)
- Feat(eos_cli_config_gen) - MAC address on management interfaces (https://github.com/aristanetworks/ansible-avd/pull/2275)
- Feat(eos_cli_config_gen) - Source-interface for management cvx (https://github.com/aristanetworks/ansible-avd/pull/2294)
- Feat(eos_cli_config_gen) - Support access-lists & options on rp addresses (https://github.com/aristanetworks/ansible-avd/pull/2355)
- Feat(eos_cli_config_gen) - Support for MCS client commands (https://github.com/aristanetworks/ansible-avd/pull/1999)
- Feat(eos_cli_config_gen) - Support for setting queue-monitor length cpu thresholds (https://github.com/aristanetworks/ansible-avd/pull/2012)
- Feat(eos_cli_config_gen) - Support mcs cvx server commands (https://github.com/aristanetworks/ansible-avd/pull/1985)
- Feat(eos_cli_config_gen) - Support no queue-monitor length notifying (https://github.com/aristanetworks/ansible-avd/pull/2253)
- Feat(eos_cli_config_gen) - Support route_reflector_client key on BGP neighbors (https://github.com/aristanetworks/ansible-avd/pull/2298)
- Feat(eos_cli_config_gen) - add cvconfig flag to TerminAttr (https://github.com/aristanetworks/ansible-avd/pull/2217)
- Feat(eos_cli_config_gen) - add support for SSL profile cipher-list (https://github.com/aristanetworks/ansible-avd/pull/2000)
- Feat(eos_cli_config_gen, eos_designs) - Support Track BFD in static routes (https://github.com/aristanetworks/ansible-avd/pull/2320)
- Feat(eos_designs) - Add channel_id for endpoints (https://github.com/aristanetworks/ansible-avd/pull/2070)
- Feat(eos_designs) - Add support for multiple descriptions for l3_interfaces (https://github.com/aristanetworks/ansible-avd/pull/2291)
- Feat(eos_designs) - Add support for setting node_type by matching regexes against the hostname (https://github.com/aristanetworks/ansible-avd/pull/2266)
- Feat(eos_designs) - Add support for system mac address derived engine ID (https://github.com/aristanetworks/ansible-avd/pull/2289)
- Feat(eos_designs) - Adding 7020R to plattform settings (https://github.com/aristanetworks/ansible-avd/pull/2356)
- Feat(eos_designs) - Auto BGP ASN (https://github.com/aristanetworks/ansible-avd/pull/1948)
- Feat(eos_designs) - EVPN Multicast L3 (OISM) Support (https://github.com/aristanetworks/ansible-avd/pull/2276)
- Feat(eos_designs) - EVPN to MPLS-VPN Gateway Overlay Support (https://github.com/aristanetworks/ansible-avd/pull/2209)
- Feat(eos_designs) - Optional underlay eBGP filtering of paths with peer's ASN (https://github.com/aristanetworks/ansible-avd/pull/2030)
- Feat(eos_designs) - Support for PTP configuration based on best practices (https://github.com/aristanetworks/ansible-avd/pull/1916)
- Feat(eos_designs) - Support for Static Flood Lists, HER (https://github.com/aristanetworks/ansible-avd/pull/1982)
- Feat(eos_designs) - Support for custom naming of trunk groups (https://github.com/aristanetworks/ansible-avd/pull/2021)
- Feat(eos_designs) - Support static_routes for default vrf  under network-services (https://github.com/aristanetworks/ansible-avd/pull/1986)
- Feat(eos_designs) - Support structured config under network services svis and l2vlans for bgp commands (https://github.com/aristanetworks/ansible-avd/pull/1947)
- Feat(eos_designs) - Support the ip_virtual_router_addresses and ip_address_virtual under the same svi (https://github.com/aristanetworks/ansible-avd/pull/2239)
- Feat(eos_validate_state) - custom fan & pwr states (https://github.com/aristanetworks/ansible-avd/pull/2222)
- Feat(eos_validate_state) - skip lldp topology for shutdown (https://github.com/aristanetworks/ansible-avd/pull/2221)
- Feat(plugins) - AVD to JSON Schema Converter (https://github.com/aristanetworks/ansible-avd/pull/2090)
- Feat(plugins) - Add schema support for auto-conversion of floats (https://github.com/aristanetworks/ansible-avd/pull/2247)
- Feat(plugins) - Add schema support for secondary_key (https://github.com/aristanetworks/ansible-avd/pull/2034)
- Feat(plugins) - New arista.avd.include_vars plugin (https://github.com/aristanetworks/ansible-avd/pull/2040)
- Feat(plugins,eos_cli_config_gen) - add bgp_encrypt filter bgp password (https://github.com/aristanetworks/ansible-avd/pull/2207)
- Fix(eos_designs, eos_cli_config_gen) - Fix ipv6_address_virtual and ipv6_virtual_router (https://github.com/aristanetworks/ansible-avd/pull/2141)
- Refactor - Change variable names for schema and update docs (https://github.com/aristanetworks/ansible-avd/pull/2302)
- Refactor - Jinja templating with caching (https://github.com/aristanetworks/ansible-avd/pull/2307)
- Refactor - Move python libraries to plugin_utils (https://github.com/aristanetworks/ansible-avd/pull/2032)
- Refactor - Nice print jsonschema (https://github.com/aristanetworks/ansible-avd/pull/2142)
- Refactor - Python formatting using Black and isort (https://github.com/aristanetworks/ansible-avd/pull/2098)
- Refactor(eos_cli_config_gen) - Ensure that validation always runs in eos_cli_config_gen (https://github.com/aristanetworks/ansible-avd/pull/2039)
- Refactor(eos_cli_config_gen) - Merge input validation with templating (https://github.com/aristanetworks/ansible-avd/pull/2131)
- Refactor(eos_cli_config_gen) - schema review and template organization (https://github.com/aristanetworks/ansible-avd/pull/2323)
- Refactor(eos_designs) - Layout of python packages (https://github.com/aristanetworks/ansible-avd/pull/2282)
- Refactor(eos_designs) - Move "structured_config" for "l3_edge" to python (https://github.com/aristanetworks/ansible-avd/pull/2327)
- Refactor(eos_designs) - Move IP and description logic to Python (step1) (https://github.com/aristanetworks/ansible-avd/pull/2091)
- Refactor(eos_designs) - Move Structured Config for Inband Management to Python (https://github.com/aristanetworks/ansible-avd/pull/2283)
- Refactor(eos_designs) - Move custom_structured_configuration to python (https://github.com/aristanetworks/ansible-avd/pull/2268)
- Refactor(eos_designs) - Move eos_designs structured_config templates to Python (https://github.com/aristanetworks/ansible-avd/pull/1971)
- Refactor(eos_designs) - Move structured_config for connected_endpoints to Python (https://github.com/aristanetworks/ansible-avd/pull/2322)
- Refactor(eos_designs) - Move structured_config for core_interfaces to Python (https://github.com/aristanetworks/ansible-avd/pull/2284)
- Refactor(eos_designs) - Move structured_config for overlay to Python (https://github.com/aristanetworks/ansible-avd/pull/2329)
- Refactor(eos_designs) - Move structured_config for underlay to Python (https://github.com/aristanetworks/ansible-avd/pull/2308)
- Refactor(eos_designs) - Move structured_config generation for MLAG to Python (https://github.com/aristanetworks/ansible-avd/pull/2092)
- Refactor(eos_designs) - Move structured_config generation for Network Services to Python (https://github.com/aristanetworks/ansible-avd/pull/2175)
- Refactor(eos_designs) - Optimize templating and variable handling (https://github.com/aristanetworks/ansible-avd/pull/1997)
- Refactor(eos_designs) - Underlay/Overlay internal logic refactor to better support future MPLS interworking abstraction. (https://github.com/aristanetworks/ansible-avd/pull/2109)
- Refactor(eos_designs) - Use natural_sort instead of sorted everywhere (#2384) (https://github.com/aristanetworks/ansible-avd/pull/2404)
- Refactor(eos_validate_state) - Improve performance by delagation asserts to localhost (https://github.com/aristanetworks/ansible-avd/pull/2290)
- Refactor(eos_validate_state) - Support for new data models (https://github.com/aristanetworks/ansible-avd/pull/2231)
- Refactor(plugins) - Adding support of secondary_key for nested dictionaries in convert_dicts filter (https://github.com/aristanetworks/ansible-avd/pull/2035)
- Refactor(plugins) - Data validation tooling (https://github.com/aristanetworks/ansible-avd/pull/2317)
- Revert(eos_designs) - Removing switch.x facts (https://github.com/aristanetworks/ansible-avd/pull/2152)

Bugfixes
--------

- Doc - Fix Images in Campus Fabric Example (https://github.com/aristanetworks/ansible-avd/pull/2348)
- Doc - Fix code block, update variable information (https://github.com/aristanetworks/ansible-avd/pull/2339)
- Doc - Fix incorrect key names for custom mlag interface descriptions (https://github.com/aristanetworks/ansible-avd/pull/2235)
- Doc(eos_designs) - Fix snmp_settings.compute_v3_user_localized_key typo (https://github.com/aristanetworks/ansible-avd/pull/2072)
- Doc(eos_designs) - specify that id must be unique within a node_type (https://github.com/aristanetworks/ansible-avd/pull/2014)
- Fix - Create MLAG port-channels with network_ports data model (https://github.com/aristanetworks/ansible-avd/pull/2011)
- Fix - Ensure get.avd.sh make script sets the correct UID (https://github.com/aristanetworks/ansible-avd/pull/2210)
- Fix - File permissions for documentation and schema tasks (https://github.com/aristanetworks/ansible-avd/pull/2292)
- Fix - Incorrect table rendering for L2LS (https://github.com/aristanetworks/ansible-avd/pull/2318)
- Fix - Logging buffered default level not required (#2364) (https://github.com/aristanetworks/ansible-avd/pull/2372)
- Fix - Remove ansible-test enforced GPL3 header from modules (https://github.com/aristanetworks/ansible-avd/pull/2010)
- Fix - Update json schema (https://github.com/aristanetworks/ansible-avd/pull/2099)
- Fix - pr labeler action (https://github.com/aristanetworks/ansible-avd/pull/2051)
- Fix - schema auto generated documentation and json schema (https://github.com/aristanetworks/ansible-avd/pull/2251)
- Fix(eos_cli_config_gen) - Add convert_types to router ospf area id schema (#2391) (https://github.com/aristanetworks/ansible-avd/pull/2402)
- Fix(eos_cli_config_gen) - Render LLDP commands on ethernet_interfaces also for port-channel members (#2386) (https://github.com/aristanetworks/ansible-avd/pull/2405)
- Fix(eos_cli_config_gen) - Updates to schema for policy_maps (https://github.com/aristanetworks/ansible-avd/pull/2177)
- Fix(eos_cli_config_gen) - documentation failure when enable isis on vlan-interface (https://github.com/aristanetworks/ansible-avd/pull/2076)
- Fix(eos_cli_config_gen) - make description, ip and gateway optional for management_interfaces (https://github.com/aristanetworks/ansible-avd/pull/2224)
- Fix(eos_designs) - Avoid configuring "vxlan virtual-router encapsulation mac-address mlag-system-id" when not applicable (https://github.com/aristanetworks/ansible-avd/pull/2325)
- Fix(eos_designs) - BGP Default Originate produced invalid key for route-map (https://github.com/aristanetworks/ansible-avd/pull/2108)
- Fix(eos_designs) - Create MLAG peer-group when needed for non-BGP underlays (https://github.com/aristanetworks/ansible-avd/pull/2316)
- Fix(eos_designs) - Create mgmt interface even if no gateway is set (https://github.com/aristanetworks/ansible-avd/pull/2246)
- Fix(eos_designs) - Fix core_interfaces ISIS logic (https://github.com/aristanetworks/ansible-avd/pull/2078)
- Fix(eos_designs) - Fix the router_isis redistribute_routes connected (https://github.com/aristanetworks/ansible-avd/pull/2001)
- Fix(eos_designs) - Handle overlapping VLAN names for l2vlans and vlan-aware-bundles (#2388) (https://github.com/aristanetworks/ansible-avd/pull/2389)
- Fix(eos_designs) - Minor issues in new PTP feature (https://github.com/aristanetworks/ansible-avd/pull/2331)
- Fix(eos_designs) - Missing defined check for enable_trunk_groups (https://github.com/aristanetworks/ansible-avd/pull/2038)
- Fix(eos_designs) - PTP documentation not linked from mkdocs.yml (https://github.com/aristanetworks/ansible-avd/pull/2334)
- Fix(eos_designs) - Python import error for AristaAvdMissingVariableError (https://github.com/aristanetworks/ansible-avd/pull/2295)
- Fix(eos_designs) - Remove j2caching since it is unstable between versions (https://github.com/aristanetworks/ansible-avd/pull/2351)
- Fix(eos_designs) - Replace sorted with natural_sort in overlay/utils.py (#2374) (https://github.com/aristanetworks/ansible-avd/pull/2375)
- Fix(eos_designs) - `filter.only_vlans_in_use` did not configure vlans used by `network_ports` (https://github.com/aristanetworks/ansible-avd/pull/2104)
- Fix(eos_designs) - allow ':' in the description for network_ports (https://github.com/aristanetworks/ansible-avd/pull/2225)
- Fix(eos_designs) - fix wrong type being returned for mac_address_table aging-time (https://github.com/aristanetworks/ansible-avd/pull/2103)
- Fix(eos_designs) - force inband_management_vlan as integer (https://github.com/aristanetworks/ansible-avd/pull/2345)
- Fix(eos_designs) - overlay_rd_type with inline jinja generates incorrect config (#2393) (https://github.com/aristanetworks/ansible-avd/pull/2403)
- Fix(eos_designs) - remove the need for mgmt_gateway (https://github.com/aristanetworks/ansible-avd/pull/1931)
- Fix(eos_validate_state) - Always create directory for reports (https://github.com/aristanetworks/ansible-avd/pull/2261)
- Fix(eos_validate_state) - Handle missing  interfaces, MLAG and BGP peers (https://github.com/aristanetworks/ansible-avd/pull/2330)
- Fix(plugins) - Fix bgp_utils for ansible-test sanity and update requirements (#2401) (https://github.com/aristanetworks/ansible-avd/pull/2406)

New Modules
-----------

- arista.avd.validate_and_template - Validate input data according to Schema, render Jinja2 template and write result to a file.

v3.7.0
======

Release Summary
---------------

Release 3.7.0 - See documentation on avd.sh for details.

Minor Changes
-------------

- CI - Build ci container on devel push and pr target (https://github.com/aristanetworks/ansible-avd/pull/1923)
- CI - Limit runtime (https://github.com/aristanetworks/ansible-avd/pull/1975)
- CI - Remove validation of single commit title (https://github.com/aristanetworks/ansible-avd/pull/1943)
- CI - Revert building CI containers (https://github.com/aristanetworks/ansible-avd/pull/1928)
- CI - Update CODEOWNERS after group was renamed (https://github.com/aristanetworks/ansible-avd/pull/1987)
- CI - Update to run on ubuntu 20.04 instead of 18.04 (https://github.com/aristanetworks/ansible-avd/pull/1990)
- CI - add flake8 support matching ansible-test sanity (https://github.com/aristanetworks/ansible-avd/pull/1944)
- CI - move j2lint check to pre-commit (https://github.com/aristanetworks/ansible-avd/pull/1926)
- Doc - AVD beginner TOI update to be consistent with AVD examples (https://github.com/aristanetworks/ansible-avd/pull/1908)
- Doc - Add proper installation guide links on README (https://github.com/aristanetworks/ansible-avd/pull/1915)
- Doc - Heading Updates (https://github.com/aristanetworks/ansible-avd/pull/1991)
- Doc - Minor doc changes (https://github.com/aristanetworks/ansible-avd/pull/1935)
- Doc - Update AVD Core team (https://github.com/aristanetworks/ansible-avd/pull/1920)
- Doc - mkdoc updates with layouts, font, material theme, and syntax highlighting (https://github.com/aristanetworks/ansible-avd/pull/1951)
- Doc - refactoring (https://github.com/aristanetworks/ansible-avd/pull/1952)
- Doc(eos_designs) - Add documentation for mlag_ibgp_origin_incomplete (https://github.com/aristanetworks/ansible-avd/pull/1904)
- Doc(eos_designs) - change adapters.mode to Optional (https://github.com/aristanetworks/ansible-avd/pull/1937)
- Feat - Add AVD Example single-dc-l3ls (https://github.com/aristanetworks/ansible-avd/pull/1849)
- Feat(eos_cli_config_gen) - BGP VPN-IPv4/v6 SAFI route-map and match failure discard (https://github.com/aristanetworks/ansible-avd/pull/1851)
- Feat(eos_cli_config_gen) - Enhance support for PTP monitoring (https://github.com/aristanetworks/ansible-avd/pull/1921)
- Feat(eos_cli_config_gen) - Support multicast routing under ethernet and vlan interfaces (https://github.com/aristanetworks/ansible-avd/pull/1959)
- Feat(eos_cli_config_gen) - add ip helper to Ethernet interface (https://github.com/aristanetworks/ansible-avd/pull/1844)
- Feat(eos_cli_config_gen) - add support for logging event congestion-drops (https://github.com/aristanetworks/ansible-avd/pull/1933)
- Feat(eos_cli_config_gen) - router bgp link-bandwidth (https://github.com/aristanetworks/ansible-avd/pull/1950)
- Feat(eos_designs) -  knob to enable multicast in underlay (https://github.com/aristanetworks/ansible-avd/pull/1899)
- Feat(eos_designs) - Add l2ls default node type key and template (https://github.com/aristanetworks/ansible-avd/pull/1938)
- Feat(eos_designs) - Add network_ports data model for large scale port configurations (https://github.com/aristanetworks/ansible-avd/pull/1910)
- Feat(eos_designs) - Add none as a valid value for underlay and underlay protocol (https://github.com/aristanetworks/ansible-avd/pull/1939)
- Feat(eos_designs) - Add support for trunk_groups (https://github.com/aristanetworks/ansible-avd/pull/1826)
- Feat(eos_designs) - Automatic uplink/downlink/mlag peer-link allocation (https://github.com/aristanetworks/ansible-avd/pull/1758)
- Feat(eos_designs) - BGP peer groups in VRFs (https://github.com/aristanetworks/ansible-avd/pull/1663)
- Feat(eos_designs) - Fabric EVPN multicast (https://github.com/aristanetworks/ansible-avd/pull/1922)
- Feat(eos_designs) - Native dot1x support for connected_endpoints (https://github.com/aristanetworks/ansible-avd/pull/1932)
- Feat(eos_designs) - Only configure vlans in use by connected endpoints or downstream L2 switches (https://github.com/aristanetworks/ansible-avd/pull/1821)
- Feat(eos_designs) - Single-Active EVPN Multihoming (https://github.com/aristanetworks/ansible-avd/pull/1864)
- Feat(eos_designs) - Support Pure L2 Spine in L2LS (https://github.com/aristanetworks/ansible-avd/pull/1983)
- Feat(eos_designs) - Support all keys with svi_profiles (https://github.com/aristanetworks/ansible-avd/pull/1941)
- Feat(eos_designs) - Support automatic BGP peer groups without nodes (https://github.com/aristanetworks/ansible-avd/pull/1914)
- Feat(eos_designs) - Support different ipv4 pool for mlag ibgp peerings (https://github.com/aristanetworks/ansible-avd/pull/1819)
- Feat(eos_designs) - Support for structured_config on bgp_peer_groups (https://github.com/aristanetworks/ansible-avd/pull/1905)
- Feat(eos_designs) - custom_templates_extra_vars (https://github.com/aristanetworks/ansible-avd/pull/1989)
- Feat(eos_designs) - evpn l2 multicast in network services (https://github.com/aristanetworks/ansible-avd/pull/1907)
- Feat(eos_designs) - igmp querier in network services (https://github.com/aristanetworks/ansible-avd/pull/1958)
- Feat(eos_designs) - support switch_id and offset in rd admin subfield (https://github.com/aristanetworks/ansible-avd/pull/1977)
- Refactor(eos_designs) - Wildcard dict to list for <node_type_key> (https://github.com/aristanetworks/ansible-avd/pull/1911)
- Refactor(eos_designs) - Wildcard dict to list for tenants.vrfs.svis.nodes (https://github.com/aristanetworks/ansible-avd/pull/1976)
- Refactor(eos_designs)! - MPLS Peer Logic (https://github.com/aristanetworks/ansible-avd/pull/1906)
- Refactor(plugins) - Replacing ansible combine filter with deepmerge in yaml_templates_to_facts (https://github.com/aristanetworks/ansible-avd/pull/1964)
- Test - Skip generation of fabric documentation in `EOS_DESIGNS_UNIT_TESTS` molecule scenario (https://github.com/aristanetworks/ansible-avd/pull/1912)
- Test(eos_designs) - Add molecule scenario for L2LS (https://github.com/aristanetworks/ansible-avd/pull/1972)
- Test(eos_designs) - Refactor unit tests (https://github.com/aristanetworks/ansible-avd/pull/1918)
- Test(eos_designs) - Remove invalid variables from molecule scenarios (https://github.com/aristanetworks/ansible-avd/pull/1942)

Bugfixes
--------

- Doc - Minor fixes in getting-started docs (https://github.com/aristanetworks/ansible-avd/pull/1934)
- Doc(eos_snapshot) - fix var name in input example (https://github.com/aristanetworks/ansible-avd/pull/1960)
- Fix - typos (https://github.com/aristanetworks/ansible-avd/pull/1957)
- Fix(eos_cli_config_gen) - Re-add seperator between VRF and non-VRF config (https://github.com/aristanetworks/ansible-avd/pull/1961)
- Fix(eos_cli_config_gen) - Rendering of dot1x cli (https://github.com/aristanetworks/ansible-avd/pull/1924)
- Fix(eos_cli_config_gen) - add vlan.vni var is defined (https://github.com/aristanetworks/ansible-avd/pull/1919)
- Fix(eos_cli_config_gen) - print the vlans in alphabetical order for `router bgp` (https://github.com/aristanetworks/ansible-avd/pull/1925)
- Fix(eos_designs) - Correct underlay routing for overlay_routing_protocol "none" (https://github.com/aristanetworks/ansible-avd/pull/1970)
- Fix(eos_designs) - Missing IGP no-passive for single MLAG VLAN (https://github.com/aristanetworks/ansible-avd/pull/1974)
- Fix(eos_designs) - Only configure EVPN filtering on EVPN nodes (https://github.com/aristanetworks/ansible-avd/pull/1969)
- Fix(eos_designs) - Remove unneeded mlag ibgp vlan for vrf default (https://github.com/aristanetworks/ansible-avd/pull/1968)
- Fix(eos_designs) - Resolve inline jinja in fabric_name (https://github.com/aristanetworks/ansible-avd/pull/1967)
- Fix(eos_designs) - fix logic for underlay_multicast (https://github.com/aristanetworks/ansible-avd/pull/1940)
- Fix(eos_designs) - fix the Loopback0 interface description (https://github.com/aristanetworks/ansible-avd/pull/1955)
- Fix(eos_designs) - only create igmp snooping querier configuration on l3 devices (https://github.com/aristanetworks/ansible-avd/pull/1978)
- Fix(eos_designs) - return the missing node_type in error (https://github.com/aristanetworks/ansible-avd/pull/1981)
- Test - Fix various ansible-test issues (https://github.com/aristanetworks/ansible-avd/pull/1917)

v3.6.0
======

Release Summary
---------------

Release 3.6.0 - See documentation on avd.sh for details.

Minor Changes
-------------

- CI - fix j2lint typo delimeter -> delimiter (https://github.com/aristanetworks/ansible-avd/pull/1875)
- Feat(eos_cli_config_gen) - Add ip_directed_broadcast to vlan_interfaces (https://github.com/aristanetworks/ansible-avd/pull/1896)
- Feat(eos_cli_config_gen) - Add support for OSPF BFD sessions for adjacencies in any state (https://github.com/aristanetworks/ansible-avd/pull/1830)
- Feat(eos_cli_config_gen) - Route redistribution under router isis (https://github.com/aristanetworks/ansible-avd/pull/1811)
- Feat(eos_cli_config_gen) - SBFD configuration under Router BFD and SR-TE policy (https://github.com/aristanetworks/ansible-avd/pull/1808)
- Feat(eos_cli_config_gen) - Support bfd vtep evpn commands (https://github.com/aristanetworks/ansible-avd/pull/1857)
- Feat(eos_cli_config_gen) - Support bgp additional-paths in router_bgp vrf address-families (https://github.com/aristanetworks/ansible-avd/pull/1854)
- Feat(eos_cli_config_gen) - Support bgp missing-policy under router bgp vrf address-families (https://github.com/aristanetworks/ansible-avd/pull/1897)
- Feat(eos_cli_config_gen) - enable global dot1x functionality (https://github.com/aristanetworks/ansible-avd/pull/1801)
- Feat(eos_designs) -  Structured configuration support for uplink and mlag interfaces (https://github.com/aristanetworks/ansible-avd/pull/1865)
- Feat(eos_designs) - Relax requirement of node-specific configuration (https://github.com/aristanetworks/ansible-avd/pull/1827)
- Feat(eos_designs) - Support for computing SNMP v3 engineid and hashes (https://github.com/aristanetworks/ansible-avd/pull/1868)
- Feat(eos_designs) - Support for short_esi - auto in port profiles & use of new eos_cli_config_gen data model (https://github.com/aristanetworks/ansible-avd/pull/1834)
- Feat(eos_designs) - Support raw_eos_cli key on core_interfaces (https://github.com/aristanetworks/ansible-avd/pull/1862)
- Feat(eos_designs) - add support for 7300X3 in default platforms (https://github.com/aristanetworks/ansible-avd/pull/1863)
- Feat(eos_designs,eos_cli_config_gen) - support 'switchport trunk native vlan tag' config (https://github.com/aristanetworks/ansible-avd/pull/1871)
- Feat(eos_snapshot) - Support for commands containing / character (https://github.com/aristanetworks/ansible-avd/pull/1838)
- Test(eos_cli_config_gen) - Add artifacts for router_bgp vrfs address_families peer_groups (https://github.com/aristanetworks/ansible-avd/pull/1858)

Bugfixes
--------

- Doc(eos_config_deploy_cvp) - fix the defaults values in README (https://github.com/aristanetworks/ansible-avd/pull/1902)
- Fix(eos_cli_config_gen) - VRF BGP neighbor allowas_in.enabled renders invalid config (https://github.com/aristanetworks/ansible-avd/pull/1891)
- Fix(eos_designs) - Correct pruning of vlans when no vlans are allowed (https://github.com/aristanetworks/ansible-avd/pull/1879)
- Fix(eos_designs) - Failure with OSPF underlay and mlag_peer_l3_vlan == mlag_peer_vlan (https://github.com/aristanetworks/ansible-avd/pull/1842)
- Fix(eos_designs) - Wrong passive interfaces rendered under OSPF process (https://github.com/aristanetworks/ansible-avd/pull/1893)
- Fix(eos_designs, eos_cli_config_gen) - Fix the AVD version print in virtual environments (https://github.com/aristanetworks/ansible-avd/pull/1876)
- Fix(eos_validate_state) - Follow alphabetical order on generated reports (https://github.com/aristanetworks/ansible-avd/pull/1867)

v3.5.0
======

Release Summary
---------------

Release 3.5.0 - See documentation on avd.sh for details.

Minor Changes
-------------

- Bump(requirements) - Relax ansible.netcommon requirements to ">=2.4.0,!=2.6.0" by @gmuloc (https://github.com/aristanetworks/ansible-avd/pull/1836)
- Doc - Fix typo in release-notes for v3.4.0 by @ClausHolbechArista (https://github.com/aristanetworks/ansible-avd/pull/1698)
- Doc - Improve documentation, fix typo by @danieltudares (https://github.com/aristanetworks/ansible-avd/pull/1749)
- Doc - Minor Corrections on Documentation by @JulioPDX (https://github.com/aristanetworks/ansible-avd/pull/1751)
- Doc - Network services data model in v4.0 mpls docs by @Shivani-chourasiya (https://github.com/aristanetworks/ansible-avd/pull/1794)
- Doc - Remove CI badge by @carlbuchmann (https://github.com/aristanetworks/ansible-avd/pull/1736)
- Doc - Update links to github documentation by @ClausHolbechArista (https://github.com/aristanetworks/ansible-avd/pull/1713)
- Doc(eos_cli_config_gen) - Improve documentation for router_general by @gmuloc (https://github.com/aristanetworks/ansible-avd/pull/1829)
- Doc(eos_designs) - add precisions regarding eos_designs and eos_cli_config_gen variables by @gmuloc (https://github.com/aristanetworks/ansible-avd/pull/1743)
- Feat(eos_cli_config_gen) - Add BGP listen-range to VRF by @ccsnw (https://github.com/aristanetworks/ansible-avd/pull/1779)
- Feat(eos_cli_config_gen) - Add BGP neighbor interfaces in VRF by @onurgashi (https://github.com/aristanetworks/ansible-avd/pull/1817)
- Feat(eos_cli_config_gen) - Add Tap Aggregation support by @ccsnw (https://github.com/aristanetworks/ansible-avd/pull/1737)
- Feat(eos_cli_config_gen) - Add eos_cli for loopback_interfaces by @UchihaItachiSama (https://github.com/aristanetworks/ansible-avd/pull/1707)
- Feat(eos_cli_config_gen) - Add eos_cli for loopback_interfaces by @UchihaItachiSama (https://github.com/aristanetworks/ansible-avd/pull/1707)
- Feat(eos_cli_config_gen) - Add management_api_models by @UchihaItachiSama (https://github.com/aristanetworks/ansible-avd/pull/1724)
- Feat(eos_cli_config_gen) - Add sflow interface disable default command by @xaviramon (https://github.com/aristanetworks/ansible-avd/pull/1823)
- Feat(eos_cli_config_gen) - Add support for authenticating only ntp servers by @UchihaItachiSama (https://github.com/aristanetworks/ansible-avd/pull/1810)
- Feat(eos_cli_config_gen) - Add support for multiple dot1x interface features by @mthiel117 (https://github.com/aristanetworks/ansible-avd/pull/1739)
- Feat(eos_cli_config_gen) - Added support for CVX client by @sugetha24 (https://github.com/aristanetworks/ansible-avd/pull/1682)
- Feat(eos_cli_config_gen) - Adding support for ssl profile for gnmi by @noredistribution (https://github.com/aristanetworks/ansible-avd/pull/1747)
- Feat(eos_cli_config_gen) - Aegis Traffic Policies on Interfaces by @emilarista (https://github.com/aristanetworks/ansible-avd/pull/1638)
- Feat(eos_cli_config_gen) - BGP VRF IPv4 RM support by @danieltudares (https://github.com/aristanetworks/ansible-avd/pull/1763)
- Feat(eos_cli_config_gen) - Extend listen_range support for BGP by @ccsnw (https://github.com/aristanetworks/ansible-avd/pull/1735)
- Feat(eos_cli_config_gen) - Extend logging format timestamp options by @ccsnw (https://github.com/aristanetworks/ansible-avd/pull/1709)
- Feat(eos_cli_config_gen) - Support Aboot password by @tgodaA (https://github.com/aristanetworks/ansible-avd/pull/1691)
- Feat(eos_cli_config_gen) - Support for multiple VARPv6 addresses by @onurgashi (https://github.com/aristanetworks/ansible-avd/pull/1761)
- Feat(eos_cli_config_gen) - Support interfaces snmp trap link-change by @tgodaA (https://github.com/aristanetworks/ansible-avd/pull/1703)
- Feat(eos_cli_config_gen) - Support platfom sand qos-mapping by @tgodaA (https://github.com/aristanetworks/ansible-avd/pull/1686)
- Feat(eos_cli_config_gen) - Support remove-private-as in router_bgp by @tgodaA (https://github.com/aristanetworks/ansible-avd/pull/1666)
- Feat(eos_cli_config_gen) - VRRP timer delay and IPv4 version options by @c-po (https://github.com/aristanetworks/ansible-avd/pull/1706)
- Feat(eos_cli_config_gen) - add PIM sparse-mode interfaces in doc by @gmuloc (https://github.com/aristanetworks/ansible-avd/pull/1848)
- Feat(eos_cli_config_gen) - add SNMPv3 hashed user passphrases support by @gmuloc (https://github.com/aristanetworks/ansible-avd/pull/1721)
- Feat(eos_cli_config_gen) - add VRRP support for object tracking by @ccsnw (https://github.com/aristanetworks/ansible-avd/pull/1637)
- Feat(eos_cli_config_gen) - dot1x-pae-mode by @mthiel117 (https://github.com/aristanetworks/ansible-avd/pull/1722)
- Feat(eos_cli_config_gen) - dot1x-reauthentication by @mthiel117 (https://github.com/aristanetworks/ansible-avd/pull/1700)
- Feat(eos_config_deploy_cvp) - support for !vault value in inventory file by @gmuloc (https://github.com/aristanetworks/ansible-avd/pull/1799)
- Feat(eos_designs) - Add ability to set mlag port-channel id by @ClausHolbechArista (https://github.com/aristanetworks/ansible-avd/pull/1789)
- Feat(eos_designs) - Add platform settings for 7368X4 by @gmuloc (https://github.com/aristanetworks/ansible-avd/pull/1690)
- Feat(eos_designs) - Auto short_esi support for connected_endpoints and l2leaf uplinks (#1609) by @jonxstill (https://github.com/aristanetworks/ansible-avd/pull/1738)
- Feat(eos_designs) - Custom name for underlay isis process by @emilarista (https://github.com/aristanetworks/ansible-avd/pull/1731)
- Feat(eos_designs) - EVPN VXLAN gateway feature by @xaviramon (https://github.com/aristanetworks/ansible-avd/pull/1601)
- Feat(eos_designs) - Enable RTC for EVPN-OVERLAY-CORE peer group by @onurgashi (https://github.com/aristanetworks/ansible-avd/pull/1775)
- Feat(eos_designs) - RFC5549 for MLAG iBGP in VRF by @onurgashi (https://github.com/aristanetworks/ansible-avd/pull/1818)
- Feat(eos_designs) - RFC5549 support for core_interfaces by @emilarista (https://github.com/aristanetworks/ansible-avd/pull/1741)
- Feat(eos_designs) - Shutdown underlay links if the peer device is not deployed by @perimore (https://github.com/aristanetworks/ansible-avd/pull/1745)
- Feat(eos_designs) - Support evpn hostflap detection expiry by @tgodaA (https://github.com/aristanetworks/ansible-avd/pull/1733)
- Feat(eos_designs) - Support for IPv6 in underlay with RFC5549 by @xaviramon (https://github.com/aristanetworks/ansible-avd/pull/1723)
- Feat(eos_designs) - Support for IPv6 overlay peerings with RFC5549 underlay by @xaviramon (https://github.com/aristanetworks/ansible-avd/pull/1719)
- Feat(eos_designs) - Support for Ipv6 network services by @onurgashi (https://github.com/aristanetworks/ansible-avd/pull/1760)
- Feat(eos_designs, eos_cli_config_gen) - Support default-services in management-api-http by @tgodaA (https://github.com/aristanetworks/ansible-avd/pull/1704)
- Feat(eos_designs, eos_cli_config_gen) - Support default-services in management-api-http by @tgodaA (https://github.com/aristanetworks/ansible-avd/pull/1704)
- Feat(plugins) - Updated convert_dicts filter for list values in dictionary by @Shivani-chourasiya (https://github.com/aristanetworks/ansible-avd/pull/1694)
- Feat(plugins) - Updated convert_dicts filter for list/string values in dictionary by @Shivani-chourasiya (https://github.com/aristanetworks/ansible-avd/pull/1740)

Bugfixes
--------

- Fix(eos_cli_config_gen) - Adjust the address-family evpn host-flap detection by @tgodaA (https://github.com/aristanetworks/ansible-avd/pull/1728)
- Fix(eos_cli_config_gen) - Documentation template for IPv6 on port-channels by @ClausHolbechArista (https://github.com/aristanetworks/ansible-avd/pull/1715)
- Fix(eos_cli_config_gen) - Render error-correction encoding on port-channel members by @ClausHolbechArista (https://github.com/aristanetworks/ansible-avd/pull/1800)
- Fix(eos_designs) - Error in eos_designs_facts when dot in hostname by @ClausHolbechArista (https://github.com/aristanetworks/ansible-avd/pull/1816)
- Fix(eos_designs) - Fix IPv6 static routes tenants by @onurgashi (https://github.com/aristanetworks/ansible-avd/pull/1778)
- Fix(eos_designs) - ipv6_underlay should not apply for l2 switches by @ClausHolbechArista (https://github.com/aristanetworks/ansible-avd/pull/1812)
- Fix(plugins) - convert_dicts resolve corner case with dictionary with invalid value by @carlbuchmann (https://github.com/aristanetworks/ansible-avd/pull/1777)

New Modules
-----------

- arista.avd.eos_designs_facts - Set eos_designs facts
